/**
 * Created with JetBrains WebStorm.
 * User: zscf
 * Date: 13-8-12
 * Time: 上午10:51
 * To change this template use File | Settings | File Templates.
 */
(function ($) {
    var tips = function (opt) {
        this.option = $.extend({}, {
            //title:标题,content:内容（可以为html）,firstTitile:第一个按钮名字,lastTitle:第二个按钮名字
            title: '确认提示', content: '', firstTitile: '取消', lastTitle: '撤单',
            //第一次按钮被点击的时候触发的事件
            OnFirstTap: function () { return true; },
            //第二个按钮被点击的时候触发的事件
            OnLastTap: function () { return false; },
            isShowLast: true
        }, opt);
        //html
        this.html = ['<div class="tipsBackground"><div class="tipsBox"><div class="tipsBox-top" ></div><div class="boxflex tipsBox-middle"><div style="width:8px"></div><div class="box_flex_1 tipsBox-content"></div><div style="width:8px"></div></div><div class="tipsBox-bottom"><a href="javascript:void(0);" ></a><a href="javascript:void(0);" ></a></div></div></div>'].join('');
        this.install = function () {
            this.background = function ($this) { return $('.tipsBackground').size() > 0 ? $('.tipsBackground') : $($this.html).appendTo('body'); } (this);
            this.tipsBox = function ($this) { return $('.tipsBackground .tipsBox'); } (this);
            this.content = function ($this) { return $('.tipsBackground .tipsBox .tipsBox-content'); } (this);
            this.top = function ($this) { return $('.tipsBackground .tipsBox .tipsBox-top'); } (this);
            this.first = function ($this) { return $('.tipsBackground .tipsBox .tipsBox-bottom a').first(); } (this);
            this.last = function ($this) { return $('.tipsBackground .tipsBox .tipsBox-bottom a').last(); } (this);
            var $this = this;
            var evtName = ("onorientationchange" in window) ? 'orientationchange.tipsBox' : 'resize.tipsBox';
            $(window).off(evtName).on(evtName, function () {
                setTimeout(function () { $this.resize.call($this); }, 200);
            });
            this.show();
            return this;
        };
        this.resize = function () {

            var top = ((this.background.height() - this.tipsBox.height()) / 2), left = ((this.background.width() - this.tipsBox.width()) / 2), max_width = 300, w = this.background.width() * .9;
            w = w > max_width ? max_width : w;
            left = (this.background.width() - w) / 2;
            top = top < 0 ? 0 : top; left = left < 0 ? 0 : left;
            (this.background.size() > 0) && (function ($this) { $this.tipsBox.css({ "left": left + "px", "top": top + "px", "width": w + "px", "max-height": ($this.background.height() - .9) + "px" }); })(this);
        };
        this.show = function (o) {
            ($('.tipsBackground').size() > 0) && (function ($this) {
                $this.option = $.extend({}, $this.option, o);
                $this.top.attr('text', $this.option.title);
                $this.content.html($this.option.content);
                //2013-07-19 tap修改为 touchend
                var tapName = ("ontouchend" in window ? "touchend" : "click");
                //.hammer()
                $this.first.attr('text', $this.option.firstTitile).off(tapName).on(tapName, function () { $this.option.OnFirstTap.call($this); $this.hide(); return false; });
                $this.last.attr('text', $this.option.lastTitle).off(tapName).on(tapName, function () { $this.option.OnLastTap.call($this); $this.hide(); return false; });

                $this.background.off('tap').on('tap', function (ev) { ev.stopPropagation(); });
                if (!$this.option.isShowLast) { $this.last.hide(); $this.first.css("width", "99%"); } else { $this.last.show(); $this.first.css("width", "50%"); }
                $('.tipsBackground,.tipsBackground .tipsBox').show().css({ "opacity": "1" });
                $this.resize();
            })(this);
        };
        this.isShow = function () {
           return  this.background.css('display') != 'none' && this.background.css('visibility') != 'hidden';
        };
        this.hide = function () { (this.background.size() > 0) && ($('.tipsBackground,.tipsBackground .tipsBox').css({ "top": "0", "opacity": "0" }).hide()); };
        this.unstall = function () { (this.background.size() > 0) && (function ($this) { $this.option = null; $this.resize = null; $this.background.remove(); })(this); };
        return this.install();
    };

    var Prompt = {
        tipsBox: null,
        tips: [],
        nextTip: function () {
            if (!this.tips.length) return;

            var ops = this.tips.shift();
            setTimeout($.proxy(function () {
                this.showTip(ops);
            }, this), 500); //这个时间大于动画的时间750ms
        },
        showTip: function (ops) {
            var $this = this;

            if (this.tipsBox && this.tipsBox.isShow()) {
                this.tips.push(ops);
                return;
            }

            //
            ops.originalOnFirstTap = ops.OnFirstTap;
            ops.originalOnLastTap = ops.OnLastTap;
            ops.OnFirstTap = function () {
                $('body').css({ "pointer-events": "none" });
                setTimeout(function () { $('body').css({ "pointer-events": "auto" }); }, 500);
                (ops.originalOnFirstTap) && (ops.originalOnFirstTap.call($this.tipsBox));
                $this.nextTip();
            }
            ops.OnLastTap = function () {
                $('body').css({ "pointer-events": "none" });
                setTimeout(function () { $('body').css({ "pointer-events": "auto" }); }, 500);
                (ops.originalOnLastTap) && (ops.originalOnLastTap.call($this.tipsBox));
                $this.nextTip();
            }
            if (!this.tipsBox) {
                this.tipsBox = new tips(ops);
            } else {
                this.tipsBox.show.call(this.tipsBox, ops);
            }
            return this;
        },
        confirm: function (ops) {
            var options = {
                title: "系统确认",
                firstTitile: "取消",
                lastTitle: "确定",
                isShowLast: true
            }
            for (var key in ops) {
                options[key] = ops[key];
            }
            this.showTip(options);
            return this;
        },
        alert: function (ops) {
            var options = {
                title: "系统提示",
                firstTitile: "确定",
                isShowLast: false
            }
            if (typeof ops == "object") {
                for (var key in ops) {
                    options[key] = ops[key];
                }
            } else {
                options["content"] = ops;
            }
            this.showTip(options);

            //JsgCommon.sleep(300)
            return this;
        },
        error: function (msg) {
            //加载完成
            //LoadingIcon.unstall();
            //window.eData=msg;
            if (typeof msg == "object") msg = msg.ErrMsg;
            var ops = {
                title: "错误提示",
                content: msg
            }
            this.alert(ops);
            // console.log(msg);
            //JsgCommon.sleep(300)
            return this;
        }
    };

    var ShortTips = new (Backbone.View.extend({
        html: '<div class="tips"><div class="single"></div></div>',
        tasks: [],
        initialize: function () {
            var $this = this;
            if (!$('body .tips').length) {
                $this.$el = $($this.html).appendTo('body');
            }
        },
        install: function (text, second) {
            var $this = this, tasks = this.tasks, i, l = tasks.length;
            if ($this.isLock) {
                for(i = 0; i < l; i++){
                    if(tasks[i] == text){
                        return;
                    }
                }
                $this.tasks.push(text);
                return;
            }
            $this.isLock = true;
            $('.single', $this.$el).text(text);

            $this.$el.show();

            var w = $(window).width()
                , ew = $this.$el.width();

            $this.$el.css({ 'left': (w - ew) / 2 - 10, opacity: 1 });
            setTimeout(function () {
                $this.$el.animate({ opacity: 0 }, 500, function () {
                    $this.unstall();
                })
            }, second || 2000);
        },
        unstall: function () {
            var $this = this;
            $this.isLock = false;
            $this.tasks.length = 0;
            $this.tasks = [];
            $this.$el.hide();
            $this.nextTask();
        },
        nextTask: function () {
            var $this = this;
            $this.tasks.length && this.install($this.tasks.shift());
        }
    }));

    var AlertTips = function(ops){
        if(typeof ops.func == 'function'){
            AlertTips.func = ops.func;
            AlertTips.hasfunc = true;
        }else{
            AlertTips.hasfunc = false;
        }
        var context = ops.context || window;
        this.closeTip = (function(e){
            $(e).parents('#message-tip').remove();
            $(window).off(('ontouchstart' in window? 'touchend': 'click'));
            if(AlertTips.hasfunc){
                $.proxy(AlertTips.func, context)();
            }
        });
        this.el = 
            '<div class="message-tip" id="message-tip">' +
                '<div class="tip-layer-block"></div>' +
                '<div class="tip-layer-frame">' +
                    '<div class="tip-layer-wrap">' +
                        '<div class="tip-layer-title">' +
                            '<a onclick="(' + this.closeTip + ')(this);">×</a>' +
                            '<h3>{1}</h3>' +                            
                        '</div>' +
                        '<div class="tip-layer-content">{2}</div>' +
                        '<div class="tip-layer-a"><a onclick="(' + this.closeTip + ')(this);">{3}</a></div>' +
                    '</div>' +
                '</div>' +
            '</div>';
        var _messa=ops._messa;
        if(typeof _messa !="string" ||  _messa=="")
        {
            _messa ="温馨提示";
        }

        var _btnText=ops._btnText;
        if(typeof _btnText !="string" ||  _btnText=="")
        {
            _btnText ="确定";
        }
        
        $(this.el.replace("{1}", _messa).replace("{2}", ops._content).replace("{3}", _btnText)).appendTo("body");
        
          
        resize();
        var evtName = ("onorientationchange" in window) ? 'orientationchange' : 'resize';
        $(window).off(evtName).on(evtName, function () {
            resize();
        });

        function resize(){
            var width = ops.width || "", height = ops.height || "", style = ops.style || {};
            if(!_.isNumber(height) || height > $("body").height() - 20) height = $("body").height() - 20;
            $(".tip-layer-frame").width(width).height(height - 4.4 * parseInt($(".tip-layer-frame").css("font-size")));
            $(".tip-layer-content").height($(".tip-layer-wrap").height() - $(".tip-layer-a").height() - 3.2 * parseInt($(".tip-layer-content").css("font-size")) - 40);
            $(".tip-layer-content label").css(style);    
        }
    }

    window.Tips = tips;
    window.Prompt = Prompt;
    window.ShortTips = ShortTips;
    window.AlertTips = AlertTips;

})($);
