$(document).ready(function(){
	Com.setWebviewTitle('',{"title":"选择要卖出的证券","bgColor":"272736"});
	Com.nativeGobackListener('1',nativeGoback);
	loadHoldStkList();
	
	$('#confirm_btn').on('click',function(){
		var sele=$('.weui-cells').find('input.weui-check:checked').length;
		console.log(sele);
		if(sele==0){
			Com.showNativeAlert('','请选择要卖出的证券！',["确定"],'');
			return false
		}else{
			var gpdm=$('.weui-cells').find('input.weui-check:checked').attr('id');
			var gpmc=$('.weui-cells').find('input.weui-check:checked').attr('name');
			var label_obj=$('.weui-cells').find('input.weui-check:checked').parents('label');
			var paramstr=label_obj.find('input[type="hidden"]').eq(0).val();
			if(paramstr.split('@').length==5){
				var scdm=paramstr.split('@')[0];
				var scmc=paramstr.split('@')[1];
				var gddm=paramstr.split('@')[2];
				var kysl=paramstr.split('@')[3];
				var dqjg=paramstr.split('@')[4];
				Com.setLocalValue('mqhk_gpdm',gpdm);
				Com.setLocalValue('mqhk_gpmc',gpmc);
				Com.setLocalValue('mqhk_scdm',scdm);
				Com.setLocalValue('mqhk_scmc',scmc);
				Com.setLocalValue('mqhk_gddm',gddm);
				Com.setLocalValue('mqhk_kysl',kysl);
				Com.setLocalValue('mqhk_dqjg',dqjg);
				nativeGoback();
			}
		}
	});
});

function nativeGoback(){
	Com.nativeGoback();
}

function loadHoldStkList(){
	Com.ajax({
        "url":Com.getOrigin()+"/gstrade/trade/queryStock/1.0?",
        "data":{},
        "type":"post",
        "dataType":"json",
        "success":function(d){
        	if(d.result[0].code=='0'){
        		var holdstk_list=d.queryStock_0;
        		if(holdstk_list!=null&&holdstk_list.length>0){
        			var append_str='';
        			for(index in holdstk_list){
        				var stk=holdstk_list[index];
        				append_str='<label class="weui-cell weui-check__label" for="'+stk.stkcode+'">'+
        	          		'<input type="hidden" value="'+stk.market+'@'+stk['~market']+'@'+stk.secuid+'@'+stk.stkavl+'@'+stk.price+'" name="params">'+
        					'<div class="weui-cell__hd">'+
        	          		'<input type="checkbox" class="weui-check" name="'+stk.stkname+'" id="'+stk.stkcode+'">'+
        	          		'<i class="weui-icon-checked"></i>'+
        	          		'</div>'+
        	          		'<div class="weui-cell__bd">'+
        	          		'<div class="list_item clearfix">'+
                			'<div class="align_left"><span class="zqxx">'+stk.stkname+' '+stk.stkcode+'</span></div>'+
                    		'<div class="align_right"><label>市值：</label>'+Com.formatNumber(stk.mktval)+'</div>'+
                    		'<div class="align_left"><label>可用数量：</label>'+Com.formatNumber(stk.stkavl)+'</div>'+
                    		'<div class="align_right"><label>最新价格：</label>'+parseFloat(stk.price).toFixed(3)+'</div>'+
                    		'</div></div></label>';
        				$('.weui-cells').append(append_str);
        			}
        			$('#have_result').show();
        			$('.fixed_bottom_div').show();
        			$('.weui-cells label').on('click',function(){
        				if($(this).find('input.weui-check').prop('checked')){
        					return;
        				}else{
        					$('.weui-cells').find('input.weui-check').prop('checked',false);
        					$(this).find('input.weui-check').prop('checked',true);
        				}
        			});
        		}else{
        			$('#no_result').show();
        		}
			}else{
				Com.showNativeAlert('','客户持仓股份查询失败！原因:'+d.result[0].msg,["确定"],'');
			}
            
        },
        "isTradeLogin":true,
        "isNeedLoading":true,
        "isNeedSign":true,
        "error":function(){
            Com.showNativeAlert("","网络不给力",["确定"],'');
        }
    });
}