$(document).ready(function(){
	Com.setWebviewTitle('',{"title":"选择要还款的合约","bgColor":"272736"});
	Com.nativeGobackListener('1',nativeGoback);
	loadHyList();
	
	$('.weui-cells label').on('click',function(){
		if($(this).find('input.weui-check').prop('checked')){
			return;
		}else{
			$('.weui-cells').find('input.weui-check').prop('checked',false);
			$(this).find('input.weui-check').prop('checked',true);
		}
	});
	
	$('#confirm_btn').on('click',function(){
		var sele=$('.weui-cells').find('input.weui-check:checked').length;
		console.log(sele);
		if(sele==0){
			Com.showNativeAlert('','请选择要还款的合约！',["确定"],'');
			return false;
		}else{
			var wtbh=$('.weui-cells').find('input.weui-check:checked').attr('id');
			var label_obj=$('.weui-cells').find('input.weui-check:checked').parents('label');
			var paramstr=label_obj.find('input[type="hidden"]').eq(0).val();
			if(paramstr.split('@').length==3){
				var scdm=paramstr.split('@')[0];
				var wtrq=paramstr.split('@')[1];
				var yhje=paramstr.split('@')[2];
				
				Com.setLocalValue('xjhk_wtbh',wtbh);
				Com.setLocalValue('xjhk_scdm',scdm);
				Com.setLocalValue('xjhk_wtrq',wtrq);
				Com.setLocalValue('xjhk_yhje',yhje);
				nativeGoback();
			}
		}
	});
});
function nativeGoback(){
	Com.nativeGoback();
}
function loadHyList(){
	var param={};
	//param['begindate']=bdate;
	//param['enddate']=edate;
	
	Com.ajax({
        "url":Com.getOrigin()+"/gstrade/gqjl/queryContract/1.0?",
        "data":param,
        "type":"post",
        "dataType":"json",
        "success":function(d){
            console.log(d);
            if(d.result[0].code == '0'){
            	var list=d.queryContract_0;
            	if(list!=null&&list.length>0){
            		var append_str='';
            		var cnt=0;
            		for(index in list){
            			var con=list[index];
            			if(con.hystatus=='0'){
            				cnt++;
	            			append_str='<label class="weui-cell weui-check__label" for="'+con.ordersno+'">'+
	                    				'<input type="hidden" name="paramstr" value="'+con.market+'@'+con.orderdate+'@'+con.debitavl+'">'+
	                    				'<div class="weui-cell__hd">'+
	                    				'<input type="checkbox" class="weui-check" id="'+con.ordersno+'">'+
	                    				'<i class="weui-icon-checked"></i>'+
	                    				'</div>'+
	                    				'<div class="weui-cell__bd">'+
	                    				'<div class="list_item clearfix">'+
	                    				'<div class="align_left"><label>委托编号：</label>'+con.ordersno+'</div>'+
	                    				'<div class="align_right"><label>到期日期：</label>'+con.enddate+'</div>'+
	                    				'<div class="align_left"><label>应还金额：</label>'+Com.formatNumber(con.debitavl)+'</div>'+
	                    				'<div class="align_right"><label>初始融资金额：</label>'+Com.formatNumber(con.debitamt)+'</div>'+
	                    				'<div class="align_left"><label>委托日期：</label>'+con.orderdate+'</div>'+
	                    				'<div class="align_right"><label>证券代码：</label>'+con.stkcode+'</div>'+
	                    				'</div></div></label>';
	            			$('.weui-cells').append(append_str);
            			}
            		}
            		if(cnt>0){
            			$('#have_result').show();
            			$('.fixed_bottom_div').show();
            			
            			$('.weui-cells label').on('click',function(){
            				if($(this).find('input.weui-check').prop('checked')){
            					return;
            				}else{
            					$('.weui-cells').find('input.weui-check').prop('checked',false);
            					$(this).find('input.weui-check').prop('checked',true);
            				}
            			});
            		}else{
            			$('#no_result').show();
            		}
            	}else{
            		$('#no_result').show();
            	}
            	
            }else if(d.result[0].code == '11' || d.result[0].code == '18' || d.result[0].code == '19'){
                return false;
            }else{
            	Com.showNativeAlert("",d.result[0].msg,["确定"],'');
            }
        },
        "isTradeLogin":true,
        "isNeedLoading":true,
        "error":function(){
        	Com.showNativeAlert("","网络不给力",["确定"],'');
        }
    });
}