$(document).ready(function(){
	Com.setWebviewTitle('',{"title":"合约查询结果","bgColor":"272736"});
	Com.nativeGobackListener('1',nativeGoback);
	loadHyList();
});


function nativeGoback(){
	Com.nativeGoback();
}

function loadHyList(){
	var bdate = Com.getLocalValue('beginDate');
	var edate = Com.getLocalValue('endDate');
	$('.swiper-slide ul').empty();
	var param={};
	param['begindate']=bdate;
	param['enddate']=edate;
	
	Com.ajax({
        "url":Com.getOrigin()+"/gstrade/gqjl/queryContract/1.0?",
        "data":param,
        "type":"post",
        "dataType":"json",
        "success":function(d){
            console.log(d);
            if(d.result[0].code == '0'){
            	var list=d.queryContract_0;
            	if(list!=null&&list.length>0){
            		var cnt1=0,cnt2=0,cnt3=0,cnt4=0;
            		for(index in list){
            			var con=list[index];
            			var encode_str=encodeURI(JSON.stringify(con));
            			var append_str='<li class="list_item clearfix">'
                    		+'<input type="hidden" name="json_str" value="'+encode_str+'">'
                    		+'<div class="align_left wtbh font16">'+con.ordersno+'</div>'
                    		+'<div class="align_right wtzt font16">'+con['~hystatus']+'</div>'
                    		+'<div class="align_left"><label>委托日期：</label><span class="wtrq">'+convertDate(con.orderdate)+'</span></div>'
                    		+'<div class="align_right"><label>到期日期：</label><span class="dqrq">'+convertDate(con.enddate)+'</span></div>'
                    		+'<div class="align_left long"><label>初始融资金额：</label><span class="rzje">'+Com.formatNumber(con.debitamt)+'</span></div>'
                    		+'<div class="align_right short"><label>年利率：</label><span class="nll">'+parseFloat(con.interestrate*100).toFixed(2)+'%</span></div>'
                    		+'</li>';
            			$('#all_list').find('ul').eq(0).append(append_str);
            			if(con.hystatus=='0'){
            				cnt1++;
            				$('#normal_list').find('ul').eq(0).append(append_str);
            			}else if(con.hystatus=='2'){
            				cnt2++;
            				$('#process_list').find('ul').eq(0).append(append_str);
            			}else if(con.hystatus=='3'){
            				cnt3++;
            				$('#fail_list').find('ul').eq(0).append(append_str);
            			}else if(con.hystatus=='*'){
            				cnt4++;
            				$('#finish_list').find('ul').eq(0).append(append_str);
            			}
            		}
            		//$('#all_list ul').show();
            		if(cnt1==0){
            			$('#normal_list ul').append('<div class="no_data"><div class="no_result_img"></div><h3>未查询到相关合约信息！</h3></div>');
            		}
            		if(cnt2==0){
            			$('#process_list ul').append('<div class="no_data"><div class="no_result_img"></div><h3>未查询到相关合约信息！</h3></div>');
            		}
            		if(cnt3==0){
            			$('#fail_list ul').append('<div class="no_data"><div class="no_result_img"></div><h3>未查询到相关合约信息！</h3></div>');
            		}
            		if(cnt4==0){
            			$('#finish_list ul').append('<div class="no_data"><div class="no_result_img"></div><h3>未查询到相关合约信息！</h3></div>');
            		}
            		$('.swiper-wrapper').height($('#all_list').height());
            		
            	}else{
            		$('.swiper-slide ul').append('<div class="no_data"><div class="no_result_img"></div><h3>未查询到相关合约信息！</h3></div>');
            	}
            }else if(d.result[0].code == '11' || d.result[0].code == '18' || d.result[0].code == '19'){
                return false;
            }else{
            	Com.showNativeAlert("",d.result[0].msg,["确定"],'');
            }
        },
        "isTradeLogin":true,
        "isNeedLoading":true,
        "error":function(){
        	Com.showNativeAlert("","网络不给力",["确定"],'');
        }
    });
}

var mySwiper = new Swiper('.swiper-container',{
	autoHeight: true,
	speed: 300,
	onSlideChangeStart: function(){
    	$(".tabs .default").removeClass('default');
      	$(".tabs li").eq(mySwiper.activeIndex).addClass('default');
      	
    }
});

$(".tabs li").on('click',function(e){
   	e.preventDefault();
   	$(".tabs .default").removeClass('default');
    $(this).addClass('default');
    mySwiper.slideTo($(this).index(),300);
});


$(document).on('click','.list_item',function(){
	var json_str=$(this).find('input[name="json_str"]').val();
	Com.setLocalValue('gq_hystr',json_str);
	Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+'/asset/goldsun_mtrade/gqjl/pages/gq_hyxq.html',"weburl":'gq_hyxq.html'});
	/*
	Com.setLocalValue('gq_hywtbh',ofcode);
    Com.setLocalValue('gq_hywtrq',type);
    Com.setLocalValue('gq_hydqrq',sno);
    Com.setLocalValue('gq_hycsrzje',poststr);
    Com.setLocalValue('gq_hynll',otccontractno);
    Com.setLocalValue('gq_hyfxl',orderdate);
    Com.setLocalValue('gq_yhje',otccontractno);
    Com.setLocalValue('gq_hylx',orderdate);
    Com.setLocalValue('gq_hyfx',otccontractno);
    Com.setLocalValue('gq_hyljrq',orderdate);
    Com.setLocalValue('gq_hywtsl',otccontractno);
    Com.setLocalValue('gq_hyxqjg',orderdate);
    Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+'/asset/goldsun_mtrade/pages/gq_hycx_detail.html?n=1',"weburl":'gq_hycx_detail.html?n=1'});  
    */
});

function convertDate(date){
	var return_date='';
	if(date.length==8){
		return_date = date.substring(0,4)+'-'+date.substring(4,6)+'-'+date.substring(6,8);
	}
	return return_date;
}

window.onload=function(){
	try{
		TalkingData.onEventWithLabel('股权激励','融资行权-合约查询结果列表页面PV和UV');
    }catch(err){}
}