var timeFlag='time1';
var flag;

$(document).ready(function(){
	Com.setWebviewTitle('',{"title":"成交查询","bgColor":"272736"});
	flag=$('#flag').val();
	get_today_cj_list();
	Com.gobackRefreshPage(true,initQuery);
	Com.nativeGobackListener('1',nativeGoback);
});

function initQuery(){
	var queryFlag=Com.getLocalValue('queryFlag');
	if(queryFlag!=null&&queryFlag==1){
		$('.time_section li a').removeClass('active');
		$('#time4').addClass('active');
		timeFlag = 'time4';
		get_his_cj_list(timeFlag);
		Com.removeLocalValue('queryFlag');
	}
}

function nativeGoback(){
	Com.nativeGoback()
}

$('.time_section li a').on('click',function(){
	$('.time_section li a').removeClass('active');
	$(this).addClass('active');
	var id=$(this).attr('id');
	timeFlag = id;
	if(id=='time1'){
		get_today_cj_list();
		Com.removeLocalValue('beginDate');
		Com.removeLocalValue('endDate');
	}else if(id=='time2' || id=='time3'){
		get_his_cj_list(timeFlag);
		Com.removeLocalValue('beginDate');
		Com.removeLocalValue('endDate');
	}else{	//点击自定义
		$('#data_list').hide();
		$('#no_result').show();
		page_dataSelect();
	}
});

function page_dataSelect(){
	Com.setLocalValue('flag','1014');
	
	Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+'/asset/gzjy/pages/rqxz.html',"weburl":'rqxz.html'});
}

function get_today_cj_list(){
	$('#data_list').empty();
	var param={};
	param['market']='6';
	renderTodayList(param);
	var param2={};
	param2['market']='7';
	renderTodayList(param2);
	
	if($('#data_list').find('li').size()==0){
		$('#data_list').hide();
		$('#no_result').show();
	}
}

function renderTodayList(param){
	Com.ajax({
        "url":Com.getOrigin()+'/gstrade/sharetransfer/queryMatch/1.0?',
        "data":param,
        "type":"post",
        "dataType":"json",
        "async":false,
        "success":function(d){
        	if(d.result[0].code=='0'){
        		var num = 2;
        		if(param['market']=='7'){
        			num = 3;
        		}
        		var list = d.queryMatch_0;
				if(list.length>0){
					$('#no_result').hide();
					var append_html='';
					for(var i=0;i<list.length;i++){
						append_html='';
						obj=list[i];
						var bsflagColor='';
						if(obj['~bsflag'].indexOf('卖出')>0){
							bsflagColor = 'green';
						}else if(obj['~bsflag'].indexOf('买入')>0){
							bsflagColor = 'red';
						}else{
							bsflagColor = '';
						}
						var tempStr='<div class="line"><div class="item_left"><div class="label">买卖类别</div><div class="mmlb val '+bsflagColor+'">'+obj['~bsflag']+'</div></div>'+
							 		'<div class="item_right"><div class="label">成交类型</div><div class="cjlx val">'+obj['~matchtype']+'</div></div></div>';
						
						append_html+='<li><div class="detail"><input type="hidden" name="htxh" value="'+obj.orderid+'"/><input type="hidden" name="cjje" value="'+Com.formatNumber(obj.matchamt)+'"/>'+
									 '<input type="hidden" name="cjlx" value="'+obj['~matchtype']+'"/>'+
									 '<input type="hidden" name="jysc" value="'+obj['~market']+'"/>'+
									 '<input type="hidden" name="cjsj" value="'+obj.matchtime+'"/>'+
									 '<input type="hidden" name="gpmc" value="'+obj.stkname+'"/><input type="hidden" name="gpdm" value="'+obj.stkcode+'"/>'+
									 '<h4>'+obj.stkname+' ('+obj.stkcode+')</h4>'+tempStr+
									 '<div class="line"><div class="item_left"><div class="label">成交价格</div><div class="cjjg val">'+parseFloat(obj.matchprice).toFixed2(num)+'</div></div>'+
									 '<div class="item_right"><div class="label">成交数量</div><div class="cjsl val">'+Com.formatNumber(obj.matchqty)+'</div></div></div>'+
									 '</div></li>';
						$('#data_list').append(append_html);
						
					}
					$('#data_list li').on('tap',function(){
						goDetail('620512',$(this));
					});
					
					$('#data_list').show();
				}else{
					
				}
				
				if(param.market=='7'){
					if($('#data_list').find('li').size()==0){
						$('#data_list').hide();
						$('#no_result').show();
					}
				}
			}else{
				if(param.market=='7'){
					Com.showNativeAlert("",d.result[0].msg,["确定"],'');
				}
				return false;
			}
        },
        "isTradeLogin":true,
        "error":function(){
        	if(param.market=='7'){
        		Com.showNativeAlert("","网络不给力",["确定"],'');
        	}
            return false;
        }
    });
}

function get_his_cj_list(timeFlag){
	$('#data_list').empty();
	var param={};
	var param2={};
	if(timeFlag=='time4'){
		param['strdate']=Com.getLocalValue('beginDate');
		param['enddate']=Com.getLocalValue('endDate');
		param2['strdate']=Com.getLocalValue('beginDate');
		param2['enddate']=Com.getLocalValue('endDate');
	}else{
		var cur_date = new Date();
      	var yesterday = new Date(cur_date.getTime() - 1 * 24 * 3600 * 1000);
      	var begindate;
      	var enddate = Com.dateFormat(yesterday,'yyyyMMdd');
      	if(timeFlag=="time2"){  //设置7日
			var seven_day = new Date(cur_date.getTime() - 8 * 24 * 3600 * 1000);
			begindate = Com.dateFormat(seven_day,'yyyyMMdd');
		}else if(timeFlag=="time3"){  //设置30日
			var thirty_day = new Date(cur_date.getTime() - 31 * 24 * 3600 * 1000);
			begindate = Com.dateFormat(thirty_day,'yyyyMMdd');
		}
      	param['strdate']=begindate;
		param['enddate']=enddate;
		param2['strdate']=begindate;
		param2['enddate']=enddate;
	}
	param['market']='6';
	renderHisList(param);
	
	param2['market']='7';
	renderHisList(param2);
	
}

function renderHisList(param){
	Com.ajax({
        "url":Com.getOrigin()+'/gstrade/sharetransfer/queryMatchHis/1.0?',
        "data":param,
        "type":"post",
        "dataType":"json",
        "async":false,
        "success":function(d){
        	if(d.result[0].code=='0'){
        		var num = 2;
        		if(param['market']=='7'){
        			num = 3;
        		}
        		var list = d.queryMatchHis_0;
				if(list.length>0){
					$('#no_result').hide();
					var append_html='';
					for(var i=0;i<list.length;i++){
						append_html='';
						obj=list[i];
						var bsflagColor='';
						if(obj['~bsflag'].indexOf('卖出')>0){
							bsflagColor = 'green';
						}else if(obj['~bsflag'].indexOf('买入')>0){
							bsflagColor = 'red';
						}else{
							bsflagColor = '';
						}
						
						append_html+='<li><div class="detail"><input type="hidden" name="htxh" value="'+obj.orderid+'"/><input type="hidden" name="jsrq" value="'+obj.bizdate+'"/><input type="hidden" name="cjje" value="'+Com.formatNumber(obj.matchamt)+'"/>'+
									 '<input type="hidden" name="dsyhs" value="'+parseFloat(obj.fee_yhs).toFixed2(num)+'"/><input type="hidden" name="sxf" value="'+parseFloat(obj.fee_sxf).toFixed2(num)+'"/><input type="hidden" name="ghf" value="'+parseFloat(obj.fee_ghf).toFixed2(num)+'"/><input type="hidden" name="qsf" value="'+parseFloat(obj.fee_qsf).toFixed2(num)+'"/>'+
									 '<input type="hidden" name="jygf" value="'+parseFloat(obj.fee_jygf).toFixed2(num)+'"/><input type="hidden" name="jsf" value="'+parseFloat(obj.fee_jsf).toFixed2(num)+'"/><input type="hidden" name="zgf" value="'+parseFloat(obj.fee_zgf).toFixed2(num)+'"/><input type="hidden" name="jysc" value="'+obj['~market']+'"/>'+
									 '<input type="hidden" name="remark" value="'+obj['~creditflag1']+'"/><input type="hidden" name="gpmc" value="'+obj.stkname+'"/><input type="hidden" name="gpdm" value="'+obj.stkcode+'"/>'+
									 '<h4>'+obj.stkname+' ('+obj.stkcode+')</h4><div class="line"><div class="label">买卖类别</div><div class="mmlb val '+bsflagColor+'">'+obj['~bsflag']+'</div></div>'+
									 '<div class="line"><div class="item_left"><div class="label">成交价格</div><div class="cjjg val">'+parseFloat(obj.matchprice).toFixed2(num)+'</div></div>'+
									 '<div class="item_right"><div class="label">成交数量</div><div class="cjsl val">'+Com.formatNumber(obj.matchqty)+'</div></div></div>'+
									 '</div></li>';
						$('#data_list').append(append_html);
					}
					$('#data_list li').on('tap',function(){
						goDetail('620513',$(this));
					});
					
					$('#data_list').show();
				}else{
					
				}
				
				if(param.market=='7'){
					if($('#data_list').find('li').size()==0){
						$('#data_list').hide();
						$('#no_result').show();
					}
				}
			}else{
				if(param.market=='7'){
					Com.showNativeAlert("",d.result[0].msg,["确定"],'');
				}
				return false;
			}
        },
        "isTradeLogin":true,
        "error":function(){
        	if(param.market=='7'){
        		Com.showNativeAlert("","网络不给力",["确定"],'');
        	}
            return false;
        }
    });
}


function goDetail(funcno,obj){
	var htxh=$('input[name="htxh"]',obj).val();
	var cjje=$('input[name="cjje"]',obj).val();
	var jysc=$('input[name="jysc"]',obj).val();
	var gpdm=$('input[name="gpdm"]',obj).val();
	var gpmc=$('input[name="gpmc"]',obj).val();
	
	var bsflag=obj.find('.mmlb').html();
	var cjjg=obj.find('.cjjg').html();
	var cjsl=obj.find('.cjsl').html();
	
	Com.setLocalValue('gpdm',gpdm);
	Com.setLocalValue('gpmc',gpmc);
	Com.setLocalValue('cjsl',cjsl);
	Com.setLocalValue('cjjg',cjjg);
	Com.setLocalValue('cjje',cjje);
	Com.setLocalValue('bsflag',bsflag);
	Com.setLocalValue('htxh',htxh);
	Com.setLocalValue('jysc',jysc);
	Com.setLocalValue('funcno',funcno);
	if(funcno=='620512'){
		Com.setLocalValue('cjsj',$('input[name="cjsj"]',obj).val());
		Com.setLocalValue('cjlx',$('input[name="cjlx"]',obj).val());
	}else if(funcno=='620513'){
		Com.setLocalValue('sxf',$('input[name="sxf"]',obj).val());
		Com.setLocalValue('dsyhs',$('input[name="dsyhs"]',obj).val());
		Com.setLocalValue('zgf',$('input[name="zgf"]',obj).val());
		Com.setLocalValue('jygf',$('input[name="jygf"]',obj).val());
		Com.setLocalValue('jsf',$('input[name="jsf"]',obj).val());
		Com.setLocalValue('qsf',$('input[name="qsf"]',obj).val());
		Com.setLocalValue('ghf',$('input[name="ghf"]',obj).val());
		Com.setLocalValue('remark',$('input[name="remark"]',obj).val());
		Com.setLocalValue('jsrq',$('input[name="jsrq"]',obj).val());
	}
	Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+'/asset/gzjy/pages/cjxq.html',"weburl":'cjxq.html'});
	
}