var selectGpdm;
var selectWtxh;
var selectScdm;
var flag;

$(document).ready(function(){
	Com.setWebviewTitle('',{"title":"股转委托撤单","bgColor":"272736"});
	Com.gobackRefreshPage(true,initPage);
	Com.nativeGobackListener('1',nativeGoback);
	
	flag=$('#flag').val();
	
	initPage();
});

function initPage(){
	$('#data_list').empty();
	var param={};
	param['market']='6';
	param['cancelflag']='1';
	renderTodayList(param);
	var param2={};
	param2['market']='7';
	param2['cancelflag']='1';
	renderTodayList(param2);
}

function nativeGoback(){
	Com.nativeGoback()
}

function renderTodayList(param){
	Com.ajax({
        "url":Com.getOrigin()+'/gstrade/sharetransfer/queryOrder/1.0?',
        "data":param,
        "type":"post",
        "dataType":"json",
        "async":false,
        "success":function(d){
        	if(d.result[0].code=='0'){
        		var num = 2;
        		if(param['market']=='7'){
        			num = 3;
        		}
        		var list = d.queryOrder_0;
        		if(list.length>0){
					$('#no_result').hide();
					var append_html='';
					for(var i=0;i<list.length;i++){
						append_html='';
						obj=list[i];
						var bsflagStr='';
						var bsflagColor='';
						if(obj['~bsflag'].indexOf('卖出')>0){
							bsflagColor = 'green';
						}else if(obj['~bsflag'].indexOf('买入')>0){
							bsflagColor = 'red';
						}else{
							bsflagColor = '';
						}
						if(obj.cancelflag=='T'){
							bsflagStr = obj['~bsflag']+'(撤单)';
						}else{
							bsflagStr = obj['~bsflag'];
						}
						append_html+='<li><div class="detail"><input type="hidden" name="wtxh" value="'+obj.ordersno+'"/><input type="hidden" name="wtsj" value="'+obj.opertime+'"/>'+
									 '<input type="hidden" name="cjsl" value="'+Com.formatNumber(obj.matchqty)+'"/><input type="hidden" name="cdsl" value="'+Com.formatNumber(obj.cancelqty)+'"/>'+
									 '<input type="hidden" name="djje" value="'+Com.formatNumber(obj.orderfrzamt)+'"/><input type="hidden" name="cjje" value="'+Com.formatNumber(obj.matchamt)+'"/>'+
									 '<input type="hidden" name="cdbs" value="'+obj.cancelflag+'"/><input type="hidden" name="remark" value="'+obj['~creditflag1']+'"/>'+
									 '<input type="hidden" name="gpmc" value="'+obj.stkname+'"/><input type="hidden" name="gpdm" value="'+obj.stkcode+'"/><input type="hidden" name="scdm" value="'+obj.market+'"/>'+
									 '<h4>'+obj.stkname+' ('+obj.stkcode+')</h4>'+
									 '<div class="line"><div class="item_left"><div class="label">买卖类别</div><div class="mmlb val '+bsflagColor+'">'+bsflagStr+'</div></div>'+
									 '<div class="item_right"><div class="label">委托状态</div><div class="wtzt val orange">'+obj['~orderstatus']+'</div></div></div>'+
									 '<div class="line"><div class="item_left"><div class="label">委托价格</div><div class="wtjg val">'+parseFloat(obj.orderprice).toFixed(num)+'</div></div>'+
									 '<div class="item_right"><div class="label">委托数量</div><div class="wtsl val">'+Com.formatNumber(obj.orderqty)+'</div></div></div>'+
									 '</div></li>';
						$('#data_list').append(append_html);
					}
					
					
				}
        		
        		if(param.market=='7'){
        			if($('#data_list').find('li').size()==0){
        				$('#data_list').hide();
        				$('#no_result').show();
        			}
        		}
			}else{
				if(param.market=='7'){
					Com.showNativeAlert("",d.result[0].msg,["确定"],'');
				}
				return false;
			}
        },
        "isTradeLogin":true,
        "error":function(){
        	if(param.market=='7'){
        		Com.showNativeAlert("","网络不给力",["确定"],'');
        	}
            return false;
        }
    });
}

$(document).on('click','#data_list li',function(){
	$('#data_list div.operationDiv').remove();
	$('#data_list li').css('background','#fff');
	var operationStr = '<div class="operationDiv"><button class="detail_link">更多详情</a><button class="cancel_action">撤单</button></div>';
	$(this).append(operationStr);
	$('.operationDiv').fadeIn();
	
	$('.detail_link').on('click',function(){
		goDetail($(this).parents('li').eq(0));
	});

	$('.cancel_action').on('click',function(){
		goCancelOrder($(this).parents('li').eq(0));
	});
});


function goDetail(obj){
	var wtsj=obj.find('input[name="wtsj"]').val();
	var wtxh=obj.find('input[name="wtxh"]').val();
	var cjsl=obj.find('input[name="cjsl"]').val();
	var cdsl=obj.find('input[name="cdsl"]').val();
	var djje=obj.find('input[name="djje"]').val();
	var cjje=obj.find('input[name="cjje"]').val();
	var cdbs=obj.find('input[name="cdbs"]').val();
	var remark=obj.find('input[name="remark"]').val();
	var htxh=obj.find('input[name="htxh"]').val();
	var jysc=obj.find('input[name="jysc"]').val();
	var gpdm=obj.find('input[name="gpdm"]').val();
	var gpmc=obj.find('input[name="gpmc"]').val();
	var scdm=obj.find('input[name="scdm"]').val();
	var bsflag = obj.find('.mmlb').html();
	var wtzt = obj.find('.wtzt').html();
	var wtjg = obj.find('.wtjg').html();
	var wtsl = obj.find('.wtsl').html();
	Com.setLocalValue('gpdm',gpdm);
	Com.setLocalValue('scdm',scdm);
	Com.setLocalValue('gpmc',gpmc);
	Com.setLocalValue('wtsj',wtsj);
	Com.setLocalValue('cjsl',cjsl);
	Com.setLocalValue('cdsl',cdsl);
	Com.setLocalValue('djje',djje);
	Com.setLocalValue('cjje',cjje);
	Com.setLocalValue('bsflag',bsflag);
	Com.setLocalValue('wtjg',wtjg);
	Com.setLocalValue('wtsl',wtsl);
	Com.setLocalValue('remark',remark);
	Com.setLocalValue('funcno','620510');
	Com.setLocalValue('cdbs',cdbs);
	Com.setLocalValue('wtzt',wtzt);
	Com.setLocalValue('wtxh',wtxh);
	Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+'/asset/gzjy/pages/cdxq.html',"weburl":'cdxq.html'});
}

function goCancelOrder(obj){
	var wtxh=obj.find('input[name="wtxh"]').val();
	var gpdm=obj.find('input[name="gpdm"]').val();
	var gpmc=obj.find('input[name="gpmc"]').val();
	var scdm=obj.find('input[name="scdm"]').val();
	var wtjg=obj.find('.wtjg').html();
	var wtsl=obj.find('.wtsl').html();
	//var bsflag=$('tr:eq(1) td:eq(0) span',parentLi).html();
	var bsflag=obj.find('.mmlb').html();
	
	selectGpdm=gpdm;
	selectWtxh=wtxh;
	selectScdm=scdm;
	var confirmStr='操作类别：撤单\n';
	confirmStr+='买卖方向：'+bsflag+'\n';
	confirmStr+='证券代码：'+gpdm+' '+gpmc+'\n';
	confirmStr+='委托数量：'+wtsl+'\n';
	confirmStr+='委托价格：'+wtjg+'\n';
	confirmStr+='委托编号：'+wtxh+'\n';
	confirmStr+='您确定执行该操作吗？';
	
	Com.showNativeAlert("",confirmStr,["取消","确定"],getBtnClicked);
	
	function getBtnClicked(p){
        if(p === 'string'){
            p = JSON.parse(p);
        }
        if(p.clickedIndex == 0){
            //点击了"关闭"
            return false;
        }else{
            //点击了"确定"
        	cancelOrder();
            return false;
        }
    }
}

function cancelOrder(){
	var param={}
	param['ordersno']=selectWtxh;
	param['market']=selectScdm;
	param['stkcode']=selectGpdm;
	Com.ajax({
        "url":Com.getOrigin()+'/gstrade/sharetransfer/tradeCancel/1.0?',
        "data":param,
        "type":"post",
        "dataType":"json",
        "success":function(d){
        	if(d.result[0].code=='0'){
        		Com.showNativeAlert('','撤单委托已接受！',["确定"],function(){window.location.reload();});
        	}else{
        		Com.showNativeAlert('','撤单委托提交失败！原因:'+d.result[0].msg,["确定"],'');
        	}
        },
        "isTradeLogin":true,
        "isNeedLoading":true,
        "error":function(){
            Com.showNativeAlert("","网络不给力",["确定"],'');
            return false;
        }
	});
}
