var timeFlag='time1';
var flag;

$(document).ready(function(){
	Com.setWebviewTitle('',{"title":"委托查询","bgColor":"272736"});
	flag=$('#flag').val();

	get_today_wt_list();
	Com.gobackRefreshPage(true,initQuery);
	Com.nativeGobackListener('1',nativeGoback);
});

function initQuery(){
	var queryFlag=Com.getLocalValue('queryFlag');
	if(queryFlag!=null&&queryFlag==1){
		$('.time_section li a').removeClass('active');
		$('#time4').addClass('active');
		
		timeFlag = 'time4';
		get_his_wt_list(timeFlag);
		
		Com.removeLocalValue('queryFlag');
	}
}

function nativeGoback(){
	Com.nativeGoback()
}

$('.time_section li a').on('click',function(){
	$('.time_section li a').removeClass('active');
	$(this).addClass('active');
	var id=$(this).attr('id');
	timeFlag = id;
	if(id=='time1'){
		get_today_wt_list();
		Com.removeLocalValue('beginDate');
		Com.removeLocalValue('endDate');
	}else if(id=='time2' || id=='time3'){
		get_his_wt_list(timeFlag);
		Com.removeLocalValue('beginDate');
		Com.removeLocalValue('endDate');
	}else{	//点击自定义
		$('#data_list').hide();
		$('#no_result').show();
		page_dataSelect();
	}
});

function get_his_wt_list(timeflag){
	$('#data_list').empty();
	var param1={};
	var param2={};
	
	if(timeflag=='time4'){
		param1['strdate']=Com.getLocalValue('beginDate');
		param1['enddate']=Com.getLocalValue('endDate');
		param2['strdate']=Com.getLocalValue('beginDate');
		param2['enddate']=Com.getLocalValue('endDate');
	}else{
		var cur_date = new Date();
      	var yesterday = new Date(cur_date.getTime() - 1 * 24 * 3600 * 1000);
      	var begindate;
      	var enddate = Com.dateFormat(yesterday,'yyyyMMdd');
      	if(timeflag=="time2"){  //设置7日
			var seven_day = new Date(cur_date.getTime() - 8 * 24 * 3600 * 1000);
			begindate = Com.dateFormat(seven_day,'yyyyMMdd');
		}else if(timeflag=="time3"){  //设置30日
			var thirty_day = new Date(cur_date.getTime() - 31 * 24 * 3600 * 1000);
			begindate = Com.dateFormat(thirty_day,'yyyyMMdd');
		}
      	param1['strdate']=begindate;
		param1['enddate']=enddate;
		param2['strdate']=begindate;
		param2['enddate']=enddate;
	}
	param1['market']='6';
	renderHisList(param1);
	
	param2['market']='7';
	renderHisList(param2);
	
	
}

function renderHisList(param){
	Com.ajax({
        "url":Com.getOrigin()+'/gstrade/sharetransfer/queryOrderHis/1.0?',
        "data":param,
        "type":"post",
        "dataType":"json",
        "async":false,
        "success":function(d){
        	
        	if(d.result[0].code=='0'){
        		var num = 2;
        		if(param['market']=='7'){
        			num = 3;
        		}
        		
        		var list = d.queryOrderHis_0;
				if(list.length>0){
					$('#no_result').hide();
					var append_html='';
					for(var i=0;i<list.length;i++){
						append_html='';
						obj=list[i];
						var bsflagStr='';
						var bsflagColor='';
						if(obj['~bsflag'].indexOf('卖出')>0){
							bsflagColor = 'green';
						}else if(obj['~bsflag'].indexOf('买入')>0){
							bsflagColor = 'red';
						}else{
							bsflagColor = '';
						}
						if(obj.cancelflag=='T'){
							bsflagStr = obj['~bsflag']+'(撤单)';
						}else{
							bsflagStr = obj['~bsflag'];
						}
						append_html+='<li><div class="detail"><input type="hidden" name="wtxh" value=""/><input type="hidden" name="wtrq" value="'+obj.orderdate+'"/><input type="hidden" name="wtsj" value="'+obj.opertime+'"/>'+
									 '<input type="hidden" name="cjsl" value="'+Com.formatNumber(obj.matchqty)+'"/><input type="hidden" name="cdsl" value="'+Com.formatNumber(obj.cancelqty)+'"/>'+
									 '<input type="hidden" name="djje" value="'+Com.formatNumber(obj.orderfrzamt)+'"/><input type="hidden" name="cjje" value="'+Com.formatNumber(obj.matchamt)+'"/>'+
									 '<input type="hidden" name="cdbs" value="'+obj.cancelflag+'"/><input type="hidden" name="remark" value="'+obj['~creditflag1']+'"/>'+
									 '<input type="hidden" name="htxh" value="'+obj.orderid+'"/><input type="hidden" name="jysc" value="'+obj['~market']+'"/>'+
									 '<input type="hidden" name="gddm" value="'+obj.secuid+'"/>'+
									 '<input type="hidden" name="gpmc" value="'+obj.stkname+'"/><input type="hidden" name="gpdm" value="'+obj.stkcode+'"/>'+
									 '<h4>'+obj.stkname+' ('+obj.stkcode+')</h4>'+
									 '<div class="line"><div class="item_left"><div class="label">买卖类别</div><div class="mmlb val '+bsflagColor+'">'+bsflagStr+'</div></div>'+
									 '<div class="item_right"><div class="label">委托状态</div><div class="wtzt val orange">'+obj['~orderstatus']+'</div></div></div>'+
									 '<div class="line"><div class="item_left"><div class="label">委托价格</div><div class="wtjg val">'+parseFloat(obj.orderprice).toFixed2(num)+'</div></div>'+
									 '<div class="item_right"><div class="label">委托数量</div><div class="wtsl val">'+Com.formatNumber(obj.orderqty)+'</div></div></div>'+
									 '</div></li>';
						$('#data_list').append(append_html);
					}
					$('#data_list li').off('click');
					$('#data_list li').on('click',function(){
						goDetail('620511',$(this));
					});
					
					$('#data_list').show();
				}
				
				if(param.market=='7'){
					if($('#data_list').find('li').size()==0){
						$('#data_list').hide();
						$('#no_result').show();
					}
				}
			}else{
				if(param.market=='7'){
					Com.showNativeAlert("",d.result[0].msg,["确定"],'');
				}
				return false;
			}
        },
        "isTradeLogin":true,
        "error":function(){
        	if(param.market=='7'){
        		Com.showNativeAlert("","网络不给力",["确定"],'');
        	}
            return false;
        }
    });
}

function get_today_wt_list(){
	$('#data_list').empty();
	var param1={};
	param1['market']='6';
	renderTodayList(param1);
	var param2={};
	param2['market']='7';
	renderTodayList(param2);
	
	if($('#data_list').find('li').size()==0){
		$('#data_list').hide();
		$('#no_result').show();
	}
}

function renderTodayList(param){
	Com.ajax({
        "url":Com.getOrigin()+'/gstrade/sharetransfer/queryOrder/1.0?',
        "data":param,
        "type":"post",
        "dataType":"json",
        "async":false,
        "success":function(d){
        	if(d.result[0].code=='0'){
        		var num = 2;
        		if(param['market']=='7'){
        			num = 3;
        		}
        		var list = d.queryOrder_0;
				if(list.length>0){
					$('#no_result').hide();
					var append_html='';
					for(var i=0;i<list.length;i++){
						append_html='';
						obj=list[i];
						var bsflagStr='';
						if(obj['~bsflag'].indexOf('卖出')>0){
							bsflagStr = 'green';
						}else if(obj['~bsflag'].indexOf('买入')>0){
							bsflagStr = 'red';
						}else{
							bsflagStr = '';
						}
						append_html+='<li><div class="detail"><input type="hidden" name="wtxh" value="'+obj.ordersno+'"/><input type="hidden" name="wtrq" value="'+obj.orderdate+'"/><input type="hidden" name="wtsj" value="'+obj.opertime+'"/>'+
									 '<input type="hidden" name="cjsl" value="'+Com.formatNumber(obj.matchqty)+'"/><input type="hidden" name="cdsl" value="'+Com.formatNumber(obj.cancelqty)+'"/>'+
									 '<input type="hidden" name="djje" value="'+Com.formatNumber(obj.orderfrzamt)+'"/><input type="hidden" name="cjje" value="'+Com.formatNumber(obj.matchamt)+'"/>'+
									 '<input type="hidden" name="cdbs" value="'+obj.cancelflag+'"/><input type="hidden" name="remark" value="'+obj['~creditflag1']+'"/>'+
									 '<input type="hidden" name="htxh" value="'+obj.orderid+'"/><input type="hidden" name="jysc" value="'+obj['~market']+'"/>'+
									 '<input type="hidden" name="gddm" value="'+obj.secuid+'"/>'+
									 '<input type="hidden" name="gpmc" value="'+obj.stkname+'"/><input type="hidden" name="gpdm" value="'+obj.stkcode+'"/>'+
									 '<h4>'+obj.stkname+' ('+obj.stkcode+')</h4>'+
									 '<div class="line"><div class="item_left"><div class="label">买卖类别</div><div class="mmlb val '+bsflagStr+'">'+obj['~bsflag']+'</div></div>'+
									 '<div class="item_right"><div class="label">委托状态</div><div class="wtzt val orange">'+obj['~orderstatus']+'</div></div></div>'+
									 '<div class="line"><div class="item_left"><div class="label">委托价格</div><div class="wtjg val">'+parseFloat(obj.orderprice).toFixed2(num)+'</div></div>'+
									 '<div class="item_right"><div class="label">委托数量</div><div class="wtsl val">'+Com.formatNumber(obj.orderqty)+'</div></div></div>'+
									 '</div></li>';
						$('#data_list').append(append_html);
					}
					$('#data_list li').off('click');
					$('#data_list li').on('click',function(){
						goDetail('620510',$(this));
					});
					
					$('#data_list').show();
				}else{
					
				}
				
				if(param.market=='7'){
					if($('#data_list').find('li').size()==0){
						$('#data_list').hide();
						$('#no_result').show();
					}
				}
			}else{
				Com.showNativeAlert("",d.result[0].msg,["确定"],'');
				return false;
			}
        },
        "isTradeLogin":true,
        "error":function(){
            Com.showNativeAlert("","网络不给力",["确定"],'');
            return false;
        }
    });
}

function goDetail(funcno,obj){
	var wtsj=$('input[name="wtsj"]',obj).val();
	var wtrq=$('input[name="wtrq"]',obj).val();
	var wtxh=$('input[name="wtxh"]',obj).val();
	var cjsl=$('input[name="cjsl"]',obj).val();
	var cdsl=$('input[name="cdsl"]',obj).val();
	var djje=$('input[name="djje"]',obj).val();
	var cjje=$('input[name="cjje"]',obj).val();
	var cdbs=$('input[name="cdbs"]',obj).val();
	var remark=$('input[name="remark"]',obj).val();
	var htxh=$('input[name="htxh"]',obj).val();
	var jysc=$('input[name="jysc"]',obj).val();
	var gpdm=$('input[name="gpdm"]',obj).val();
	var gpmc=$('input[name="gpmc"]',obj).val();
	var gddm=$('input[name="gddm"]',obj).val();

	var bsflag=obj.find('.mmlb').html();
	var wtzt=obj.find('.wtzt').html();
	var wtjg=obj.find('.wtjg').html();
	var wtsl=obj.find('.wtsl').html();
	
	Com.setLocalValue('gpdm',gpdm);
	Com.setLocalValue('gpmc',gpmc);
	Com.setLocalValue('gddm',gddm);
	Com.setLocalValue('wtsj',wtsj);
	Com.setLocalValue('cjsl',cjsl);
	Com.setLocalValue('cdsl',cdsl);
	Com.setLocalValue('djje',djje);
	Com.setLocalValue('cjje',cjje);
	Com.setLocalValue('bsflag',bsflag);
	Com.setLocalValue('wtjg',wtjg);
	Com.setLocalValue('wtsl',wtsl);
	Com.setLocalValue('remark',remark);
	Com.setLocalValue('funcno',funcno);
	Com.setLocalValue('timeFlag',timeFlag);
	Com.setLocalValue('htxh',htxh);
	if(funcno=='620510'){
		Com.setLocalValue('cdbs',cdbs);
		Com.setLocalValue('wtzt',wtzt);
		Com.setLocalValue('wtxh',wtxh);
	}else if(funcno=='620511'){
		Com.setLocalValue('wtrq',wtrq);
		Com.setLocalValue('jysc',jysc);
	}
	Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+'/asset/gzjy/pages/wtxq.html',"weburl":'wtxq.html'});
}

function page_dataSelect(){
	Com.setLocalValue('flag','1013');
	
	Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+'/asset/gzjy/pages/rqxz.html',"weburl":'rqxz.html'});
}
