
var hsData = {};
$(function(){
	//加载沪市上榜个股
	load({
		url:HOST_NAME+"/gsnews/data/abnormallist/1.0?market=SH&page=1&pageSize=100",
		tableId:"drhssbgg-data",
		templateId:"drhssbgg-tpl",
		dataProcessing:function (dataAll){
			var data = dataAll['lhb'];
			Com.setWebviewTitle("",{title:data[0]['tradingDay']+" 沪市上榜个股"});
			hsData = $.extend(true,{},dataAll); 
			for(var key in data){
				if(data[key]['buySum'] != null && typeof(data[key]['buySum']) != 'undefined') {
					data[key]['buySum'] = round(data[key]['buySum']);
				}
				if(data[key]['saleSum'] != null&& typeof(data[key]['buySum']) != 'undefined') {
					data[key]['saleSum'] = round(data[key]['saleSum']);
				}
				if(data[key]['finaBuy'] != null&& typeof(data[key]['finaBuy']) != 'undefined') {
					data[key]['finaBuy'] = round(data[key]['finaBuy']);
				}
				if(data[key]['change'] != null&& typeof(data[key]['change']) != 'undefined') {
					var f = (data[key]['change']*1.0)>0?"+":"";
					data[key]['change'] = f+(data[key]['change']*1.0).toFixed(2);
				}
			}
		}
	});
});
function round(numberStr){
	var result = numberStr;
	if(numberStr*1.0>=10000000){
		result = ((numberStr*1.0)/100000000).toFixed(2)+'亿';
	}else if(numberStr*1.0>=10000){
		result = ((numberStr*1.0)/10000).toFixed(2)+"万";
	}else{
		result = numberStr;
	}
	return result;
};

function sort(sortBy){
	$('#change-arrow').hide();
	$('#buySum-arrow').hide();
	$('#saleSum-arrow').hide();
	$('#'+sortBy+'-arrow').show();
	function insc(a, b){
		return a[sortBy] - b[sortBy];
	}
	function desc(a, b){
		return b[sortBy] - a[sortBy];
	}
	var tmpData = $.extend(true,{},hsData); 
	if($('#'+sortBy+'-arrow').hasClass('arrow-up')){
		var data = tmpData['lhb'].sort(desc);
		$('#'+sortBy+'-arrow').addClass('arrow-down');
		$('#'+sortBy+'-arrow').removeClass('arrow-up');
	}else{
		var data = tmpData['lhb'].sort(insc);
		$('#'+sortBy+'-arrow').addClass('arrow-up');
		$('#'+sortBy+'-arrow').removeClass('arrow-down');
	}

	for(var key in data){
		if(data[key]['buySum'] != null && typeof(data[key]['buySum']) != 'undefined') {
			data[key]['buySum'] = round(data[key]['buySum']);
		}
		if(data[key]['saleSum'] != null&& typeof(data[key]['buySum']) != 'undefined') {
			data[key]['saleSum'] = round(data[key]['saleSum']);
		}
		if(data[key]['finaBuy'] != null&& typeof(data[key]['finaBuy']) != 'undefined') {
			data[key]['finaBuy'] = round(data[key]['finaBuy']);
		}
		if(data[key]['change'] != null&& typeof(data[key]['change']) != 'undefined') {
			var f = (data[key]['change']*1.0)>0?"+":"";
			data[key]['change'] = f+(data[key]['change']*1.0).toFixed(2);
		}
	}

	var html = template('drhssbgg-tpl',{'lhb':data});
	$("#drhssbgg-data").empty();
	$("#drhssbgg-data").append(html);

	touchUp();

			
}
