$(function(){

	loadRzrqChart(1);

	//融资融券数据
	//$("#rzrq-data").css('margin-top','-'+getWidth(17)+'px');
	load({
		url:HOST_NAME+"/gsnews/data/margindata/1.0",
		tableId:"rzrq-data",
		templateId:"rzrq-tpl",
		dataProcessing:function(dataAll){
			var data = dataAll['lssj'];
			for(var key in data){
				for(var field in data[key]){
					if(field.indexOf('fina')!=-1) {
						data[key][field] = ((data[key][field]*1.0)/100000000).toFixed(1);
					}
				}
			}
		},
		done:function(){
			$(".data-circle").css('height', getWidth(22)+'px');
		}
	});

	//融资买入最高个股
	load({
		url:HOST_NAME+"/gsnews/data/margin/1.0?page=1&pageSize=5&orderBy=1&order=1",
		tableId:"drrzmrzgg-data",
		templateId:"drrzmrzgg-tpl",
		dataProcessing:function(dataAll){
			var data = dataAll['rzmr'];
			for(var key in data){
				data[key]["finaBuy"] = ((data[key]["finaBuy"]*1.0)/100000000).toFixed(1);
				data[key]["change"] = (data[key]["change"]*1.0).toFixed(2);
			}
		}
	});

	//融资增速最快个股
	load({
		url:HOST_NAME+"/gsnews/data/marginincrease/1.0?page=1&pageSize=5&orderBy=1&order=1",
		tableId:"rzyezszkgg-data",
		templateId:"rzyezszkgg-tpl",
		dataProcessing:function(dataAll){
			var data = dataAll['rzzs'];
			for(var key in data){
				data[key]["finaBuy"] = ((data[key]["finaBuy"]*1.0)/100000000).toFixed(1);
				data[key]["change"] = (data[key]["change"]*1.0).toFixed(2);
				data[key]["finaIncrease"] = (data[key]["finaIncrease"]*1.0).toFixed(2);
			}
		}
	});
});

function loadRzrqChart(type){

	$('#lsrzrqqs-1').hide();
	$('#lsrzrqqs-2').hide();
	$('#lsrzrqqs-3').hide();
	$('#lsrzrqqs-'+type).show();

	$("#margin-trading-high-charts").empty();
	$.ajax({
		url: HOST_NAME+'/gsnews/data/margintrend/1.0?startDay='+getDate(0, -3)+'&endDay='+getDate()+'&type='+type,
		dataType: 'json',
		success:function(dataAll){
			//margin-trading-high-charts
			var data = dataAll['rzqs'];
			var tradingDay = '';
			var startTime = data[0]['tradingDay'];
			var endTime = data[data.length>0?data.length-1:0]['tradingDay'];
			for(var key in data){
				data[key]['value'] = data[key]['value']*1;
				tradingDay = data[key]['tradingDay'];
				data[key]['tradingDay'] = data[key]['tradingDay'].substring(5,10);
			}
			$('.tradingDay').html(tradingDay);
			var Frame = G2.Frame;
			var frame = new Frame(data);
			Frame.combinColumns(frame,['value'],' ',' ','tradingDay');

			//DELETEME
			//data = [{"tradingDay":"20160809","value":3025.680},{"tradingDay":"20160810","value":3018.746},{"tradingDay":"20160811","value":3002.638},{"tradingDay":"20160812","value":3050.667},{"tradingDay":"20160815","value":3125.195},{"tradingDay":"20160816","value":3110.037},{"tradingDay":"20160817","value":3109.555},{"tradingDay":"20160818","value":3104.114},{"tradingDay":"20160819","value":3108.102},{"tradingDay":"20160822","value":3084.805},{"tradingDay":"20160823","value":3089.706},{"tradingDay":"20160824","value":3085.880},{"tradingDay":"20160825","value":3068.329},{"tradingDay":"20160826","value":3070.309},{"tradingDay":"20160829","value":3070.027},{"tradingDay":"20160830","value":3074.677},{"tradingDay":"20160831","value":3085.491},{"tradingDay":"20160901","value":3063.305},{"tradingDay":"20160902","value":3067.352},{"tradingDay":"20160905","value":3072.095},{"tradingDay":"20160906","value":3090.713},{"tradingDay":"20160907","value":3091.928},{"tradingDay":"20160908","value":3095.954},{"tradingDay":"20160909","value":3078.855},{"tradingDay":"20160912","value":3021.977},{"tradingDay":"20160913","value":3023.510},{"tradingDay":"20160914","value":3002.849},{"tradingDay":"20160919","value":3026.051},{"tradingDay":"20160920","value":3023.000},{"tradingDay":"20160921","value":3025.874},{"tradingDay":"20160922","value":3042.313},{"tradingDay":"20160923","value":3033.896},{"tradingDay":"20160926","value":2980.429},{"tradingDay":"20160927","value":2998.172},{"tradingDay":"20160928","value":2987.858},{"tradingDay":"20160929","value":2998.483},{"tradingDay":"20160930","value":3004.703},{"tradingDay":"20161010","value":3048.143},{"tradingDay":"20161011","value":3065.250},{"tradingDay":"20161012","value":3058.498},{"tradingDay":"20161013","value":3061.346},{"tradingDay":"20161014","value":3063.809},{"tradingDay":"20161017","value":3041.166},{"tradingDay":"20161018","value":3083.875},{"tradingDay":"20161019","value":3084.719},{"tradingDay":"20161020","value":3084.458},{"tradingDay":"20161021","value":3089.096},{"tradingDay":"20161024","value":3128.247},{"tradingDay":"20161025","value":3131.938},{"tradingDay":"20161026","value":3116.312},{"tradingDay":"20161027","value":3112.350},{"tradingDay":"20161028","value":3104.270},{"tradingDay":"20161031","value":3100.492},{"tradingDay":"20161101","value":3122.436},{"tradingDay":"20161102","value":3102.733},{"tradingDay":"20161103","value":3128.936},{"tradingDay":"20161104","value":3125.317},{"tradingDay":"20161107","value":3133.333},{"tradingDay":"20161108","value":3147.887},{"tradingDay":"20161129","value":3282.967}];

			var chart = new G2.Chart({
				id:"margin-trading-high-charts",
				width:getWidth(100),
				height:240,
				plotCfg:{
					margin:[20, 20, 20, 75],
				}
			});
			chart.legend(false);
			chart.source(data);
			chart.axis('value',{tickLine:null,line:null,title:null,custom:true,labels:{label:{fill:'#677288'}},
			formatter:function(value){
				if(value >= 100000000){
					value = fmoney(value*0.00000001,0)+"亿";
				}else if(value >= 10000){
					value = fmoney((value*0.0001),0)+"万"
				}
				return value;
			}});
			chart.tooltip(null);
			chart.axis('tradingDay',false);

			chart.area().position('tradingDay*value').color('l(60) 0:#589DFC 1:#CCDDFF')
			.opacity(0.6);

			chart.line().position('tradingDay*value').color('#589DFC');
			chart.render();
			$('#margin-trading-high-charts').append('<span style="font-size:1.2rem;color:#677288;position:absolute;margin:-10px 0 0 15%">'+
					startTime+'</span><div style="text-align:right;width:100px;font-size:1.2rem;color:#677288;position:absolute;margin:-10px 0 0 72%"'+
					'>'+endTime+'</div>');

		}
	});


}
