var page = 1;
var currentIndex = 0;
$(function(){


	$.ajax({
		url:HOST_NAME+"/gsnews/data/liftedsummary/1.0?startWeek="+getStartWeek()+"&endWeek="+getEndWeek(),
		dataType:'json',
		success:function(dataAll){

			var data = dataAll['jjsz'];
			var start = data[0]['tradingWeek'].substring(0,4)+'年'+data[0]['tradingWeek'].substring(4)+"周";
			var end = data[data.length-1]['tradingWeek'].substring(0,4)+'年'+data[data.length-1]['tradingWeek'].substring(4)+"周";
			for(var key in data){
				data[key]['tradableValue'] = data[key]['tradableValue']*1.0;
			}
			var chart = new G2.Chart({
				id:'xsjj-chart',
				width:getWidth(100),
				height:240,
				plotCfg:{margin:[20, 20 ,30 ,70]}
			});
			chart.axis('tradableValue',{line:null,tickLine:null,
			labels:{label:{fill:'#677288'}},
			title:null,
			formatter:function(value){
				if(value >= 100000000){
					value = fmoney(value*0.00000001,0)+"亿";
				}else if(value >= 10000){
					value = fmoney((value*0.0001),0)+"万"
				}
				return value;
			}
			});
			chart.axis('tradingWeek',false);
			chart.legend(false);
			chart.tooltip(null);
			chart.source(data,{'tradingWeek':{alias:' '},'tradableValue':{min:0}});
			chart.interval().position("tradingWeek*tradableValue")
			.color("tradableValue",['#589DFC']).size(getWidth(2.4));
			chart.render();

			$('#xsjj-chart').append('<span class="normal-color font-small" '+
				'style="position:absolute;margin:-2em 0 0 5%">'+start+'</span><span '+
				'class="normal-color font-small" style="position:absolute;margin:-2em 0 0 80%"'+
				'>'+end+'</span>');

		}
	});

	load({
		url:HOST_NAME+'/gsnews/data/lifted/1.0?page=1&pageSize=20',
		tableId:"xsjj-data",
		templateId:"xsjj-tpl",
		dataProcessing:function(data){
			var tData = data['xsjj'];
			currentIndex = tData.length;
			for(var key in tData){
                   tData[key]['tradeDate'] = tData[key]['tradeDate'].substring(5,10);
                   if( tData[key]['tradableShares']*1.0 > 100000000 ){
                   		tData[key]['tradableShares'] = (tData[key]['tradableShares']*1.0/100000000).toFixed(2)+'亿';
                   }else if(tData[key]['tradableShares']*1.0 > 10000){
                   		tData[key]['tradableShares'] = (tData[key]['tradableShares']*1.0/10000).toFixed(0)+'万';
                   }
                   if(tData[key]['tradableValue']*1.0 > 100000000){
                   		tData[key]['tradableValue'] = (tData[key]['tradableValue']*1.0/100000000).toFixed(2)+"亿";

                   }else if(tData[key]['tradableValue']*1.0 > 10000){
                   		tData[key]['tradableValue'] = (tData[key]['tradableValue']*1.0/10000).toFixed(0)+"万";
                   }
            }
		}
	});

	endOfScrollTop({
		callback:function(){
			load({
				url:HOST_NAME+'/gsnews/data/lifted/1.0?page='+(page+1)+'&pageSize=20',
				tableId:"xsjj-data",
				templateId:"xsjj-append-tpl",
				dataProcessing:function(dataAll){
					var tData = dataAll['xsjj'];
					for(var key in tData){
						tData[key]['tradeDate'] = tData[key]['tradeDate'].substring(5,10);
						if( tData[key]['tradableShares']*1.0 > 100000000 ){
							 tData[key]['tradableShares'] = (tData[key]['tradableShares']*1.0/100000000).toFixed(2)+'亿';
						}else if(tData[key]['tradableShares']*1.0 > 10000){
							 tData[key]['tradableShares'] = (tData[key]['tradableShares']*1.0/10000).toFixed(0)+'万';
						}
						if(tData[key]['tradableValue']*1.0 > 100000000){
							 tData[key]['tradableValue'] = (tData[key]['tradableValue']*1.0/100000000).toFixed(2)+"亿";

						}else if(tData[key]['tradableValue']*1.0 > 10000){
							 tData[key]['tradableValue'] = (tData[key]['tradableValue']*1.0/10000).toFixed(0)+"万";
						}
					}
					dataAll['currentIndex'] = currentIndex;

					currentIndex +=dataAll['xsjj'].length;
					$('.loading').hide();
					if(typeof dataAll['xsjj'] == 'undefined' || dataAll['xsjj'].length == 0){
						function f(){
							$('.no-more-msg').show();
						}
						setTimeout(f,2000);
					}else{
						page+=1;
					}
				}
			});
		}
	});
	//stickyTo(263);
	setScrollFixed()

	touchUp();

});

Date.prototype.getWeekOfYear = function(){
	var weekStart = 0;
	var year = this.getFullYear();
	var firstDay = new Date(year,0,1);
	var firstWeekDays = 7-firstDay.getDay()+weekStart;
	var dayOfYear = (((new Date(year, this.getMonth(),this.getDate()))-firstDay)/(24*3600*1000))+1;
	return Math.ceil((dayOfYear-firstWeekDays)/7)+1;
};
function getStartWeek(date){
	if(isNaN(date)){
		var date = new Date();
	}
	return getYear()+''+date.getWeekOfYear();
}
function getEndWeek(){
	var date = new Date();
	date.setMonth(date.getMonth()+6);
	var week = date.getWeekOfYear();
	if(week< getStartWeek()){
		week = (getYear()+1)+''+week;
	}else{

		week = getYear()+''+week;
	}
	return week;
};
function selectXsjj(secuId, stkName, stkCode, tradingDay, market){
	localStorage.secuId = secuId;
	localStorage.stkName = stkName;
	localStorage.stkCode = stkCode;
	localStorage.tradingDay = tradingDay;
	localStorage.market = market;
	newSimpleWebView('xsjj-detail.html');
}
