//Step 1. 取消下面的注释开启simple插件，注意需要先进行插件安装 npm install -g fis-postpackager-simple
fis.config.set('modules.postpackager', 'simple');
//通过pack设置干预自动合并结果，将公用资源合并成一个文件，更加利于页面间的共用
fis.match('*.js', {
    // fis-optimizer-uglify-js 插件进行压缩，已内置
    optimizer: fis.plugin('uglify-js'),
});
/*压缩css*/
fis.match('*.css', {
    // fis-optimizer-clean-css 插件进行压缩，已内置
    optimizer: fis.plugin('clean-css'),
});
/*压塑png*/
fis.match('*.png', {
    // fis-optimizer-png-compressor 插件进行压缩，已内置
    //optimizer: fis.plugin('png-compressor')
    url:"/asset/mhkstock$0"
});

fis.match('::packager', {
  postpackager: fis.plugin('loader', {
    allInOne: {
      js: function (file) {
        return "/js/all.js";
      },
      css: function (file) {
        return "/css/all.css";
      }
    }
  })
});
fis.match('*.{js,css}', {
    useHash: true,
    release:"$0",
    url:"/asset/mhkstock$0"
    //url:"/p-xjzl/$0"
});
//配置发布
/*fis.media('qa').match('*', {
    deploy: fis.plugin('http-push', {
        receiver: 'http://172.24.20.59:8084/receiver.php',
        to: 'C:/xampp/htdocs/app' // 注意这个是指的是测试机器的路径，而非本地机器
    })
});*/