//日期格式化
Date.prototype.Format = function (fmt) { //author: meizz
    var o = {
        "M+": this.getMonth() + 1, //月份
        "d+": this.getDate(), //日
        "h+": this.getHours(), //小时
        "m+": this.getMinutes(), //分
        "s+": this.getSeconds(), //秒
        "q+": Math.floor((this.getMonth() + 3) / 3), //季度
        "S": this.getMilliseconds() //毫秒
    };
    if (/(y+)/.test(fmt)) fmt = fmt.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
    for (var k in o)
    if (new RegExp("(" + k + ")").test(fmt)) fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
    return fmt;
}
/**
 * Created by guosen on 2015/8/17.
 * 基本方法集
 */
;(function (W) {
    'use strict';
    //定义一个临时对象m
    var m = function () { }, c = m.prototype;

    /**
     * 对象添加获取url参数
     * @param name
     * @returns {string}
     */
    c.getQueryStringByName = function (name) {
        var result = location.search.match(new RegExp("[\?\&]" + name + "=([^\&]+)", "i"));
        return result == null || result.length < 1? "" : result[1];
    };

    c.removeSelf = function(node){
        if(node==null) return false;
        if(typeof node.remove == "function"){
            node.remove();
        }else{
            node.parentNode.removeChild(node);
        }
    }
    c.modal = function(content){
        //删除现有的modal
        if(document.getElementById("modal")) {
            var node=document.getElementById("modal");
            this.removeSelf(node);
            //document.getElementById("modal").remove();
        }

        var html =  '<div id="modal_layout" class="layout">'
                + '<div class="modal-wrapper font14">'
                + content
                + '</div></div>';

        var args = arguments;
        var cls = args[2] && args[2]["cls"]? "modal " + args[2]["cls"]:"modal";

        var h_node = document.createElement("section");
        h_node.setAttribute("id","modal");
        h_node.setAttribute("class",cls);
        h_node.innerHTML = html;
        document.body.appendChild(h_node);

        var h = document.body.clientHeight >= document.body.scrollHeight? document.body.clientHeight : document.body.scrollHeight;
        document.getElementById("modal").style.height=h+"px";
        var w_h = window.innerHeight, mc_h = $("#modal_layout").offset().height;
        if(w_h > mc_h){
            var l_top = (w_h-mc_h)/2;
            $("#modal_layout").css("top",l_top+"px");
        }

        var dialog_btn = document.querySelector(".close_modal");
        if (dialog_btn){
            dialog_btn.onclick = function(e){
                if(args[1] && typeof args[1] == "function")
                    args[1](e,args[2]);
                var node=document.getElementById("modal");
                $B.removeSelf(node);
                //document.getElementById("modal").remove();
            }
        }
    }

    /*原生的toast*/
    c.Mtoast =function(msg){
        if (typeof toast_timer != "undefined"){
                window.clearTimeout(toast_timer);
            }
            var toast = document.querySelectorAll(".toast_box");
            if(toast.length > 0){
                for(var i=0; i < toast.length; i++){
                    document.body.removeChild(toast[i]);
                }
            }
            var html =  '<div class="div-row">'
                    + '<p class="div-cell"><span class="txt">' + msg + '<span></p>'
                    + '</div>';

            var h_node = document.createElement("div");
            h_node.setAttribute("id","toast");
            h_node.setAttribute("class","toast_box div-table");
            h_node.innerHTML = html;
            document.body.appendChild(h_node);

            window.toast_timer = setTimeout(function(){
                var toast = document.querySelectorAll(".toast_box");
                if(toast.length > 0){
                    for(var i=0; i < toast.length; i++){
                        document.body.removeChild(toast[i]);
                    }
                }
            },3000)
    }


    //$.ajaxSettings.accepts = "application/json";

    //创建Base对象暴露以上定义的接口
    var n = window.$B = new m;
    $B.api = location.origin + "/financing/xianjinzengli/";

})(window);
