;(function($Com,$,$W){
    'use strict';
    /*
     * 对接原生接口的对象
     * 对象名称：$js
     * */
    var j = function(){}, p = j.prototype;

    /*session通知*/
    p.getSession = function(callback){
        var srandom = new Date().getTime();
        var callback_name = 'setSession'+srandom;
        $js[callback_name] = function(params){
            if(typeof callback === 'function'){
                callback(params);
            }
        };
        //从native获取交易参数
        onCallNative('DataService','getSession','',callback_name,'');
    }

    //刷新港股通数据
    p.refreshGGT = function(){
        var args = arguments;
        Com.nativeLoading(true);
        $js = window.$js || {};
        $js.setUpdatedShareholderList = function(params){
            Com.nativeLoading(false);
            if(args && typeof args[0] =="function"){
                args[0](params);
            }
        }
        onCallNative('DataService','updateShareholderList','',"setUpdatedShareholderList",'');
    }

    /*获取commonlogin data */
    p.getCommonLoginData = function(callback){
        
        var srandom = new Date().getTime();
        var callback_name = 'setSession'+srandom;
        $js[callback_name] = function(params){
            if(typeof callback === 'function'){
                callback(params);
            }
        };
        //从native获取交易参数
        onCallNative('DataService','getCommonLoginData','',callback_name,'');
    }

    window.$js = new j;

})(Com,Zepto,window);

;(function($J){

    $J.baseUrl = location.origin;
    $J.path = "/asset/news";
    $J.WebContainer = "WebContainer";
    $J.transitionWeb = "transitionWeb";
    $J.today = new Date(Com.dateFormat(new Date(),'yyyy/MM/dd') + " 00:00:00").getTime();
    $J.apiUrl = location.origin;
    $J.pageSize = 10;


    $J.diffTimeStr = function(date){
        var time = date.getTime();
        var diff = time - $js.today;
        if(diff>0 && diff <= 3600000){
            return (diff / 60000) + '分钟前';
        }else if(diff > 3600000 && diff > 0){
            return Com.dateFormat(date,"hh:mm");
        }else{
            return Com.dateFormat(date,'MM-dd hh:mm');
        }
    }

    //获取url文件名
    $J.getResourceName = function(){
        var pathname = location.pathname;
        var paths = pathname.split("/");
        var resource = paths[paths.length-1];
        var resourceName = resource.split(".")[0];
        return resourceName;
    }
    //读取本地缓存
    $J.renderCache = function (){
        var resourceName = this.getResourceName();
        var banner = localStorage.getItem(resourceName + "_banner"),
            list = localStorage.getItem(resourceName + "_list");
        if(list){
            document.querySelector("#" + arguments[0]).innerHTML = list;
        }
        if(banner && document.querySelector("#" + arguments[1])){
            document.querySelector("#" + arguments[1]).innerHTML = banner;
            $js.autoSlider(arguments[1]);
        }
    }

    $J.handleContent = function(content){
        content = content.replace(/[\r]+/gmi,"");
        content = content.replace(/[\n]+/gmi,"<p>");
        //content = content.replace(/[\s]/gmi,"&nbsp;");
        //content = content.replace(/[\r]/gmi,"<br/>");
        return content;
    }

    //排序
    $J.compare = function (propertyName) { 
        return function (object1, object2) { 
            var r = 0;
            try{
                var value1 = object1[propertyName]; 
                var value2 = object2[propertyName]; 
                if (value2 < value1) { 
                    r = 1; 
                } 
                else if (value2 > value1) { 
                    r = -1; 
                } 
            }catch(err){
                r=0
            }
            return r; 
        } 
    }

    /*是否以xxx开头*/
    $J.startWith=function(str,start){  
        if(str==null||str==""||str.length==0||start.length>this.length)  
            return false;  
        if(str.substr(0,start.length)==start)  
            return true;  
        else  
            return false;  
    }

    /*
     * 设置右上角菜单图标
     * type:1(分享)，type:2(字号设置)， type:3(其他扩展)
     *
    */
    $J.setTitle = function(title){
        var _params = {
                title:title
            };
        $js.onCallNative($js.WebContainer, "titleItem", _params); 
    }

    if(window.devicePixelRatio){
        var cls = (document.body.getAttribute("class")||"") + " d_ratio" + window.devicePixelRatio;
        document.body.setAttribute("class", cls)
    }

})($js);

