/**
 * Created by guosen on 2018/1/9.
 */
(function(){
    var configData = {
        indexUrl:"/gsnews/school/querySchoolMain/1.0",
        blankUrl:'/gsnews/school/querySchoolClass/1.0',
        senseType:Com.getQueryStringByName("senseType"),
        titleName:Com.getQueryStringByName("titleName"),
        defaultImg:"images/default.png",
        id:Com.getQueryStringByName("cid"),
        dom:{
            all_content:$('#all_content'),
            top_box_wrap:$('#top_box_wrap'),
            news_list:$('#news_list'),
            header_img:$('#header_img'),
            box_wrap:$('#box_wrap'),
            blank_title:$("#blank_title")
        }
    }
    var exports = {
        init:function(){
            if(configData.senseType == 'blankColumn' || configData.senseType == 'blankFinancing') {
                exports.getData(configData.blankUrl, {cid: configData.id}, exports.rendTopBox);
                //exports.getData(configData.blankUrl,{cid:configData.id},exports.rendTopBox);
            }else{
                exports.getData(configData.indexUrl,{},exports.rendIndexList);
            }

            exports.bindEvent();
            Com.setWebviewTitle('',{"title":(configData.titleName?configData.titleName:document.title),"bgColor":"212634"});

        },
        bindEvent:function(data){
            $(document).on('click','.goto-detail',function(){
                var id = $(this).attr('data-id');
                var type = $(this).attr('data-type');

                if(type  == "2"){
                    var url = $(this).attr('data-url');
                }else{
                    var url = Com.getOrigin()+'/asset/news/guosen_school/news_detail.html?aid='+id;
                }
                try
                {
                    TalkingData.onEventWithLabel("国信学堂", "国信学堂-栏目"+configData.titleName+"文章点击量");
                }catch(err) {}
                Com.newWebViewOpenPage('',{"pageUrl":url,"weburl":url});
            });
            $(document).on('click','.goto-blank',function(){
                var id = $(this).attr('data-id');
                var type = $(this).attr('data-type');
                var titleName = $(this).attr('data-name');
                var mapTypeToSenseType = {
                    'stock': {
                        type:'blankColumn',
                        url:'/asset/news/guosen_school/blank_column.html?titleName='+titleName+'&cid='
                    },
                    'financing':{
                        type:'blankColumn',
                        url:'/asset/news/guosen_school/blank_column.html?titleName='+titleName+'&cid='
                    }
                    //'financing':{
                    //    type:'blankFinancing',
                    //    url:'/asset/news/guosen_school/blank_financing.html?titleName='+titleName+'&cid='
                    //}
                }
                try
                {
                    TalkingData.onEventWithLabel("国信学堂", "国信学堂-栏目"+titleName+"点击量");
                }catch(err) {}

                var url = mapTypeToSenseType[type].url+id+'&senseType='+mapTypeToSenseType[type].type;
                Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+url,"weburl":url});
            });
        },
        //绚烂理财模块
        rendNewsList:function(data){
            var _len = data.length,
                _html =[];
            if(_len == 0){
                _html.push(exports.rendEmpty());
            }

            for(var i= 0;i<_len;i++){
                _html.push(exports.rendOneList(data[i]));
            }
            configData.dom.news_list.html(_html.join(''));

        },
        //主题专栏，专栏页面
        rendTopBox:function(data){
            var _html = [],
                _len = data.classes.length;

            if(_len == 1 && Number(data.classes[0]['isLink']) == 0){
                configData.senseType = 'blankFinancing';
                configData.dom.news_list.removeClass('add-margin');
                if(_len!=0){
                    var _data = data.classes[0];
                    _html.push('<img src="'+(_data.imgUrl?_data.imgUrl:configData.defaultImg)+'">'+
                    '<div class="banenr-desc-content">'+
                    '<div  class="title font24">'+_data.cName+'</div>'+
                    '<div class="title-desc font14">'+_data.brief+'</div>'+
                    '</div>')
                }

                //configData.dom.header_img.html(_html.join(""));
                configData.dom.box_wrap.html(_html.join("")).addClass("header-img");


            }else{
                configData.senseType = 'blankColumn';
                configData.dom.blank_title.show();
                if(_len == 0){
                    _html.push(exports.rendEmpty());
                }
                for(var i=0;i<_len;i++){
                    _html.push(exports.rendOneTopBox(data.classes[i],i,_len));
                }

                if(_len >3){
                    configData.dom.top_box_wrap.html(_html.join(''));
                }else{
                    configData.dom.top_box_wrap.css({
                        width:  "100%"
                    }).html(_html.join(''));
                }



            }

            exports.rendNewsList(data["articles"]);
            if(_len >3){
                new Swiper('#show_tab', {
                    slidesPerView: 3.2,
                    spaceBetween: 15,
                });
            }


        },
        rendOneTopBox:function(data,index,len){
            var mapColor = {
                "0":"",
                "1":'second-color',
                "2":"third-color",
                "3":"fourth-color",
                "4":""
            };
            var map_l_color = {
                0:"",
                "1":'first-l-color',
                "2":"second-l-color",
                "3":"third-l-color"
            }
            if(len>3){
                len  = len <4?len:3;
                var winW = ($(window).width()-30)/len -15;
                winW = winW -5;
            }else{
                len  = len <4?len:3;
                var winW = ($(window).width()-15)/len -15;
            }



            if(len  == 2){
               var  colorClass = map_l_color[index+2]
            }else if(len == 1){
                var  colorClass = map_l_color[index+1]
            }else{
                if(index<4){
                    var colorClass = mapColor[index];
                }else{
                    var colorClass = mapColor[parseInt(Math.random()*4)];

                }
            }



            return '<a data-name="'+data.cName+'" data-type="financing" data-id="'+data.cid+'" href="javascript:void(0)" style="width:'+winW+'px" class="swiper-slide goto-blank one-box '+colorClass+'">'+
                '<div class="box-content">'+
            '<div class="font16 box-title">'+data.cName+'</div>'+
            '<div class="font12 box-desc">'+data.brief+'</div>'+
            '</div>'+
            '</a>';

        },
        rendIndexList:function(data){
            var _html = [],
                mapRend = ['stock','financing'];

            for(var i= 0,len = mapRend.length;i<len;i++){
                var _data =  data[mapRend[i]];

                _html.push(exports.rendBlankHeader([],mapRend[i],i));

                _html.push(exports.rendBlank(_data,mapRend[i]));
            }
            configData.dom.all_content.html(_html.join(''));
        },
        rendBlank:function(data,newsType){
            var len = data.length;
            var _html = [];

            for(var i=0;i<len;i++){
                _html.push('<div class="blank '+(i==0?"":"add-margin")+'">');
                _html.push(exports.rendBlankTitle(data[i],newsType));
                if(data[i].articles.length >0 ){
                    for(var j= 0,_len = data[i].articles.length;j<_len;j++ ){
                        _html.push(exports.rendOneList(data[i].articles[j],newsType));
                    }
                }else{
                    _html.push(exports.rendEmpty());
                }
                _html.push('</div>');

            }
            return _html.join('');

        },
        rendEmpty:function(){
            return '<div style="color: #939AAA;width: 100%;line-height: 80px;text-align: center;background: white" class="font14">暂无数据</div>'
        },
        rendOneList:function(data,newsType){
            var flag = (newsType =="financing"||configData.senseType == 'blankFinancing' || !data.className)?"":'<span class="box-flag">'+data.className+'</span>';
            data.publishTime =  data.publishTime?data.publishTime:" ";
            return '<a data-url="'+data.handleUrl +'" data-type="'+data.handleType+'" data-id="'+data.aid+'" href="javascript:void(0)" class="goto-detail one-news-content add-bottom-after">'+
                '<div class="news-tite font16">'+(data.title?data.title:"&nbsp;")+'</div>'+
            '<div class="news-desc font13">'+
            flag+
            '<span>'+(data.source?data.source:"&nbsp;")+'</span>'+
            '<span class="font12 time">'+data.publishTime.split(' ')[0]+'</span>'+
            '</div>'+
            '</a>';
        },
        rendBlankTitle:function(data,newsType){
            return '<a data-name="'+data.cName+'" data-type="'+newsType+'" data-id="'+data.cid+'"  href="javascript:void(0)" class="goto-blank blank-title add-bottom-after">'+
                   '<div class="title-txt font15"><span class="left-bar"></span>'+data.cName+'</div>'+
                   '<div class="see-more font14">更多</div>'+
                   '</a>';

        },
        rendBlankHeader:function(data,type,index){
            var mapTypeImg ={
                financing:"images/financing.png",
                stock:"images/stock.png"
            }

            return '<div class="header-img '+(index ==0?"":"add-margin")+'">'+
                  '<img src="'+mapTypeImg[type]+'">'+
                  '</div>';

        },
        getData:function(url,params,callback){
            Com.ajaxLoading();
            $.ajax({
                url:url,
                data:params,
                type:"get",
                success:function(res){
                    Com.ajaxLoaded();
                    if(res.result[0].code == 0){
                        callback && callback(res);
                    }else{
                        Com.showNativeAlert("",res.result[0].msg,["确定"],'');
                    }

                },
                error:function(){
                    Com.ajaxLoaded();
                    Com.showNativeAlert("",'网络不给力',["确定"],'');
                }
            })
        }
    }

    exports.init();
})()