var option1 = {
    grid: {
        left: '3%',
        right: '4%',
        bottom: '3%',
        top:10,
        containLabel: true
    },
    xAxis : [
        {   
            splitLine:{
                show:true,
                lineStyle:{
                    color:'#333'
                }
            },
            axisLabel:{
                color:"#A3A5BF"
            },
            type : 'category',
            boundaryGap : false,
            data : []
        }
    ],
    yAxis : [
        {   
            splitLine:{
                show:true,
                lineStyle:{
                    color:'#333'
                }
            },
            axisLabel:{
                color:"#A3A5BF",
                formatter: '{value}%'
            },
            type : 'value'
        },
        {   
            splitLine:{
                show:false,
                lineStyle:{
                    color:'#333'
                }
            },
            axisLabel:{
                color:"#A3A5BF"
            },
            type: 'value'
        }
    ],
    series : [
        {
            type:'line',
            stack: '总量',
            yAxisIndex:0,
            symbolSize:6,
            hoverAnimation:false,
            lineStyle:{
                normal:{
                    color:'#F5A623'
                }
            },
            data:[]
        },
        {
            type:'line',
            stack: '总量',
            yAxisIndex:1,
            showSymbol:false,
            lineStyle:{
                normal:{
                    color:'#0139AA'
                }
            },
            areaStyle: {normal: {color:'#0139AA'}},
            data:[]
        }
    ]
};

var option2 = {
    grid: {
        left: '3%',
        right: '4%',
        bottom: '3%',
        top:10,
        containLabel: true
    },
    xAxis : [
        {   
            splitLine:{
                show:false,
                lineStyle:{
                    color:'#333'
                }
            },
            axisLabel:{
                color:"#A3A5BF"
            },
            data : []
        }
    ],
    yAxis : [
        {   
            splitLine:{
                show:true,
                lineStyle:{
                    color:'#333'
                }
            },
            axisLabel:{
                color:"#A3A5BF"
            },
            axisLine:{
                show:false
            },
            type : 'value'
        }
    ],
    series : [
        {
            type:'bar',
            itemStyle:{
                normal:{
                    color:"#589DFC"
                }
            },
            barWidth:'20',
            data:[]
        },
        {
            type:'line',
            symbolSize:6,
            hoverAnimation:false,
            lineStyle:{
                normal:{
                    color:'#CD3BEB', //紫色
                    opacity:0.5
                }
            },
            data:[]
        },
        {
            type:'line',
            symbolSize:6,
            hoverAnimation:false,
            lineStyle:{
                normal:{
                    color:'#F5A623',
                    opacity:0.5
                }
            },
            data:[]
        }
    ]
};

var option3 = {
    grid: {
        left: '3%',
        right: '4%',
        bottom: '3%',
        top:15,
        containLabel: true
    },
    xAxis : [
        {   
            splitLine:{
                show:false,
                lineStyle:{
                    color:'#333'
                }
            },
            axisLabel:{
                color:"#A3A5BF"
            },
            data : ['周一','周二','周三','周四','周五','周六','周日']
        }
    ],
    yAxis : [
        {   
            splitLine:{
                show:true,
                lineStyle:{
                    color:'#333'
                }
            },
            axisLabel:{
                color:"#A3A5BF",
                formatter: '{value}亿'
            },
            axisLine:{
                show:false
            },
            type : 'value'
        },
        {   
            splitLine:{
                show:false,
            },
            axisLabel:{
                color:"#A3A5BF"
            },
            axisLine:{
                show:false
            },
            type : 'value'
        }
    ],
    series : [
        {
            type:'bar',
            yAxisIndex:0,
            itemStyle:{
                normal:{
                    color:"#589DFC"
                }
            },
            label: {
                normal: {
                    show: true,
                    position: 'top',
                    formatter:function (value, index) {
                        return value.data + '亿'
                    }
                }
            },
            barWidth:'20',
            data:[120, 132, 101, 04, 90, 230, 210]
        },
        {
            type:'line',
            symbolSize:6,
            yAxisIndex:1,
            hoverAnimation:false,
            lineStyle:{
                normal:{
                    color:'#F5A623'
                }
            },
            data:[30, 132, 101, 04, 90, 230, 210]
        }
    ]
};

var option4 = {
    grid: {
        left: '3%',
        right: '4%',
        bottom: '3%',
        top:10,
        containLabel: true
    },
    xAxis : [
        {   
            splitLine:{
                show:false,
                lineStyle:{
                    color:'#333'
                }
            },
            axisLabel:{
                color:"#A3A5BF"
            },
            data : ['周一','周二','周三','周四','周五','周六','周日']
        }
    ],
    yAxis : [
        {   
            splitLine:{
                show:true,
                lineStyle:{
                    color:'#333'
                }
            },
            axisLabel:{
                color:"#A3A5BF",
                formatter: '{value}%'
            },
            axisLine:{
                show:false
            },
            type : 'value'
        }
    ],
    series : [
        {
            type:'bar',
            yAxisIndex:0,
            itemStyle:{
                normal:{
                    color:"#F5A623"
                }
            },
            data:[120, 132, 101, 04, 90, 230, 210]
        },
        {
            type:'bar',
            yAxisIndex:0,
            itemStyle:{
                normal:{
                    color:"#CD3BEB"
                }
            },
            data:[120, 132, 101, 04, 90, 230, 210]
        },
        {
            type:'bar',
            yAxisIndex:0,
            itemStyle:{
                normal:{
                    color:"#589DFC"
                }
            },
            data:[120, 132, 101, 04, 90, 230, 210]
        }
    ]
};

var option5 = {
    grid: {
        left: '3%',
        right: '4%',
        bottom: '3%',
        top:10,
        containLabel: true
    },
    xAxis : [
        {   
            splitLine:{
                show:true,
                lineStyle:{
                    color:'#333'
                }
            },
            axisLabel:{
                color:"#A3A5BF",
            },
            data : ['周一','周二','周三','周四','周五','周六','周日']
        }
    ],
    yAxis : [
        {   
            splitLine:{
                show:true,
                lineStyle:{
                    color:'#333'
                }
            },
            axisLabel:{
                color:"#A3A5BF",
                formatter: '{value}%'
            },
            type : 'value'
        }
    ],
    series : [
        {
            type:'line',
            symbolSize:6,
            hoverAnimation:false,
            lineStyle:{
                normal:{
                    color:'#589dfc'
                }
            },
            data:[30, 132, 101, 04, 90, 230, 210]
        }
    ]
};
