var jysc='';
var secuid='';
$(document).ready(function(){
	Com.setWebviewTitle('',{"title":"行权费用模拟计算","bgColor":"272736"});
	Com.nativeGobackListener('1',nativeGoback);
	
	$('#calculate_btn').on('click',function(e){
		var len=$('#xqdm').val().length;
		if(len!=6&&len!=10){
			Com.showNativeAlert("","行权代码输入位数不正确",["确定"],function(){$('#xqdm').focus();});
			return false;
		}
		var isn1 = Com.isNumber($('#ygspj').val());
		if(!isn1){
			Com.showNativeAlert("","请输入正确的预估收盘价！",["确定"],function(){$('#ygspj').focus();});
			return false;
		}
		var isn2 = Com.isNumber($('#xqsl').val());
		if(!isn2){
			Com.showNativeAlert("","请输入正确的行权量！",["确定"],function(){$('#xqsl').focus();});
			return false;
		}
		
		$(this).prop('disabled',true);
		var param={};
		param['stkcode']=$('#xqdm').val();
		param['market']=jysc;
		param['qty']=$('#xqsl').val();
		param['price']=$('#ygspj').val();
		param['secuid']=secuid;
		Com.ajax({
	        "url":Com.getOrigin()+"/gstrade/gqjl/queryTaxCalculate/1.0?",
	        "data":param,
	        "type":"post",
	        "dataType":"json",
	        "success":function(d){
	        	$('#calculate_btn').prop('disabled',false);
	        	if(d.result[0].code=='0'){
	        		
	        		var res=d.queryTaxCalculate_0[0];
	        		if(res!=null){
	        			$('#fee1').html(res.histaxincome);
	        			$('#fee2').html(res.histaxfee);
	        			$('#fee3').html(res.taxincome);
	        			$('#fee4').html(res.setincome);
	        			$('#fee5').html(res.trdfundeffect);
	        			$('#fee6').html(res.trdtaxfee);
	        			$('#fee7').html(res.setfundeffect);
	        			$('#fee8').html(res.settaxfee);
	        		}
	        	}else{
	        		Com.showNativeAlert('','行权税费模拟计算失败！原因:'+d.result[0].msg,["确定"],'');
					return false;
	        	}
	        },
	        "isTradeLogin":true,
	        "isNeedLoading":true,
	        "error":function(){
	            Com.showNativeAlert("","网络不给力",["确定"],'');
	        }
		});
	});
	
	$('#xqdm').on('change',function(){
		var len=$('#xqdm').val().length;
		if(len==6){
			jysc='0';
		}else if(len==10){
			jysc='1';
		}else{
			Com.showNativeAlert("","行权代码输入位数不正确",["确定"],function(){$('#xqdm').focus();});
			return false;
		}
		console.log('行权代码:'+$('#xqdm').val());
		var param={};
		param['market']=jysc;
		param['stkcode']=$('#xqdm').val();
		Com.ajax({
	        "url":Com.getOrigin()+"/gstrade/gqjl/queryQzInfo/1.0?",
	        "data":param,
	        "type":"post",
	        "dataType":"json",
	        "success":function(d){
	        	if(d.result[0].code=='0'){
	        		var info=null;
	        		if(len==6){
	        			info=d.queryQzInfo_0[0];
	        		}else{
	        			for(index in d.queryQzInfo_0){
	        				var qz = d.queryQzInfo_0[index];
	        				if(qz.stkcode==$('#xqdm').val()){
	        					info = qz;
	        					break;
	        				}
	        			}
	        		}
	        		if(info!=null){
	        			jysc=info.market;
	        			targetstk = info.targetstk;
	        			var param2={};
	        			param2['market']=jysc;
	        			param2['stkcode']=targetstk;
	        			Com.ajax({
	        		        "url":Com.getOrigin()+"/gstrade/sharetransfer/queryStockInfo/1.0?",
	        		        "data":param2,
	        		        "type":"post",
	        		        "dataType":"json",
	        		        "success":function(d2){
	        		        	if(d2.result[0].code=='0'){
	        		        		$('#zqmc').val(d2.queryStockInfo_0[0].stkname);
	        					}else{
	        						Com.showNativeAlert('','证券信息查询查询失败！原因:'+d2.result[0].msg,["确定"],'');
	        						return false;
	        					}
	        		        },
	        		        "isTradeLogin":true,
	        		        "error":function(){
	        		            //Com.showNativeAlert("","网络不给力",["确定"],'');
	        		            return false;
	        		        }
	        		    });
	        			
	        			Com.ajax({
	        		        "url":Com.getOrigin()+"/gstrade/sharetransfer/querySecuid/1.0?",
	        		        "data":{},
	        		        "type":"post",
	        		        "dataType":"json",
	        		        "success":function(d3){
	        		        	if(d3.result[0].code=='0'){
	        						var gdlist=d3.querySecuid_0;
	        						for(var i=0;i<gdlist.length;i++){
	        							if(gdlist[i].market==jysc){
	        								secuid=gdlist[i].secuid;
	        								break;
	        							}
	        						}
	        					}else{
	        						Com.showNativeAlert("",d3.result[0].msg,["确定"],'');
	        					}
	        		        },
	        		        "isTradeLogin":true,
	        		        "error":function(){
	        		            //Com.showNativeAlert("","网络不给力",["确定"],'');
	        		        }
	        			});
	        		}
				}else{
					Com.showNativeAlert('','权证信息查询失败！原因:'+d.result[0].msg,["确定"],'');
					return false;
				}
	            
	        },
	        "isTradeLogin":true,
	        "error":function(){
	            Com.showNativeAlert("","网络不给力",["确定"],'');
	        }
	    });
	});
});

function nativeGoback(){
	Com.nativeGoback();
}

window.onload=function(){
	try{
    	TalkingData.onEventWithLabel('股权激励','自主行权-行权费用模拟计算页面PV和UV');
    }catch(err){}
}