var gpdm='',scdm='';
var jylx_switch=0;
var bsflag="2k";
var flag;

$(document).ready(function(){
	Com.setWebviewTitle('',{"title":"互报成交确认卖出","bgColor":"272736"});
	Com.removeLocalValue('gpdm');
	Com.removeLocalValue('scdm');
	
	flag=$('#flag').val();
	loadGddmList();
	Com.gobackRefreshPage(true,initPage);
	Com.nativeGobackListener('1',nativeGoback);
});

function nativeGoback(){
	Com.nativeGoback();
}

function initPage(){
	gpdm = Com.getLocalValue('gpdm');
	scdm = Com.getLocalValue('scdm');
	if(gpdm==$('#gpdm').val()&&scdm==$('#scdm').val()){
		return;
	}
	if($.trim(scdm)!=''&&scdm!=null&&scdm!='null'){
		$('#scdm').val(scdm);
	}else{
		scdm='';
	}
	if($.trim(gpdm)!=''&&gpdm!=null&&gpdm!='null'){
		$('#gpdm').val(gpdm);
		Com.removeLocalValue('gpdm');
		Com.removeLocalValue('scdm');
		getFundInfo(gpdm,scdm,flag);
	}else{
		gpdm='';
		window.location.reload();
	}
}

$(document).on('tap','#gddm_list',function(){
	if(sel_gddm_flag==1){
		$('.mask').show();
		$('#gddm_select_list').show();
	}else{
		return;
	}
});

$(document).on('click','#gddm_select_list button',function(){
	$('#gddm_select_list button').find('i.selected').remove();
	if($(this).find('i.selected').size()>0){
		return;
	}else{
		$('#gddm_list').html($(this).html());
		$('#gddm').val($(this).attr('id'));
		$(this).append('<i class="selected"></i>');
	}
	$('.mask').hide();
	$('#gddm_select_list').hide();
});

$('#select_section a').on('tap',function(e){
	e.preventDefault();
	var percent = parseInt($(this).attr('id'));
	if($('#max').html()!=''){
		var max = parseInt($('#max').html());
		if(max>=buyunit){
			var sell_num=buyunit;
			if(percent!=1){
				sell_num = parseInt(max/(buyunit*percent))*buyunit;
				if(sell_num<buyunit){
					sell_num=buyunit;
				}
			}else{
				sell_num = max;
			}
		}else{
			sell_num = max;
		}
		$('#sl').val(sell_num);
		countCost(sell_num);
		
		$('#select_section a').each(function(){
			$(this).removeClass('active');
		})
		$(this).addClass('active');
	}
});

//跳转至持仓股列表
$('.gp').on('tap',function(e){
	if($.trim(gpdm)!=''&&$.trim(scdm)!=''){
		Com.setLocalValue('gpdm',gpdm);
		Com.setLocalValue('scdm',scdm);
	}
	goHoldStockPage('',flag);
});

$('#btn-sell').on('tap',function(e){
	if($(this).hasClass('disabled')){
		return;
	}else{
		e.preventDefault();
		checkSubmit();
	}
});

function submitForm(){
	$('#btn-sell').addClass('disabled');
	var param={};
	param['secuid']=$('#gddm').val();
	param['market']=$("#scdm").val();
	param['stkcode']=$('#gpdm').val();
	param['price']=$('#price').val();
	param['qty']=$('#sl').val();
	param['bsflag']=bsflag;
	param['dfsno']=$('#ydxh').val();
	param['dfxwdm']=$('#dfxwh').val();
	param['secuidtar']=$('#dfgd').val();
	Com.ajax({
        "url":Com.getOrigin()+"/gstrade/sharetransfer/tradeConfirm/1.0?",
        "data":param,
        "type":"post",
        "dataType":"json",
        "success":function(d){
        	if(d.result[0].code=='0'){
				Com.removeLocalValue('gpdm');
				Com.removeLocalValue('scdm');
				Com.showNativeAlert('','委托提交成功!\n合同号为:'+d.tradeConfirm_0[0].orderid,["确定","查看委托"],function(respone){
            		console.log(respone.clickedIndex);
            		if (respone.clickedIndex == '0') {
            			window.location.reload();
            		}else if(respone.clickedIndex == '1'){
            			goWtPage();
            		}
            	});

			}else{
				$('#btn-sell').removeClass('disabled');
				if(d.result[0].msg!=null&&d.result[0].msg!=undefined){
					Com.showNativeAlert('','委托提交失败！原因:'+d.result[0].msg,["确定"],'');
				}else{
					Com.showNativeAlert('','委托提交失败',["确定"],'');
				}
			}
            
        },
        "isTradeLogin":true,
        "isNeedLoading":true,
        "error":function(){
            Com.showNativeAlert("","网络不给力",["确定"],'');
        }
    });
}

function clearInput(){
	$('#gpmc').val('');
	$('#ydxh').val('');
	$('#dfxwh').val('');
	$('#dfgd').val('');
	$('#price').val('');
	$('#sl').val('');
	$('#jyzds').addClass('v-hide');
	$('#jyje').addClass('v-hide');
	$('#select_section a').each(function(){
		$(this).removeClass('active');
	})
}

function checkSubmit(){
	var gpdm=$('#gpdm').val();
	if($.trim(gpdm)==''||gpdm.length!=6){
		Com.showNativeAlert("","请输入正确的证券代码！",["确定"],function(){$('#gpdm').focus();});
		return false;
	}
	if(gpdm_flag=='0'){
		Com.showNativeAlert("","请无法获取相关证券信息！",["确定"],function(){$('#gpdm').focus();});
		return false;
	}
	var gddm=$('#gddm').val();
	if($.trim(gddm)==''){
		Com.showNativeAlert("","未获取股东代码！",["确定"],'');
		return false;
	}
	
	var price=$('#price').val();
	if($.trim(price)==""){
		Com.showNativeAlert("","请输入委托价格！",["确定"],function(){$('#price').focus();});
		return false;
	}
	var reg = /^\d+(?=\.{0,1}\d+$|$)/
	if(!reg.test(price)){
		Com.showNativeAlert("","请输入正确的委托价格！",["确定"],function(){$('#price').focus();});
		return false;
	}
	var sellsl = $('#sl').val();
	if($.trim(sellsl)==''){
		Com.showNativeAlert("","请输入委托数量！",["确定"],function(){$('#sl').focus();});
		return false;
	}
	var ydxh=$('#ydxh').val();
	if($.trim(ydxh)==''){
		Com.showNativeAlert("","请输入约定序号！",["确定"],function(){$('#ydxh').focus();});
		return false;
	}

	var dsfxwh=$("#dfxwh").val();
	if($.trim(dsfxwh)==''){
		Com.showNativeAlert("","请输入对方席位号！",["确定"],function(){$('#dfxwh').focus();});
		return false;
	}
	
	var dfgd=$('#dfgd').val();
	if($.trim(dfgd)==''){
		Com.showNativeAlert("","请输入对方席位号！",["确定"],function(){$('#dfgd').focus();});
		return false;
	}
	var max=parseInt($('#max').html());
	if(max<=0){
		Com.showNativeAlert("","无法提交该委托：可卖出数量为0",["确定"],'');
		return false;
	}
	
	var confirmStr='操作类别：互报成交确认卖出\n';
	confirmStr+='证券代码：'+gpdm+'\n';
	confirmStr+='委托价格：'+price+'\n';
	confirmStr+='委托数量：'+sellsl+'\n';
	confirmStr+='股东代码：'+gddm+'\n';
	confirmStr+='(如果股东代码有误，请选择正确的股东.)';
	Com.showNativeAlert("",confirmStr,["取消","确定"],getBtnClicked);
	
	function getBtnClicked(p){
        if(p === 'string'){
            p = JSON.parse(p);
        }
        if(p.clickedIndex == 0){
            //点击了"关闭"
            return false;
        }else{
            //点击了"提交委托"
        	submitForm();
            return false;
        }
    }
}

$('#gpdm').on("input propertychange", function() { 
	gpdm=$(this).val();
	scdm=$("#scdm").val();
	if(gpdm.length==6){
		clearInput();
		getFundInfo(gpdm,scdm,flag);
	}
});

$('#sl').on("change", function() { 
	checkSellSL($(this).val());
	$('#select_section a').removeClass('active');
});

$("#price").on('change',function() { 
	var price=$(this).val();
	var reg = /^\d+(?=\.{0,1}\d+$|$)/;
	if(!reg.test(price)){
		$('#jyje').addClass('v-hide');
	}else{
		checkSellSL($('#sl').val());
	}
});