var gpdm;
var flag;

$(document).ready(function(){
	Com.setWebviewTitle('',{"title":"协议转让申报信息查询","bgColor":"272736"});
	Com.nativeGobackListener('1',nativeGoback);
	
	flag=$('#flag').val();
	var $searchBar = $('#searchBar'),
        $searchResult = $('#result_div'),
        $searchText = $('#searchText'),
        $searchInput = $('#searchInput'),
        $searchClear = $('#searchClear'),
        $searchCancel = $('#searchCancel');
    function hideSearchResult(){
        $searchResult.hide();
        $searchInput.val('');
    }
    function cancelSearch(){
        hideSearchResult();
        $searchBar.removeClass('weui-search-bar-focusing');
        $searchText.show();
    }
    $searchText.on('click', function(){
        $searchBar.addClass('weui-search-bar-focusing');
        $searchInput.focus();
    });
    $searchInput
        .on('focus', function () {
        	console.log('aaa:'+this.value);
        	if(this.value.length){
            	var input_arr = this.value.split(' ');
            	if(input_arr.length==2&&input_arr[0].length==6){
            		$searchInput.val(input_arr[0]);
            	}
            }
        })
        .on('input propertychange', function(){
        	console.log('ccc:'+this.value);
            if(this.value.length) {
            	$('#data_list').html('');
            	var gpdm=$.trim(this.value);
            	if(gpdm.length==6){
            		
            		loadData(gpdm);		
            	}
            } else {
                $searchResult.hide();
            }
        })
        /**/
    ;
    $searchClear.on('click', function(){
        hideSearchResult();
        $searchInput.focus();
        console.log('bbb:'+$searchInput.val())
    });
    $searchCancel.on('click', function(){
        cancelSearch();
        $searchInput.blur();
    });
});


function loadData(gpdm){
	var scdm='';
	var param={};
	param['stkcode']=gpdm;
	Com.ajax({
        "url":Com.getOrigin()+"/gstrade/sharetransfer/queryStockInfo/1.0?",
        "data":param,
        "type":"post",
        "dataType":"json",
        "success":function(d){
        	if(d.result[0].code=='0'){
        		var zq = d.queryStockInfo_0[0];
				$('#searchInput').val(gpdm+' '+zq.stkname).blur();
				$('#gpdm').val(gpdm);
				$('#gpmc').val(zq.stkname);
				scdm = zq.market;
				
				param['market']=scdm;
				Com.ajax({
			        "url":Com.getOrigin()+"/gstrade/sharetransfer/queryDeclareHQ/1.0?",
			        "data":param,
			        "type":"post",
			        "dataType":"json",
			        "success":function(d){
			        	if(d.result[0].code=='0'){
			        		var list = d.queryDeclareHQ_0;
							if(list!=null&&list.length>0){
								$('#no_result').hide();
								var append_html='';
								for(var i=0;i<list.length;i++){
									append_html='';
									obj=list[i];
									var bsflagStr='';
									if(obj.busitype=='6S'){
										bsflagStr = '<span class="green">申报卖出</span>';
									}else if(obj.busitype=='6B'){
										bsflagStr = '<span class="red">申报买入</span>';
									}else{
										bsflagStr = '<span>'+obj.busitype+'</span>';
									}
									append_html+='<li resourceId="'+obj.matchnumber+'" text="'+obj.matchnumber+'"><div><input type="hidden" name="xwh" value="'+obj.tradeunit+'"/><input type="hidden" name="sbsj" value="'+obj.qty+'"/><table>'+
												 '<tr><td><label>买卖标志：</label><span>'+bsflagStr+'</span></td><td><label>买卖价格：</label><span>'+obj.price+'</span></td></tr>'+
												 '<tr><td><label>申报数量：</label><span>'+fnumber(obj.qty)+'</span></td><td><label>约定序号：</label><span>'+obj.matchnumber+'</span></td></tr>'+
												 '</table></div></li>';
									$('#data_list').append(append_html);
								}
							}else{
								$('#no_result').show();
							}
							
							$('#result_div').fadeIn('normal');
			    		}else{
			    			Com.showNativeAlert('',d.result[0].msg,["确定"],'');
			    			return false;
			    		}
			    	},
			        "isTradeLogin":true,
			        "error":function(){
			            Com.showNativeAlert("","网络不给力",["确定"],'');
			        }
			    });
    		}else{
    			Com.showNativeAlert('',d.result[0].msg,["确定"],'');
    			return false;
    		}
    	},
        "isTradeLogin":true,
        "isNeedLoading":true,
        "error":function(){
            Com.showNativeAlert("","网络不给力",["确定"],'');
        }
    });
}

$(document).on('tap','#data_list li',function(){
	var dsfxw=$('input[name="xwh"]',this).val();
	var sbsj=$('input[name="sbsj"]',this).val();
	
	var bsflag=$('tr',this).eq(0).find('td').eq(0).find('span').html();
	var jg=$('tr',this).eq(0).find('td').eq(1).find('span').html();
	var sl=$('tr',this).eq(1).find('td').eq(0).find('span').html();
	var ydxh=$('tr',this).eq(1).find('td').eq(1).find('span').html();
	
	if($.trim(sbsj)!=''&&sbsj.length==6){
		sbsj = sbsj.substring(0,2)+':'+sbsj.substring(2,4)+':'+sbsj.substring(4,6); 
	}
	
	Com.setLocalValue('gpmc',$('#gpmc').val());
	Com.setLocalValue('gpdm',$('#gpdm').val());
	Com.setLocalValue('sbbsflag',bsflag);
	Com.setLocalValue('sbdsfxw',dsfxw);
	Com.setLocalValue('sbjg',jg);
	Com.setLocalValue('sbsl',sl);
	Com.setLocalValue('sbydxh',ydxh);
	Com.setLocalValue('sbsj',sbsj);
	
	Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+'/asset/gzjy/pages/sbxq.html',"weburl":'sbxq.html'});
});

function nativeGoback(){
	Com.nativeGoback();
}

function fnumber(s){   
	s = parseFloat((s + "").replace(/[^\d\.-]/g, "")) + "";   
	var l = s.split(".")[0].split("").reverse();  
	var t = "";   
	for(i = 0; i < l.length; i ++ ){   
		t += l[i] + ((i + 1) % 3 == 0 && (i + 1) != l.length ? "," : "");   
	}   
	return t.split("").reverse().join("");   
} 