$(function(){
	var abnormalTypes = {
			'1':'涨跌幅达7% ',
			'2':'换手率达20% ',
			'3':'振幅值达15% ',
			'4':'涨跌幅偏离值达7% ',
			'41':'日涨幅偏离值达7%',
			'42':'日跌幅偏离值达7%',
			'5':'连续三个交易日内涨跌幅偏离值累计达15%的ST证券、*ST证券和未完成股改证券 ',
			'51':'连续三个交易日内，涨幅偏离值累计达到15%（沪）或12%（深）的ST证券、*ST证券和未完成股改证券',
			'52':'连续三个交易日内，跌幅偏离值累计达到15%（沪）或12%（深）的ST证券、*ST证券和未完成股改证券',
			'6':'连续三个交易日内涨跌幅偏离值累计达20% ',
			'61':'连续三个交易日内，涨幅偏离值累计达20% ',
			'62':'连续三个交易日内，跌幅偏离值累计达20% ',
			'8':'无价格涨跌幅限制 ',
			'9':'其他 ',
			'10':'融资买入占总交易量50%以上 ',
			'11':'融券卖出占总交易量50%以上 ',
			'12':'连续2个交易日触及涨跌幅限制，同营业部净买入占当日总成交量30%以上，且未公告 ',
			'13':'连续2个交易日触及涨跌幅限制，同营业部净卖出占当日总成交量30%以上，且未公告',
			'14':'风险警示期交易'
		};
	var stkName = getQueryString("stkName");
	var stkCode = getQueryString("stkCode");
	var secuId = getQueryString("secuId");
	var tradingDay = getQueryString("tradingDay");

	window.numberTxt = ['一','二','三','四','五'];

	localStorage.stkCode = localStorage.stkCode? stkCode: localStorage.stkCode;
	localStorage.stkName = localStorage.stkName? stkName: localStorage.stkName;
	localStorage.secuId = localStorage.secuId? secuId: localStorage.secuId;
	localStorage.tradingDay = localStorage.tradingDay? tradingDay: localStorage.tradingDay;

	Com.setWebviewTitle("",{title:stkName + document.title});
	$("#lhb-stkName").html(localStorage.stkName);
	var c = localStorage.stkCode.substring(0,localStorage.stkCode.indexOf('.'));
	var market =  localStorage.stkCode.substring(localStorage.stkCode.indexOf('.')+1)=='1'?'Z':'S';
	var _market = market=='Z'? "SZ":"SH";
	$("#lhb-stkName").attr('scode',c);
	$("#lhb-stkName").attr('sname',localStorage.stkName);
	$("#lhb-stkName").attr('smarket',market);

	var tradingDay = localStorage.tradingDay;
	var sbData = {};
	load({
		url:HOST_NAME+"/gsnews/data/abnormalrecord/1.0?secuId="+localStorage.secuId+"&tradingDay="+tradingDay,
		tableId:'lhb-record-detail-data',
		templateId:'lhb-record-detail-tpl',
		dataProcessing:function(dataAll) {
			sbData = dataAll;
			var data = dataAll['sbjl'];
			var count = 0;
			for(var key in data){
				count ++;
				data[key]['abnormalText'] = abnormalTypes[data[key]['abnormalType']];
				data[key]['turnoverRate'] = (data[key]['turnoverRate']*1.0).toFixed(2);
				data[key]['change'] = (data[key]['change']*1.0).toFixed(2);
				data[key]['percent'] = (data[key]['percent']*1.0).toFixed(2);
			}
			$("#lhb-cs-count").html('(最近3个月上榜'+count+'次)');
		}
	});

	$.ajax({
		url: HOST_NAME+'/gsnews/data/tradehistory/1.0?stkCode='+c+"&market=" + _market,
		//url: HOST_NAME+'/gsnews/data/tradehistory/1.0?stkCode=000001.2',
		dataType: 'json',
		success:function(dataAll){

			var data = dataAll['hqzs'];
			var startTime = data[0]['hqda'];
			var endTime = data[data.length>0?data.length-1:0]['hqda'];
			for(var key in data){
				data[key]['zjcj'] = data[key]['zjcj']*1;
			}
			var Frame = G2.Frame;
			var frame = new Frame(data);
			Frame.combinColumns(frame,['zjcj'],' ',' ','hqda');

			var chart = new G2.Chart({
				id:'lhb-record-chart',
				width:getWidth(100),
				height:250,
				plotCfg:{
					margin:[20,10, 30, 45]
				}
			});
			chart.legend(false);
			chart.source(data);
			chart.axis('zjcj',{tickLine:null,line:null,
			labels:{label:{fill:'#677288'}},
			title:null});
			chart.axis('hqda',{tickLine:null,labels:null});

			chart.tooltip(null);
			chart.area().position('hqda*zjcj').color('l(100) 0:#589DFC 1:#CCDDFF')
			.opacity(0.6);

			function delay(){
				var dateList = [];
				var data1 = sbData['sbjl']
				for(var key in data1){
					dateList.push(data1[key]['tradeDate']);
				}
				chart.line().position('hqda*zjcj').color("#589DFC").label('hqda',{
				custom:true,
				renderer:function(text){
					var date = text.substring(0,4)+'-'+text.substring(4,6)+'-'+text.substring(6,8);

					return dateList.indexOf(date)!=-1?'<div class="blue-dot" style="margin-top: 30px;"></div>':'';
				}});


				chart.render();

				$('#lhb-record-chart').append('<span class="font-small" '+
				'style="color:#677288;position:absolute;margin:-2em 0 0 10%">'+
				startTime.substring(0,4)+'-'+startTime.substring(4,6)+"-"+startTime.substring(6,8)+'</span><span '+
				'class="font-small" style="color:#677288;position:absolute;margin:-2em 0 0 80%"'+
				'>'+endTime.substring(0,4)+"-"+endTime.substring(4,6)+"-"+endTime.substring(6,8)+'</span>');

				showRank('0',sbData['sbjl'][0]['tradeDate'],sbData['sbjl'][0]['abnormalType']);
			};
			setTimeout(delay,100);

		}
	});

});

function showRank(i, tradingDay, abnormalType){
    if($('#lhb-record-detail-img-'+i).hasClass('collapsed') ){
		$('#lhb-record-detail-img-'+i).removeClass('collapsed');
		$('#lhb-record-detail-img-'+i).addClass('up');

		$.ajax({
			url: HOST_NAME+'/gsnews/data/abnormaldetail/1.0?tradingDay='+tradingDay+'&secuId='+localStorage.secuId+'&type='+abnormalType,
			dataType: 'json',
			success: function (dataAll){
				var data = dataAll['mmmx'];
				var saleList = [];
				var buyList = [];
				for(var key in data){
					if(data[key]['tradeType'] == '1'){
						buyList.push(data[key]);
					}else{
						saleList.push(data[key]);
					}
				}
				if(data!=null && data.length !=0){
					document.querySelector(".buytit"+i).innerHTML = '买入金额最大前'+numberTxt[buyList.length-1]+'名'
					document.querySelector(".saletit"+i).innerHTML = '卖出金额最大前'+numberTxt[saleList.length-1]+'名'
					$('#drawer-'+i).show();
				}

				function showContent(data,buyRows, saleRows){
					var buyMax = 0;
					var saleMax = 0;
					var _gap = 5-buyRows;
					for(var key in data){
						if(key == 0 && data[key]['tradeType']==1){
							buyMax = data[key]['buy'];
						}

						if(key == buyRows && data[key]['tradeType']==2){
							saleMax = data[key]['sale'];
						}

						if(data[key]['tradeType']==1){
							var buy = data[key]['buy']*1;
							if(buy>10000){
								buy = (buy*0.0001).toFixed(0)+'万';
							};
							document.querySelector(".tr-"+i+"-"+key).style.display="inline-block";
							$('#rect-'+i+"-"+key).css('width',(data[key]['buy']*75/buyMax+1).toFixed(0)+'%');
							$('#value-'+i+'-'+key).html('+'+buy);
							$("#title-"+i+"-"+key).html(data[key]['tradeDptName']);
						}else if(data[key]['tradeType']==2){
							var sale = data[key]['sale']*1;
							if(sale>10000){
								sale = (sale*0.0001).toFixed(0)+'万';
							};
							var _key = Number(key) + _gap;
							document.querySelector(".tr-"+i+"-"+_key).style.display="inline-block";
							$('#rect-'+i+"-"+_key).css('width',(data[key]['sale']*75/saleMax+1).toFixed(0)+'%');
							$('#value-'+i+'-'+_key).html('-'+sale);
							$("#title-"+i+"-"+_key).html(data[key]['tradeDptName']);
						}
					}
				}
				setTimeout(function(){
					var buyRows = buyList.length;
					var saleRows = saleList.length;
					buyList.push.apply(buyList,saleList);
					showContent(buyList, buyRows, saleRows);
				},100);
			}
		});
    }else{
		$('#lhb-record-detail-img-'+i).attr('src','images/select-button.png');
		$('#lhb-record-detail-img-'+i).removeClass('up');
		$('#lhb-record-detail-img-'+i).addClass('collapsed');
		for(var d = 0;d < 10;d++){
			$('#rect-'+i+'-'+d).css('width','0');
		}
		$('#drawer-'+i).hide();
    }

}
