$(function(){
	var secuId = localStorage.secuId;
	var stkName = localStorage.stkName;
	var stkCode = localStorage.stkCode;
	var tradingDay = localStorage.tradingDay;
	var market =  localStorage.market;

	$('#xsjj-stkName').html(stkName);
	$("#xsjj-stkName").attr('scode',stkCode);
	$("#xsjj-stkName").attr('sname',stkName);
	$("#xsjj-stkName").attr('smarket',market=='SZ'?'Z':'S');
	
	Com.setWebviewTitle("",{title:stkName + document.title});
	var jjData = {};
	//行情报表
	$.ajax({
		url: HOST_NAME+'/gsnews/data/tradehistory/1.0?stkCode='+stkCode+'&market='+localStorage.market,
		dataType: 'json',
		success:function(dataAll){

			var data = dataAll['hqzs'];

			var startTime = data[0]['hqda'];
			var endTime = data[data.length>0?data.length-1:0]['hqda'];
			for(var key in data){
				data[key]['zjcj'] = data[key]['zjcj']*1;
			}
			var Frame = G2.Frame;
			var frame = new Frame(data);
			Frame.combinColumns(frame,['zjcj'],' ',' ','hqda');

			var chart = new G2.Chart({
				id:'xsjjhq-data',
				width:getWidth(100),
				height:250,
				plotCfg:{
					margin:[20,10, 30, 45]
				}
			});
			chart.legend(false);
			chart.source(data);
			chart.axis('zjcj',{tickLine:null,line:null,title:null,labels:{label:{fill:'#677288'}}});
			chart.axis('hqda',{tickLine:null,title:null,labels:null});

			chart.tooltip(null);
			chart.area().position('hqda*zjcj').color('#b1caff')
			.opacity(0.6);

			function delay(){
				var dateList = [];
				var data1 = jjData['jjjl']
				for(var key in data1){
					dateList.push(data1[key]['tradeDate']);
				}
				chart.axis('hqda',{tickLine:null,labels:null});

				chart.tooltip({map:{name:"收盘价"}});
				chart.area().position('hqda*zjcj').color('l(100) 0:#589DFC 1:#CCDDFF')
				.opacity(0.6);
				chart.line().position('hqda*zjcj').color("#589DFC").label('hqda',{
				custom:true,
				renderer:function(text){
					var date = text.substring(0,4)+'-'+text.substring(4,6)+'-'+text.substring(6,8);

					return dateList.indexOf(date)!=-1?'<div class="blue-dot" style="margin-top:30px;"></div>':'';
				}});

				chart.tooltip(null);

				chart.render();

				$('#xsjjhq-data').append('<span class="font-small" '+
				'style="color:#677288;position:absolute;margin:-2em 0 0 10%">'+
				startTime.substring(0,4)+'-'+startTime.substring(4,6)+"-"+startTime.substring(6,8)+'</span><span '+
				'class="font-small" style="color:#677288;position:absolute;margin:-2em 0 0 80%"'+
				'>'+endTime.substring(0,4)+"-"+endTime.substring(4,6)+"-"+endTime.substring(6,8)+'</span>');
			};
			setTimeout(delay,100);
		}
	});
	
	load({
		url:HOST_NAME+"/gsnews/data/lifteddetail/1.0?tradingDay="+tradingDay+"&secuId="+secuId,
		tableId:'xsjj-detail-data',
		templateId:'xsjj-detail-tpl',
		dataProcessing:function(dataAll){
			jjData = dataAll;
			dataAll['stkName'] = stkName;
			var jjList = [];
			var djjList = [];
			for(var key in dataAll['jjjl']){
				var t = dataAll['jjjl'][key]['tradableShares'];
				if(t*1 > 10000){
					dataAll['jjjl'][key]['tradableShares'] = (dataAll['jjjl'][key]['tradableShares']*0.0001).toFixed(0)+"万";
				}
				if(getDate() >= dataAll['jjjl'][key]['tradeDate']){
					jjList.push(dataAll['jjjl'][key]);
				}else{
					djjList.push(dataAll['jjjl'][key]);
				}
			}
			dataAll['jjList'] = jjList;
			dataAll['djjList'] = djjList;
			$('#xsjj-count').html("(最近3个月发生"+jjList.length+"笔解禁)");
			dataAll['date'] = getDate();
		}

	})
});