var globalType = 0;
var currentIndex = 0;
var seasonList = {};
$(function(){
	var page = 1;
	var year = getYear();
	var date = getDate();
	var currentSeason = getYear()+'09-30';
	if(date<year+'-03-31'){
		currentSeason = (getYear()-1)+'-12-31';
		seasonList[(getYear()-1)+'-12-31'] = (getYear()-1)+'年年度业绩预告';
		seasonList[(getYear()-1)+'-09-30'] = (getYear()-1)+'年第三季度业绩预告';
		seasonList[(getYear()-1)+'-06-30'] = (getYear()-1)+'年半年度业绩预告';
	}else if(date<year+'-06-30' && date>=year+'-03-31'){
		currentSeason = getYear()+'-03-31';
		seasonList[getYear()+'-03-31'] = getYear()+'年第一季度业绩预告';
		seasonList[(getYear()-1)+'-12-31'] = (getYear()-1)+'年年度业绩预告';
		seasonList[(getYear()-1)+'-09-30'] = (getYear()-1)+'年第三季度业绩预告';

	}else if(date<year+'-09-30' && date>=year+'-06-30'){
		currentSeason = getYear()+'-06-30';
		seasonList[getYear()+'-06-30'] = getYear()+'年半年度业绩预告';
		seasonList[getYear()+'-03-31'] = getYear()+'年第一季度业绩预告';
		seasonList[(getYear()-1)+'-12-31'] = (getYear()-1)+'年年度业绩预告';

	}else if(date<year+'-12-31' && date>=year+'-09-30'){
		currentSeason = getYear()+'-09-30';
		seasonList[getYear()+'-09-30'] = getYear()+'年第三季度业绩预告';
		seasonList[getYear()+'-06-30'] = getYear()+'年半年度业绩预告';
		seasonList[getYear()+'-03-31'] = getYear()+'年第一季度业绩预告';

	}
	$('#seasonList').empty();
	var count = 0;
	for(var key in seasonList){
		count++;
	    var html = '<li onclick="showChart(\''+key+'\');">'+seasonList[key]+'</li>';
	    if(count !=3){
	    html = html+'<div class="select-menu-split"></div>';
	    };
		$('#seasonList').append(html);
	}
	//业绩预告列表
	showChart(currentSeason);


	endOfScrollTop({
		callback:function(){
			load({
				url:HOST_NAME+"/gsnews/data/forecast/1.0?foretellDate="+localStorage.seasonDate+"&type="+globalType+"&page="+(page+1)+"&pageSize=20",
				tableId:"yjyg-data",
				templateId:"yjyg-tpl",
				dataProcessing:function(dataAll){
					var data = dataAll['yjyg'];
					for (var key in data){
						data[key]['type'] = types[data[key]['foretellType']];
						//净利润变动描述
						var mxN = (data[key]['maxNPChange']*1.0).toFixed(0);
						var mnN = (data[key]['minNPChange']*1.0).toFixed(0);
						var mxC = (data[key]['maxChange']*1.0).toFixed(0);
						var mnC = (data[key]['minChange']*1.0).toFixed(0);
						var changeTxt = "--";
						var changeTxt2 = "";
						if(mnN == mxN && mnN !=0){
							changeTxt = mnN+"%左右";
						}else if(mnN == mxN && mnN == 0){
							if(mnC == mxC && mnC != 0){
								changeTxt = round(mnC)+"左右";
							}else if(mnC != mxC){
								changeTxt = round(mnC);
								changeTxt2 = round(mxC);
							}else if(mnC == mxC && mnC == 0){
								changeTxt = "--";
							}
						}else{
							changeTxt = mnN+"%";
							changeTxt2 = +mxN+"%";
						}
						data[key]['changeTxt1'] = changeTxt;
						data[key]['changeTxt2'] = changeTxt2;
					}
					dataAll['currentIndex'] = currentIndex;

					currentIndex +=dataAll['yjyg'].length;
					$('.loading').hide();
					if(typeof dataAll['yjyg'] == 'undefined' || dataAll['yjyg'].length == 0){
						function f(){
							$('.no-more-msg').show();
						}
						setTimeout(f,2000);
					}else{
						page  += 1;
					}
				}
			});
		}
	});
	//stickyTo(263);
	//stickyTo(263,'tip-select','73px');
	setScrollFixed();

	touchUp();

});
function round(num){
	if(num*1>=100000000){
		return (num*0.00000001).toFixed(2)+"亿";
	}else if(num*1>=10000){
		return (num*0.0001).toFixed(0)+"万";
	}else if(num*-1>=100000000){
		return (num*0.00000001).toFixed(2)+"亿";
	}else if(num*-1>=10000){
		return (num*0.0001).toFixed(0)+"万";
	}else{
		return num;
	}
}
/**
* 显示类型按钮列表
*/
function showTypeMenu(){
	$(".mask").show();
	$("#type-select-menu").show();
};
function hideDialog(){

	$(".mask").hide();
	$("#type-select-menu").hide();
	$('#yjyg-menu').hide();
	$("#collapse-menu").addClass('collapsed');
	$("#collapse-menu").removeClass('up');
}
/**
* 列表数据展示
* type：查询选项，选择类型
*/
function selectType(type){

	$(".table-title-index").removeClass("fixed");
	$(".table-title-index").css("top",null);

	$(".tip-select").removeClass("fixed");
	$(".tip-select").css("top",null);

	$(".button-blue").addClass("button");
	$(".button-blue").removeClass("button-blue");
	$("#yjyg-select-"+type).addClass('button-blue');
	$("#yjyg-select-"+type).removeClass('button');
	types = {0:'全部类型',1:"预增",2:"预减",3:"亏损",4:"其他"};
	$("#yjyg-type-button").html(types[type]);
	$(".mask").hide();
	$("#type-select-menu").hide();
	$("#yjyg-data").empty();
	globalType = type;
	load({
		url:HOST_NAME+"/gsnews/data/forecast/1.0?foretellDate="+localStorage.seasonDate+"&type="+type+"&page=1&pageSize=20",
		tableId:'yjyg-data',
		templateId:'yjyg-tpl',
		dataProcessing:function(dataAll){
			var data = dataAll['yjyg'];
			currentIndex = data.length;
			for (var key in data){
				data[key]['type'] = types[data[key]['foretellType']];
				//净利润变动描述
				var mxN = (data[key]['maxNPChange']*1.0).toFixed(0);
				var mnN = (data[key]['minNPChange']*1.0).toFixed(0);
				var mxC = (data[key]['maxChange']*1.0).toFixed(0);
				var mnC = (data[key]['minChange']*1.0).toFixed(0);
				var changeTxt = "--";
				var changeTxt2 = "";
				if(mnN == mxN && mnN !=0){
					changeTxt = mnN+"%左右";
				}else if(mnN == mxN && mnN == 0){
					if(mnC == mxC && mnC != 0){
						changeTxt = round(mnC)+"左右";
					}else if(mnC != mxC){
						changeTxt = round(mnC);
						changeTxt2 = round(mxC);
					}else if(mnC == mxC && mnC == 0){
						changeTxt = "--";
					}
				}else{
					changeTxt = mnN+"%";
					changeTxt2 = +mxN+"%";
				}
				data[key]['changeTxt1'] = changeTxt;
				data[key]['changeTxt2'] = changeTxt2;
			}
		}
	});

};
function showDateMenu(){
	$("#collapse-menu").removeClass('collapsed');
	$("#collapse-menu").addClass('up');
	$(".mask").show();
	$("#yjyg-menu").show();
	$(".year").html(getYear());
}
function showChart(date){
	$("#collapse-menu").removeClass('up');
	$("#collapse-menu").addClass('collapsed');

	localStorage.seasonDate = date;
	selectType(0);
	$("#yjyg-season-title").html(seasonList[date]);
	$(".mask").hide();
	$("#yjyg-menu").hide();
	$("#yjyg-chart").empty();
	$('<div class="font12 normal-color1 text-center pie_center" '+
    	'style="box-sizing:border-box;width:'+getWidth(100)+'px;height:'+getWidth(60)+
    	'px;position:absolute;padding:20px 140px 40px 5px;"><div style="margin-top:60px;">'+
        '已公布家数<br><span class="font14 font-black" id="yjyg-sum">家</span></div>'+
     	'</div>').appendTo('#yjyg-chart');
	$.ajax({
		url:HOST_NAME+"/gsnews/data/forecastsummary/1.0?foretellDate="+date,
		data:{},
		dataType:'json',
		type:'get',
		success: function (dataAll ) {
			var data = dataAll['yghz'];
			var types = {'1':"业绩预增",'2':"业绩预减",'3':"亏损",'4':"其他"};
			var total = 0;
			for(var key in data){
				data[key]['all'] = 'all';
				data[key]['number'] = data[key]['number']*1;
				total += data[key]['number'];
				var t = data[key]['foretellType']
				var color = t=='1'?'F74747':(t=='2'?'589DFC':(t=='3'?'5ABF43':'D4D7DD'));
				types[data[key]['foretellType']] = '<div style="display:inline-block;margin:0 5px 10px 2px;color:#'+color+';">'+
						data[key]['number']+"</div>"+types[data[key]['foretellType']];

			}
			$("#yjyg-sum").html(total+"家");
			var Stat = G2.Stat;
			var chart = new G2.Chart({
				id:"yjyg-chart",
				width: getWidth(100),
				height: 220,
				plotCfg:{
					margin:[20,140,40,5]
				}
			});
			chart.tooltip(null);
			chart.source(data);
			chart.facet(['all'],{margin:50,facetTitle:{colDimTitle:{title:null},colTitle:{title:null}}});
			chart.legend('right');
			chart.legend('foretellType',false);
			chart.coord('theta',{
				radius:1,
				inner:0.55
			});
			//chart.tooltip({title:"sdf"});
			chart.intervalStack().position(Stat.summary.percent('number'))
			.color("foretellType",['#F74747','#589DFC','#5ABF43','#D4D7DD']);
			chart.render();
			var legendHtml = '<div class="legend">'+
				'<div class="dot" style="background:#F74747;"></div>'+types['1']+'<br>'+
				'<div class="dot" style="background:#589DFC;"></div>'+types['2']+'<br>'+
				'<div class="dot" style="background:#5ABF43;"></div>'+types['3']+'<br>'+
				'<div class="dot" style="background:#D4D7DD;"></div>'+types['4']+
				'</div>';
			$(legendHtml).appendTo('#yjyg-chart');


		}
	});
}
