var docs = {};
//上海港股通风险揭示书
docs.SH_FXJS = [
	'<h1>港股通（上海）交易风险揭示书</h1>',
	'<p style="text-indent:0px;">尊敬的投资者：',
	'<p>在您进行港股通交易前，请您充分了解港股通业务的相关风险，认真阅读下列条款：',
	'<p>一、<strong>提示投资者注意</strong>，香港证券市场与内地证券市场存在诸多差异，投资者参与港股通交易需遵守内地与香港相关法律、行政法规、部门规章、规范性文件和业务规则，对香港证券市场有所了解；通过港股通参与香港证券市场交易与通过其他方式参与香港证券市场交易，也存在一定的差异。',
	'<p>二、<strong>提示投资者注意</strong>，投资者可以通过港股通买卖的股票存在一定的范围限制，且港股通股票名单会动态调整。投资者应当关注最新的港股通股票名单。对于被调出的港股通股票，自调整之日起，投资者将不得再行买入。',
	'<p>三、<strong>提示投资者注意</strong>，港股通股票可能出现因公司基本面变化、第三方研究分析报告的观点、异常交易情形、做空机制等原因而引起股价较大波动的情形，尤其是考虑到香港联合交易所有限公司（以下简称“联交所”）市场交易不设置涨跌幅限制，投资者应当关注可能产生的风险。',
	'<p>四、<strong>提示投资者注意</strong>，部分港股通股票可能存在大比例折价供股或配股、频繁分拆合并股份的行为，投资者持有的股份数量、股票面值可能发生大幅变化，投资者应关注可能产生的风险。',
	'<p>五、<strong>提示投资者注意</strong>，与内地证券市场相比，联交所市场股票停牌制度存在一定差异，港股通股票可能出现长时间停牌现象，投资者应关注可能产生的风险。',
		'<p>六、<strong>提示投资者注意</strong>，与内地证券市场相比，联交所市场股票交易没有退市风险警示、退市整理等安排，相关股票存在直接退市的风险。港股通股票一旦从联交所市场退市，投资者将面临无法继续通过港股通买卖相关股票的风险。',
	'<p>七、<strong>提示投资者注意</strong>，港股通股票退市后，中国证券登记结算有限责任公司（以下简称“中国结算”）通过香港结算有限公司（以下简称“香港结算”）继续为投资者提供的退市股票名义持有人服务可能会受限，投资者应当关注可能产生的风险。',
	'<p>八、<strong>提示投资者注意</strong>，港股通业务实施每日额度限制。在联交所开市前阶段，当日额度使用完毕的，新增的买单申报将面临失败的风险；在联交所持续交易时段、收市竞价交易时段，当日额度使用完毕的，当日投资者将面临不能通过港股通进行买入交易的风险。',
	'<p>九、<strong>提示投资者注意</strong>，只有沪港两地均为交易日且能够满足结算安排的交易日才为港股通交易日，具体以上海证券交易所（以下简称“上交所”）证券交易服务公司在其指定网站公布的日期为准。',
	'<p>十、<strong>提示投资者注意</strong>，每个港股通交易日的交易时间包括开市前时段、持续交易时段和收市竞价交易时段，具体按联交所的规定执行。',
	'圣诞前夕（12 月24 日）、元旦前夕（12 月31 日）或除夕日为港股通交易日的，港股通仅有半天交易，且当日为非交收日。',
	'<p>十一、<strong>提示投资者注意</strong>，香港出现台风、黑色暴雨或者联交所规定的其他情形时，联交所将可能停市，投资者将面临在停市期间无法进行港股通交易的风险；出现上交所证券交易服务公司认定的交易异常情况时，上交所证券交易服务公司将可能暂停提供部分或者全部港股通服务，投资者将面临在暂停服务期间无法进行港股通交易的风险。上交所证券交易服务公司及上交所、国信证券对于发生交易异常情况及采取相应处置措施造成的损失，不承担责任。',
	'<p>十二、<strong>提示投资者注意</strong>，投资者在交易时间内提交订单依据的港币买入参考汇率和卖出参考汇率，并不等于最终结算汇率。港股通交易日日终，中国结算上海分公司进行净额换汇，将换汇成本按成交金额分摊至每笔交易，确定交易实际适用的结算汇率。',
	'<p>十三、<strong>提示投资者注意</strong>，投资者参与联交所自动对盘系统交易，在联交所开市前时段和收市竞价交易时段应当采用竞价限价盘委托，在联交所持续交易时段应当采用增强限价盘委托。',
	'<p>十四、<strong>提示投资者注意</strong>，投资者持有的碎股只能通过联交所半自动对盘碎股交易系统卖出。',
	'<p>十五、<strong>提示投资者注意</strong>，港股通股票实施股份分拆合并期间，港股通投资者持有的该股票只能在临时代码单柜交易末日、临时代码与新代码并行交易末日由临时代码转换为新代码。由于临时代码与原代码交易单位不同而可能产生碎股，投资者应当关注可能产生的风险。',
	'<p>十六、<strong>提示投资者注意</strong>，港股通股票变更交易单位时，在实施原代码和临时代码并行交易期间，根据有关港股通股票在境内的登记结算安排，港股通业务仅提供原代码的交易服务，暂不提供临时代码交易服务。由于临时代码与原代码交易单位不同而可能产生碎股，投资者应关注可能产生的风险。',
	'<p>十七、<strong>提示投资者注意</strong>，投资者当日买入的港股通股票，经确认成交后，在交收前即可卖出，投资者应当关注因此可能产生的风险。',
	'<p>十八、<strong>提示投资者注意</strong>，与内地证券市场相比，联交所在订单申报的最小交易价差、每手股数、申报最大限制等方面存在一定的差异，投资者应当关注因此可能产生的风险。',
	'<p>十九、<strong>提示投资者注意</strong>，港股通交易中若联交所与上交所证券交易服务公司之间的报盘系统或者通信链路出现故障，可能导致15 分钟以上不能申报和撤销申报，投资者应当关注因此可能产生的风险。',
	'<p>二十、<strong>提示投资者注意</strong>，港股通股票交易不设置涨跌幅限制，但根据联交所业务规则，适用市场波动调节机制的港股通股票的买卖申报可能受到价格限制，投资者应当关注因此可能产生的风险。',
	'<p>二十一、<strong>提示投资者注意</strong>，对于适用收市竞价交易的港股通股票，根据联交所业务规则，收市竞价交易时段的买卖申报将受到价格限制，投资者应当关注因此可能产生的风险。',
	'<p>二十二、<strong>提示投资者注意</strong>，投资者通过港股通业务获得的香港证券市场免费一档行情，与付费方式获得的行情相比，在刷新频率、档位显示等方面存在差异，投资者应当关注依此进行投资决策的风险。',
	'<p>二十三、<strong>提示投资者注意</strong>，在香港证券市场，股票价格上涨时，股票报价屏幕上显示的颜色为绿色，下跌时则为红色，与内地证券市场存在差异。但是，不同的行情软件商提供的行情走势颜色可以重新设定，投资者在使用行情软件的时候，应当仔细检查软件的参数设置，避免惯性思维带来的风险。',
	'<p>二十四、<strong>提示投资者注意</strong>，投资者因港股通股票权益分派、转换、上市公司被收购等情形或者异常情况，所取得的港股通股票以外的联交所上市证券，只能通过港股通卖出，但不得买入，上交所另有规定的除外；因港股通股票权益分派或者转换等情形取得的联交所上市股票的认购权利在联交所上市的，可以通过港股通卖出，但不得行权；因港股通股票权益分派、转换或者上市公司被收购等所取得的非联交所上市证券，可以享有相关权益，但不得通过港股通买入或卖出。',
	'<p>二十五、<strong>提示投资者注意</strong>，香港证券市场与内地证券市场在证券资金的交收期安排上存在差异，港股通交易的交收期为T+2日。若投资者卖出证券，在交收完成前仍享有该证券的权益。若投资者买入证券，在交收完成后才享有该证券的权益。',
	'同时，港股通交易的交收可能因香港出现台风或黑色暴雨等发生延迟交收。',
	'<p>二十六、<strong>提示投资者注意</strong>，投资者通过港股通业务暂不能参与新股发行认购、超额供股和超额公开配售。',
	'<p>二十七、<strong>提示投资者注意</strong>，对于在联交所上市公司派发的现金红利，由于中国结算需要在收到香港结算派发的外币红利资金后进行换汇、清算、发放等业务处理，投资者通过港股通业务获得的现金红利将会较香港市场有所延后。',
	'<p>二十八、<strong>提示投资者注意</strong>，对于在联交所上市公司派发的红股，中国结算在收到香港结算派发红股到账当日或次日进行业务处理，相应红股可于处理日下一港股通交易日上市交易。投资者红股可卖首日均较香港市场晚一个港股通交易日。',
	'<p>二十九、<strong>提示投资者注意</strong>，由于中国结算是在汇总投资者意愿后再向香港结算提交投票意愿，中国结算对投资者设定的意愿征集期比香港结算的征集期稍早结束；投票没有权益登记日的，以投票截止日的持有作为计算基准；投票数量超出持有数量的，按照比例分配持有基数。',
	'<p>三十、<strong>提示投资者注意</strong>，对于在联交所上市公司派发的红股以及股份分拆及合并业务产生的零碎股，中国结算对投资者账户中小于1 股的零碎股进行舍尾处理。当香港结算发放的红股总数或分拆、合并股票数额大于投资者账户舍尾取整后的总数的，中国结算按照精确算法分配差额部分。',
	'<p>三十一、<strong>提示投资者注意</strong>，由于香港市场的费用收取或汇率的大幅波动等原因，可能会引起投资者账户的透支，投资者应当对账户内的余额进行关注。',
	'<p>三十二、<strong>提示投资者注意</strong>，香港结算因极端情况下无法交付证券对中国结算实施现金结算的，中国结算将参照香港结算的处理原则进行相应业务处理。',
	'<p>三十三、<strong>提示投资者注意</strong>，港股通境内结算实施分级结算原则。投资者可能面临以下风险：',
	'<p>',
	'<ul><li>（一）因结算参与人未完成与中国结算的集中交收，导致投资者应收资金或证券被暂不交付或处置；',
	'<li>（二）结算参与人对投资者出现交收违约导致投资者未能取得应收证券或资金；',
	'<li>（三）结算参与人向中国结算发送的有关投资者的证券划付指令有误的导致投资者权益受损；',
	'<li>（四）其他因结算参与人未遵守相关业务规则导致投资者利益受到损害的情况。',
	'</ul>',
	'</p>',
	'<p>十四、<strong>提示投资者注意</strong>，香港市场收费标准与内地市场收费标准不同，香港地区与内地在税收安排方面也存在差异，投资者买卖港股通股票，应当按照香港市场有关规定交纳相关费用，并按照香港地区相关规定缴纳税款。',
	'<p>三十五、<strong>提示投资者注意</strong>，对于因上交所、中国结算制定、修改业务规则，或者根据业务规则履行自律监管职责等造成的损失，上交所和中国结算不承担责任；投资者还应当充分知晓并认可联交所在其规则中规定的相关责任豁免条款，包括但不限于对因制定、修改业务规则、根据业务规则履行自律监管职责、发生或处置交易异常情况等导致的损失不承担责任的规定。',
	'<p>三十六、<strong>提示投资者注意</strong>，我司电话委托系统及场内自助系统不接受您港股通股票的买入委托。如您需要买入该类股票，可通过我司网上交易系统、金太阳手机等移动终端、柜台系统买入港股通股票。',
	'<p>本《上海证券交易所港股通交易风险揭示书》的揭示事项仅为列举性质，未能详尽列明港股通交易的所有风险因素，投资者在参与港股通交易前，还应认真阅读相关业务规则和协议条款，对港股通交易特有的规则必须有所了解和掌握，并确信自己已做好足够的风险评估与财务安排，避免因参与港股通交易而遭受难以承受的损失。'
];

//上海港股通委托协议
docs.SH_WTXY = [
	'<h1>港股通（上海）委托协议</h1>',
	'<p>依据《中华人民共和国证券法》、《中华人民共和国合同法》、《中华人民共和国电子签名法》和其他有关法律、法规、规章、自律规则、证券登记结算机构业务规则以及证券交易所交易规则等规定，甲乙双方就甲方委托乙方代理港股通交易及其他相关事宜达成如下协议，供双方共同遵守。',
    '<h2>第一章 声明与保证</h2>',
'<p>第一条 委托协议所指港股通为沪港通下的港股通。甲方签署本协议仅可委托乙方通过沪港通下的港股通买卖港股通股票。甲方通过沪港通下的港股通买入的证券，暂不能通过深港通下的港股通卖出；甲方通过深港通下的港股通买入的证券，暂不能通过沪港通下的港股通卖出。',
'<p>第二条 甲方的声明与保证，包括但不限于： ',
'<ul>',
'<li>（一）甲方已阅读并充分理解中国证监会《内地与香港股票市场交易互联互通机制若干规定》、上海证券交易所（以下简称“上交所”）及中国证券登记结算有限责任公司（以下简称“中国结算”）关于港股通的业务规则以及乙方向其提供的《上海证券交易所港股通交易风险揭示书》等相关文件，甲方具有合法的港股通交易资格，不存在相关法律、行政法规、部门规章、规范性文件以及业务规则等规定的禁止、限制或不适于参与港股通交易的情形；',
'<li>（二）甲方保证在其与乙方委托关系存续期内向乙方提供的所有证件、资料均真实、准确、完整、合法，且用于港股通交易的资金来源合法，并保证遵守国家反洗钱法的相关规定；',
'<li>（三）甲方已清楚认识并愿意承担从事港股通交易的相关风险，并已详细阅读本协议所有条款和准确理解其含义，特别是其中有关乙方的免责条款；',
'<li>（四）甲方承诺遵守港股通交易的内地与香港相关法律、行政法规、部门规章、规范性文件、业务规则等规定，并承诺按照乙方的相关业务流程办理业务；',
'<li>（五）甲方承诺，同意由中国证券登记结算有限责任公司（以下简称“中国结算”）代甲方名义持有通过港股通取得的证券；',
'<li>（六）甲方承诺，将遵循买者自负原则，不以不符合投资者适当性条件为由，拒绝承担港股通交易及交收责任；',
'<li>（七）甲方保证上述声明与承诺的内容皆为本人真实意愿，并自愿承担虚假陈述的一切后果。',
'</ul>',
'<p>第三条 乙方的声明与保证，包括但不限于：',
'<ul>',
'<li>（一）乙方所属证券公司是依照内地法律设立且有效存续的证券经营机构，具有相应的证券经纪业务资格，已开通了港股通业务交易权限;',
'<li>（二）乙方承诺遵守本协议，按本协议的约定为甲方提供港股通交易相关服务。',
'</ul>',
'<h2>第二章 委托代理</h2>',
'<p>第四条 乙方接受甲方委托为其提供以下服务： ',
'<ul>',
'<li>（一）接受并执行甲方依照本协议约定的方式下达的合法有效的委托指令；',
'<li>（二）进行资金、证券的清算、交收；',
'<li>（三）托管甲方买入或其他方式取得的有价证券；',
'<li>（四）证券登记结算机构通过乙方向甲方提供的红利分派等名义持有人服务；',
'<li>（五）接受甲方对其委托、成交及账户内的资产及变化情况的查询，并应甲方的要求提供相应的清单；',
'<li>（六）相关法律、行政法规、部门规章、规范性文件、业务规则规定的甲方可以委托乙方进行的其他活动以及双方依法约定的其他委托事项。',
'</ul>',
'<p>第五条 甲方在参与港股通交易前，应先依照法律法规、相关业务规则开立账户用于证券交易、清算交收和计付利息等。乙方代理中国结算开立证券账户，应遵循中国结算的有关规定。',
'甲方已经开立沪市A股证券账户（人民币普通股证券账户）的，使用现有账户进行港股通交易。',
'<p>第六条 甲方参与港股通业务股票交易的佣金费率，乙方应另行向甲方明示并经甲方认可。',
'<p>第七条 甲方新办理或者变更指定交易的，自下一港股通交易日起方可进行港股通交易。',
'<p>第八条 甲方存在当日有交易行为、当日有申报、有交易未完成交收或者 上交所、中国结算业务规则规定的其他情形的，甲方不得撤销指定交易。',
'<p>第九条 甲方知晓并认可：其获得的香港证券市场免费一档行情，与付费方式获得的行情相比，在刷新频率、档位显示等方面存在差异；甲方应仅作为最终用户使用上述行情信息，未经香港联合交易所有限公司（以下简称“联交所”）同意不得将其提供给任何机构或个人，也不得用于开发指数或其他产品；联交所及其控股公司、该控股公司的附属公司等行情信息提供方，将尽力保证所提供上述行情信息的准确和可靠度，但不能确保其绝对准确和可靠，亦不对因信息不准确或遗漏而导致的任何损失或损害承担责任。',
'<p>第十条 甲方向乙方下达委托指令的方式包括柜台委托、自助委托以及乙方认可的其他合法委托方式，自助委托包括网上委托、手机证券委托等，具体委托方式以实际开通为准。乙方暂不提供电话委托和场内自助委托。',
'甲方进行网上委托及手机证券委托时，只能使用乙方直接提供给甲方的软件，或甲方依照乙方指示从乙方指定站点下载的软件。甲方使用其他途径获得的软件进行网上委托所产生的后果、风险和损失由甲方自行承担。',
'<p>第十一条 甲方委托乙方进行港股通交易而发出的委托及撤销委托等指令的内容和方式应当符合证券交易所相关规则。',
'甲方通过乙方委托系统进行港股通交易时，如因甲方操作失误或因甲方指令违反相关交易规则或本协议约定，或其他可归咎于甲方的原因而造成损失的，由甲方承担。',
'<p>第十二条 如甲方发出的指令被乙方委托系统或证券交易所交易系统拒绝受理，则该委托应视为无效委托。甲方在进行委托前须确保已完全了解有关交易规则，避免发出无效委托指令。如因甲方发出无效委托而造成损失的，由甲方承担。',
'<p>第十三条 甲方可要求乙方为其提供买卖成交明细单。甲方可在乙方经营场所临柜查询和打印，也可通过乙方提供的其他方式查询和打印。',
'<p>第十四条 甲方知晓并认可中国结算按照香港中央结算有限公司（以下简称“香港结算”）的业务规则，与香港结算完成港股通交易的证券和资金的交收。港股通交易的境内结算由中国结算根据相关业务规则组织完成。',
'<p>第十五条 甲方通过港股通取得的证券以中国结算名义存管在香港结算，并以香港中央结算（代理人）有限公司的名义登记于联交所上市公司的股东名册。甲方不能要求存入或提取纸面股票，中国证监会另有规定的除外。',
'<p>第十六条 甲方知晓并认可香港结算因无法交付证券对中国结算实施现金结算的，中国结算参照香港结算的处理原则进行相应业务处理；香港结算因风球、黑色暴雨天气等原因，临时作出特殊交收安排的，中国结算参照香港结算的处理原则进行相应业务处理。甲方同意乙方按照中国结算的业务规则进行业务处理。香港结算发生破产而导致其未全部履行对中国结算的交收义务的，中国结算协助向香港结算追索，但不承担由此产生的相关损失。',
'<p>第十七条 甲方同意，对于甲方的港股通交易，由乙方所属证券公司以自己的名义与中国结算完成集中结算，并由乙方或乙方所属证券公司办理与甲方之间的港股通交易的结算，甲方不与中国结算发生结算关系。',
'甲乙双方、甲方与乙方所属证券公司发生的纠纷，不影响中国结算依照业务规则正在进行或已经进行的清算交收处理及违约处理。',
'<p>第十八条 乙方或乙方所属证券公司在交收日集中交收前，向甲方收取其应付的证券和资金。乙方或乙方所属证券公司应当向正常履行交收义务的甲方交付其应收的证券和资金。',
'<p>第十九条 在确保客户资金账户不出现透支的前提下，港股通交易应收资金可用于内地证券市场买入交易的时间，应不早于相关港股通交易应收资金的对应交收日。',
'<p>第二十条 在清算交收处理过程中，由乙方所属证券公司委托中国结算办理甲方与乙方所属证券公司之间的证券划付。',
'<p>第二十一条 甲方出现资金交收违约并造成乙方所属证券公司对中国结算违约的，乙方所属证券公司有权将甲方相当于交收违约金额的应收证券指定为暂不交付证券并由中国结算按其业务规则进行处置。由此造成的风险、损失和责任，由甲方承担。',
'<p>第二十二条 甲方出现证券交收违约的，乙方及乙方所属证券公司有权将相当于证券交收违约金额的资金暂不划付给甲方。',
'<p>第二十三条 发生下列情形之一的，甲方有权向乙方主张权利，乙方应承担相应责任并负责赔偿损失：',
'<ul>',
'<li>（一）乙方所属证券公司未完成与中国结算的集中交收，导致甲方应收资金或证券被暂不交付或处置的；',
'<li>（二）乙方或乙方所属证券公司对甲方出现交收违约导致甲方未能取得应收证券或资金的；',
'<li>（三）乙方或乙方所属证券公司发送的有关甲方的证券划付指令有误的；',
'<li>（四）其他因乙方或乙方所属证券公司未遵守相关业务规则导致甲方利益受到损害的。',
'</ul>',
'<p>第二十四条 甲方知晓并认可，出于降低全市场资金成本的原因，中国结算可以依照香港结算相关业务规则，将甲方每日净卖出证券向香港结算提交作为交收担保品。第二十五条 甲方的交易委托必须符合法律法规和证券交易所交易规则等规定。对于甲方存在或可能存在香港证券监管机构和联交所规定的失当行为，乙方可以拒绝接受甲方的委托。',
'<h2>第三章 双方责任及免责条款</h2>',
'<p>第二十六条 甲方委托乙方买卖证券时应保证其账户中有足额的可用资金或证券，并同意按乙方规定标准在账户中预留部分资金或按乙方规定比例在委托申报时冻结交易资金，以保证根据成交结果承担相应的清算交收责任，否则乙方有权拒绝甲方的委托指令。',
'<p>第二十七条 在汇率市场发生剧烈波动时，乙方有权随时调整乙方系统中预设的汇率参数，并不需就该事项通知甲方。',
'<p>第二十八条 甲方T日账户交易应付资金不足发生透支的，甲方应当于T+1日下午14点前提供等值的资金予以弥补。甲方未能按时补足资金的，或发生本协议约定的其它应采取股权保障措施的情形时，乙方有权采取以下股权保障措施：',
'<ul>',
'<li>（一）参照证券登记结算机构对违约结算参与人的相关规定，向甲方计收违约金。',
'<li>（二）以甲方名义对甲方证券账户内的股票予以处置，处置所得不足以弥补其透支产生的全部费用等款项，甲方同意乙方以甲方名义对甲方证券账户内的其他证券予以处置。抵扣后有剩余的，乙方应当归还甲方；尚有不足的，乙方有权继续向甲方追偿。',
'</ul>',
'<p>乙方处置甲方质押券及其他证券时，有权自主决定处置种类、数量、顺序、价格、方式、对手、时间等，甲方对此予以认可。',
'<p>第二十九条 甲方须向乙方支付其未指定交易期间所应承担的证券组合费。',
'<p>第三十条 甲方委托乙方买卖证券成交的，应当按照联交所市场收费标准交纳交易费、交易系统使用费和其他费用，并按照香港地区相关规定缴纳印花税等税款。所需交纳的费用和税款由乙方从甲方帐户中扣取。',
'<p>第三十一条　因地震、台风、水灾、火灾、战争、瘟疫、社会动乱及其他不可抗力因素导致的甲方损失，乙方不承担任何赔偿责任。',
'<p>第三十二条　因乙方不可预测或无法控制的系统故障、设备故障、通讯故障、电力故障等突发事故及其他非乙方人为因素，以及监管部门、自律组织等规定的其他免责情形，给甲方造成的损失，乙方如无过错则不承担任何赔偿责任。',
'<h2>第四章　争议的解决</h2>',
'<p>第三十三条 本协议执行中发生的争议，甲乙双方可以自行协商解决或向中国证券业协会证券纠纷调解中心申请调解，若协商或调解不成，双方同意以向乙方所在地法院提起诉讼的方式解决。',
'<p>第三十四条 甲方知晓并认可，因上交所、中国结算制定、修改业务规则、根据业务规则履行自律监管职责等造成的损失，上交所和中国结算不承担责任；因交易异常情况或者上交所、上交所证券交易服务公司采取的相关措施造成的损失，上交所、上交所证券交易服务公司不承担责任。甲方不得基于上述原因向上交所、上交所证券交易服务公司或中国结算以及乙方和乙方所属证券公司主张赔偿或者其他责任。',
'<p>第三十五条 如出现涉及甲方财产继承或财产归属的事宜或纠纷，乙方依据中国结算发布的相关业务规则办理。',
'<h2>第五章　协议的生效、变更和终止</h2>',
'<p>第三十六条  甲方为个人的，委托协议由甲方本人签字；甲方为机构的，委托协议由甲方法定代表人或授权代表签字，并加盖公章。',
'<p>第三十七条  本协议可采用电子方式或纸质方式签署。',
'采用电子方式签署本协议的，甲方以电子签名方式签署本协议即告生效，甲方电子签名与在纸质合同上手写签名或盖章具有同等法律效力。',
'采用纸质方式签署本协议的，本协议应由双方签字盖章。',
'<p>本协议在以下条件均满足之日起生效：',
'<ul>',
'<li>（一）如采用纸质方式签署本协议的，则双方均已在本协议上签字盖章；如采用电子方式签署本协议的，则甲方以电子签名方式签署了本协议； ',
'<li>（二） 甲乙双方已签署了《证券公司客户账户开户协议》，且《证券公司客户账户开户协议》已生效。',
'</ul>',
'<p>本协议一式两份，甲乙双方各执一份，每份具有同等的法律效力。',
'<p>第三十八条　本协议签署并生效后，若有关法律、法规、规章、规范性文件、自律规则、证券登记结算机构业务规则以及证券交易所交易规则修订，本协议相关条款与其中强制性规定发生冲突的，按新修订的法律、法规、规章、规范性文件、自律规则、业务规则及交易规则办理，但本协议其他内容及条款继续有效。',
'<p>第三十九条　本协议签署并生效后，若前款所述法律、法规等规范性文件发生修订，本协议相关条款与其中规定存在差异，乙方认为应据此修改或变更本协议的，有关内容将由乙方在其经营场所或网站以公告方式通知甲方，若甲方在七个港股通交易日内不提出异议，则公告内容生效，并成为本协议组成部分，对甲乙双方均具有法律约束力。',
'<p>第四十条  甲乙双方签署的《证券公司客户账户开户协议》终止或依照相关约定或相关法律法规的规定提前解除时,本协议自动终止。',
'<h2>第六章　附 则</h2>',
'<p>第四十一条  本协议未作约定的，参照《证券公司客户账户开户协议》的约定执行。',
];

//深圳港股通风险揭示书
docs.SZ_FXJS = [
	'<h1>港股通（深圳）交易风险揭示书</h1>',
	'<p style="text-indent:0px;">尊敬的投资者：',
	'<p>在您进行港股通交易前，请您充分了解港股通业务的相关风险，认真阅读下列条款：',
	'<p>一、<strong>提示投资者注意</strong>，香港证券市场与内地证券市场存在诸多差异，投资者参与港股通交易需遵守内地与香港相关法律、行政法规、部门规章、规范性文件和业务规则，对香港证券市场有所了解；通过港股通参与香港证券市场交易与通过其他方式参与香港证券市场交易，也存在一定的差异。',
	'<p>二、<strong>提示投资者注意</strong>，投资者可以通过港股通买卖的股票存在一定的范围限制，且港股通股票名单会动态调整。投资者应当关注最新的港股通股票名单。对于被调出的港股通股票，自调整之日起，投资者将不得再行买入。',
	'<p>三、<strong>提示投资者注意</strong>，港股通股票可能出现因公司基本面变化、第三方研究分析报告的观点、异常交易情形、做空机制等原因而引起股价较大波动的情形，尤其是考虑到香港联合交易所有限公司（以下简称“联交所”）市场交易不设置涨跌幅限制，投资者应当关注可能产生的风险。',
	'<p>四、<strong>提示投资者注意</strong>，部分港股通上市公司基本面变化大，股票价格低，可能存在大比例折价供股或配股、频繁分拆合并股份的行为，投资者持有的股份数量、股票面值可能发生大幅变化，投资者应当关注可能产生的风险。',
	'<p>五、<strong>提示投资者注意</strong>，与内地证券市场相比，香港市场股票停牌制度存在一定差异，港股通股票可能出现长时间停牌现象，投资者应当关注可能产生的风险。',
	'<p>六、<strong>提示投资者注意</strong>，与内地证券市场相比，联交所市场股票交易没有退市风险警示、退市整理等安排，相关股票可能存在直接退市的风险。港股通股票一旦从联交所市场退市，投资者将面临无法继续通过港股通买卖相关股票的风险。',
	'<p>七、<strong>提示投资者注意</strong>，港股通股票退市后，中国证券登记结算有限责任公司（以下简称“中国结算”）通过香港结算继续为投资者提供的退市股票名义持有人服务可能会受限，投资者应当关注可能产生的风险。',
	'<p>八、<strong>提示投资者注意</strong>，港股通业务实施每日额度限制。在联交所开市前阶段，当日额度使用完毕的，新增的买单申报将面临失败的风险；在联交所持续交易时段或收市竞价交易时段，港股通当日额度使用完毕的，当日投资者将面临不能通过港股通进行买入交易的风险。',
	'<p>九、<strong>提示投资者注意</strong>，只有深港两地均为交易日且能够满足结算安排的交易日才为港股通交易日，具体以深交所证券交易服务公司在其指定网站公布的日期为准。',
	'<p>十、<strong>提示投资者注意</strong>，每个港股通交易日的交易时间包括开市前时段、持续交易时段和收市竞价交易时段，具体按联交所的规定执行。',
	'圣诞前夕（12月24日）、元旦前夕（12月31日）或除夕日为港股通交易日的，港股通仅有半天交易，且当日为非交收日。',
    '<p>十一、<strong>提示投资者注意</strong>，香港出现台风、黑色暴雨或者联交所规定的其他情形时，联交所将可能停市，投资者将面临在停市期间无法进行港股通交易的风险；出现深交所证券交易服务公司认定的交易异常情况时，深交所证券交易服务公司将可能暂停提供部分或者全部港股通服务，投资者将面临在暂停服务期间无法进行港股通交易的风险。深交所证券交易服务公司及深交所、国信证券对于发生交易异常情况及采取相应处置措施造成的损失，不承担责任。',
    '<p>十二、<strong>提示投资者注意</strong>，投资者在交易时间内提交订单依据的港币买入参考汇率和卖出参考汇率，并不等于最终结算汇率。港股通交易日日终，中国结算深圳分公司进行净额换汇，将换汇成本按成交金额分摊至每笔交易，确定交易实际适用的结算汇率。',
    '<p>十三、<strong>提示投资者注意</strong>，投资者参与联交所自动对盘系统交易，在联交所开市前时段和收市竞价交易时段应当采用竞价限价盘委托，在联交所持续交易时段应当采用增强限价盘委托。',
    '<p>十四、<strong>提示投资者注意</strong>，投资者持有的碎股只能通过联交所半自动对盘碎股交易系统卖出，同整手买卖的交易价格相比可能存在较大折价的风险',
    '<p>十五、<strong>提示投资者注意</strong>，港股通股票实施股份分拆合并期间，港股通投资者持有的该股票只能在临时代码单柜交易末日、临时代码与新代码并行交易末日由临时代码转换为新代码。由于临时代码与原代码交易单位不同而可能产生碎股，投资者应当关注可能产生的风险。',
	'<p>十六、<strong>提示投资者注意</strong>，投资者当日买入的港股通股票，经确认成交后，在交收前即可卖出，投资者应当关注因此可能产生的风险。',
    '<p>十七、<strong>提示投资者注意</strong>，与内地证券市场相比，联交所在订单申报的最小交易价差、每手股数、申报最大限制等方面存在一定的差异，投资者应当关注因此可能产生的风险。',
	'<p>十八、<strong>提示投资者注意</strong>，港股通交易中若联交所与深交所证券交易服务公司之间的报盘系统或者通信链路出现故障，可能导致15分钟以上不能申报和撤销申报，投资者应当关注因此可能产生的风险。',
    '<p>十九、<strong>提示投资者注意</strong>，港股通股票交易不设置涨跌幅限制，但根据联交所业务规则，适用市场波动调节机制的港股通股票的买卖申报可能受到价格限制，投资者应当关注因此可能产生的风险。',
    '<p>二十、<strong>提示投资者注意</strong>，对于适用收市竞价交易的港股通股票，根据联交所业务规则，收市竞价交易时段的买卖申报将受到价格限制，投资者应当关注因此可能产生的风险。',
    '<p>二十一、<strong>提示投资者注意</strong>，投资者通过港股通业务获得的香港证券市场免费一档行情，与付费方式获得的行情相比，在刷新频率、档位显示等方面存在差异，投资者应当关注依此进行投资决策的风险。',
    '<p>二十二、<strong>提示投资者注意</strong>，在香港证券市场，股票价格上涨时，股票报价屏幕上显示的颜色为绿色，下跌时则为红色，与内地证券市场存在差异。但是，不同的行情软件商提供的行情走势颜色可以重新设定，投资者在使用行情软件的时候，应当仔细检查软件的参数设置，避免惯性思维带来的风险。',
    '<p>二十三、<strong>提示投资者注意</strong>，投资者因港股通股票权益分派、转换、上市公司被收购等情形或者异常情况，所取得的港股通股票以外的联交所上市证券，只能通过港股通卖出，但不得买入，深交所另有规定的除外；因港股通股票权益分派或者转换等情形取得的联交所上市股票的认购权利在联交所上市的，可以通过港股通卖出，但不得行权；因港股通股票权益分派、转换或者上市公司被收购等所取得的非联交所上市证券，可以享有相关权益，但不得通过港股通买入或卖出。',
    '<p>二十四、<strong>提示投资者注意</strong>，香港证券市场与内地证券市场在证券资金的交收期安排上存在差异，港股通交易的交收期为T+2日。若投资者卖出证券，在交收完成前仍享有该证券的权益。若投资者买入证券，在交收完成后才享有该证券的权益。',
    '同时，港股通交易的交收可能因香港出现台风或黑色暴雨等发生延迟交收, 国信证券可视情况决定对部分或全部港股通业务采取延迟交收的安排。',
    '<p>二十五、<strong>提示投资者注意</strong>，投资者通过港股通业务暂不能参与新股发行认购、超额供股和超额公开配售。',
    '<p>二十六、<strong>提示投资者注意</strong>，对于在联交所上市公司派发的现金红利，由于中国结算需要在收到香港中央结算有限公司（以下简称“香港结算”）派发的外币红利资金后进行换汇、清算、发放等业务处理，投资者通过港股通业务获得的现金红利将会较香港市场有所延后。',
    '<p>二十七、<strong>提示投资者注意</strong>，对于在联交所上市公司派发的红股，中国结算在收到香港结算派发红股到账当日或次日进行业务处理，相应红股可于处理日下一港股通交易日上市交易。投资者红股可卖首日均较香港市场晚一个港股通交易日。',
    '<p>二十八、<strong>提示投资者注意</strong>，由于中国结算是在汇总投资者意愿后再向香港结算提交投票意愿，中国结算对投资者设定的意愿征集期比香港结算的征集期稍早结束；投票没有权益登记日的，以投票截止日的持有作为计算基准；投票数量超出持有数量的，按照比例分配持有基数。',
    '<p>二十九、<strong>提示投资者注意</strong>，对于在联交所上市公司派发的红股以及股份分拆及合并业务产生的零碎股，中国结算对投资者账户中小于1股的零碎股进行舍尾处理。当香港结算发放的红股总数或分拆、合并股票数额大于投资者账户舍尾取整后的总数的，中国结算按照精确算法分配差额部分。',
    '<p>三十、<strong>提示投资者注意</strong>，由于香港市场的费用收取或汇率的大幅波动等原因，可能会引起投资者账户的透支，投资者应当对账户内的余额进行关注。',
    '<p>三十一、<strong>提示投资者注意</strong>，香港结算因极端情况下无法交付证券对中国结算实施现金结算的，中国结算将参照香港结算的处理原则进行相应业务处理。',
    '<p>三十二、<strong>提示投资者注意</strong>，港股通境内结算实施分级结算原则。投资者可能面临以下风险：（一）因结算参与人未完成与中国结算的集中交收，导致投资者应收资金或证券被暂不交付或处置；（二）结算参与人对投资者出现交收违约导致投资者未能取得应收证券或资金；（三）结算参与人向中国结算发送的有关投资者的证券划付指令有误，导致投资者权益受损；（四）其他因结算参与人未遵守相关业务规则导致投资者利益受到损害的情况。',
    '<p>三十三、<strong>提示投资者注意</strong>，香港市场收费标准与内地市场收费标准不同，香港地区与内地在税收安排方面也存在差异，投资者买卖港股通股票，应当按照香港市场有关规定交纳相关费用，并按照香港地区相关规定缴纳税款。',
	'<p>三十四、<strong>提示投资者注意</strong>，对于因深交所、中国结算制定、修改业务规则，或者根据业务规则履行自律监管职责等造成的损失，深交所和中国结算不承担责任；投资者还应当充分知晓并认可联交所在其规则中规定的相关责任豁免条款，包括但不限于对因制定、修改业务规则、根据业务规则履行自律监管职责、发生或处置交易异常情况等导致的损失不承担责任的规定。',
	'<p>三十五、<strong>提示投资者注意</strong>，我司电话委托系统及场内自助系统不接受您港股通股票的买入委托。如您需要买入该类股票，可通过我司网上交易系统、金太阳手机等移动终端、柜台系统买入港股通股票。',
	'<p>三十六、<strong>提示投资者注意</strong>，由于港股通股票的公司行为行权的具体时间与香港市场的公告时间存在差异，投资者应保持对公司行为行权时间的持续关注，避免错过行权时间的风险。',
	'<p>三十七、<strong>提示投资者注意</strong>，由于港股通股票实施分拆合并前后，有关股票以原有代码和临时代码进行交易的交易手数不同，在分拆合并期间和完成后港股通投资者持有的有关股票可能产生碎股。而碎股只能通过香港联合交易所有限公司的半自动对盘碎股交易系统卖出，同整手买卖的交易价格相比可能存在较大折价。',
	'<p>本《深港通下的港股通交易风险揭示书》的揭示事项仅为列举性质，未能详尽列明港股通交易的所有风险因素，投资者在参与港股通交易前，还应认真阅读相关业务规则和协议条款，对港股通交易特有的规则必须有所了解和掌握，并确信自己已做好足够的风险评估与财务安排，避免因参与港股通交易而遭受难以承受的损失。'
];

//深圳港股通委托协议
docs.SZ_WTXY = [
	'<h1>港股通（深圳）委托协议</h1>',
'<p>依据《中华人民共和国证券法》、《中华人民共和国合同法》、《中华人民共和国电子签名法》和其他有关法律、法规、规章、自律规则、证券登记结算机构业务规则以及证券交易所交易规则等规定，甲乙双方就甲方委托乙方代理港股通交易及其他相关事宜达成如下协议，供双方共同遵守。',
'<h2>第一章 声明与保证</h2>',
'<p>第一条 委托协议所指港股通为深港通下的港股通。甲方签署本协议仅可委托乙方通过深港通下的港股通买卖港股通股票。甲方通过深港通下的港股通买入的证券，暂不能通过沪港通下的港股通卖出；甲方通过沪港通下的港股通买入的证券，暂不能通过深港通下的港股通卖出。',
'<p>第二条 甲方的声明与保证，包括但不限于： ',
'<ul>',
'<li>（一）甲方已阅读并充分理解中国证监会《内地与香港股票市场交易互联互通机制若干规定》、深圳证券交易所（以下简称“深交所”）及中国证券登记结算有限责任公司（以下简称“中国结算”）关于港股通的业务规则以及乙方向其提供的《深圳证券交易所港股通交易风险揭示书》等相关文件，甲方具有合法的港股通交易资格，不存在相关法律、行政法规、部门规章、规范性文件以及业务规则等规定的禁止、限制或不适于参与港股通交易的情形；',
'<li>（二）甲方保证在其与乙方委托关系存续期内向乙方提供的所有证件、资料均真实、准确、完整、合法，且用于港股通交易的资金来源合法，并保证遵守国家反洗钱法的相关规定；',
'<li>（三）甲方已清楚认识并愿意承担从事港股通交易的相关风险，并已详细阅读本协议所有条款和准确理解其含义，特别是其中有关乙方的免责条款；',
'<li>（四）甲方承诺遵守港股通交易的内地与香港相关法律、行政法规、部门规章、规范性文件、业务规则等规定，并承诺按照乙方的相关业务流程办理业务；',
'<li>（五）甲方承诺，同意由 中国结算代甲方名义持有通过港股通取得的证券；',
'<li>（六）甲方承诺，将遵循买者自负原则，不以不符合投资者适当性条件为由，拒绝承担港股通交易及交收责任；',
'<li>（七）甲方保证上述声明与承诺的内容皆为本人真实意愿，并自愿承担虚假陈述的一切后果。',
'</ul>',
'<p>第三条 乙方的声明与保证，包括但不限于：',
'<ul>',
'<li>（一）乙方所属证券公司是依照内地法律设立且有效存续的证券经营机构，具有相应的证券经纪业务资格，已开通了港股通业务交易权限;',
'<li>（二）乙方承诺遵守本协议，按本协议的约定为甲方提供港股通交易相关服务。',
'</ul>',
'<h2>第二章 委托代理</h2>',
'<p>第四条 乙方接受甲方委托为其提供以下服务： ',
'<ul>',
'<li>（一）接受并执行甲方依照本协议约定的方式下达的合法有效的委托指令；',
'<li>（二）进行资金、证券的清算、交收；',
'<li>（三）托管甲方买入或其他方式取得的有价证券；',
'<li>（四）证券登记结算机构通过乙方向甲方提供的红利分派等名义持有人服务；',
'<li>（五）接受甲方对其委托、成交及账户内的资产及变化情况的查询，并应甲方的要求提供相应的清单；',
'<li>（六）相关法律、行政法规、部门规章、规范性文件、业务规则规定的甲方可以委托乙方进行的其他活动以及双方依法约定的其他委托事项。',
'</ul>',
'<p>第五条 甲方在参与港股通交易前，应先依照法律法规、相关业务规则开立账户用于证券交易、清算交收和计付利息等。乙方代理中国结算开立证券账户，应遵循中国结算的有关规定。',
'甲方可使用已经开立深市A股证券账户（深市人民币普通股证券账户）进行港股通交易。',
'<p>第六条 甲方参与港股通业务股票交易的佣金费率，乙方应另行向甲方明示并经甲方认可。',
'<p>第七条 甲方新开证券账户的，自下一港股通交易日起方可进行港股通交易；客户转托管股份，自下一港股通交易日方可卖出。',
'<p>第八条 甲方存在当日有交易行为、当日有申报、有交易未完成交收或者深交所、中国结算业务规则规定的其他情形的，甲方不得注销证券账户。',
'<p>第九条 甲方知晓并认可：其获得的香港证券市场免费一档行情，与付费方式获得的行情相比，在刷新频率、档位显示等方面存在差异；甲方应仅作为最终用户使用上述行情信息，未经香港联合交易所有限公司（以下简称“联交所”）同意不得将其提供给任何机构或个人，也不得用于开发指数或其他产品；联交所及其控股公司、该控股公司的附属公司等行情信息提供方，将尽力保证所提供上述行情信息的准确和可靠度，但不能确保其绝对准确和可靠，亦不对因信息不准确或遗漏而导致的任何损失或损害承担责任。',
'<p>第十条 甲方向乙方下达委托指令的方式包括柜台委托、自助委托以及乙方认可的其他合法委托方式，自助委托包括网上委托、手机证券委托等，具体委托方式以实际开通为准。乙方暂不提供电话委托和场内自助委托。',
'甲方进行网上委托及手机证券委托时，只能使用乙方直接提供给甲方的软件，或甲方依照乙方指示从乙方指定站点下载的软件。甲方使用其他途径获得的软件进行网上委托所产生的后果、风险和损失由甲方自行承担。',
'<p>第十一条 甲方委托乙方进行港股通交易而发出的委托及撤销委托等指令的内容和方式应当符合证券交易所相关规则。',
'甲方通过乙方委托系统进行港股通交易时，如因甲方操作失误或因甲方指令违反相关交易规则或本协议约定，或其他可归咎于甲方的原因而造成损失的，由甲方承担。',
'<p>第十二条 如甲方发出的指令被乙方委托系统或证券交易所交易系统拒绝受理，则该委托应视为无效委托。甲方在进行委托前须确保已完全了解有关交易规则，避免发出无效委托指令。如因甲方发出无效委托而造成损失的，由甲方承担。',
'甲方申请办理托管单元变更（整体转托管除外）时，乙方提醒甲方，对于持股基准日晚于转托管申报日的股票、境内申报截止日晚于转托管申报日的股利选择权申报及供配股认购申报，转出股份相应的股票和申报指令将作无效处理，甲方需在新托管单元重新申报。',
'<p>甲方申请办理证券转托管时，由乙方检查甲方是否享有权益，如有，需提醒其是否需要将权益一并转出，申报选择股利经确认的红利权、收购权除外。',
'<p>甲方申请办理证券转托管时，乙方提醒甲方，以下情形不允许转托管：未完成交收的证券（当日日终交收到账的除外），冻结的证券、权益，分拆及合并业务临时代码额度换算期间的原股票代码，申报选择股利经确认的红利权，收购权，股利选择权申报、供配股认购申报、投票等委托类指令。',
'<p>第十三条 甲方可要求乙方为其提供买卖成交明细单。甲方可在乙方经营场所临柜查询和打印，也可通过乙方提供的其他方式查询和打印。',
'<p>第十四条 甲方知晓并认可中国结算按照香港中央结算有限公司（以下简称“香港结算”）的业务规则，与香港结算完成港股通交易的证券和资金的交收。港股通交易的境内结算由中国结算根据相关业务规则组织完成。',
'<p>第十五条 甲方通过港股通取得的证券以中国结算名义存管在香港结算，并以“香港中央结算（代理人）有限公司”的名义登记于联交所上市公司的股东名册。甲方不能要求存入或提取纸面股票，中国证监会另有规定的除外。',
'<p>第十六条 甲方知晓并认可香港结算因无法交付证券对中国结算实施现金结算的，中国结算参照香港结算的处理原则进行相应业务处理；香港结算因风球、黑色暴雨天气等原因，临时作出特殊交收安排的，中国结算参照香港结算的处理原则进行相应业务处理。甲方同意乙方按照中国结算的业务规则进行业务处理。香港结算发生破产而导致其未全部履行对中国结算的交收义务的，中国结算协助向香港结算追索，但不承担由此产生的相关损失。',
'<p>第十七条 甲方同意，对于甲方的港股通交易，由乙方或乙方所属证券公司以自己的名义与中国结算完成集中结算，并由乙方或乙方所属证券公司办理与甲方之间的港股通交易的结算，甲方不与中国结算发生结算关系。',
'甲乙双方、甲方与乙方所属证券公司发生的纠纷，不影响中国结算依照业务规则正在进行或已经进行的清算交收处理及违约处理。',
'<p>第十八条 甲方委托乙方买卖证券时应保证其账户中有足额的可用资金或证券，并同意按乙方规定标准在账户中预留部分资金或按乙方规定比例在委托申报时冻结交易资金，以保证根据成交结果承担相应的清算交收责任，否则乙方有权拒绝甲方的委托指令。',
'<p>第十九条 乙方或乙方所属证券公司在交收日集中交收前，向甲方收取其应付的证券和资金。乙方或乙方所属证券公司应当向正常履行交收义务的甲方交付其应收的证券和资金。',
'<p>第二十条 在确保客户资金账户不出现透支的前提下，投资者卖出（T日）香港股票的资金在T+2日境内交易时可以使用，但因香港市场延迟交收导致客户资金不能按时交收等特殊情形除外。',
'<p>第二十一条 在清算交收处理过程中，由乙方或乙方所属证券公司委托中国结算办理甲方与乙方或乙方所属证券公司之间的证券划付。',
'<p>第二十二条 甲方出现资金交收违约并造成乙方或乙方所属证券公司对中国结算违约的，乙方或乙方所属证券公司有权将甲方相当于交收违约金额的应收证券指定为暂不交付证券并由中国结算按其业务规则进行处置。由此造成的风险、损失和责任，由甲方承担。',
'<p>第二十三条 甲方出现证券交收违约的，乙方及乙方所属证券公司有权将相当于证券交收违约金额的资金暂不划付给甲方。',
'<p>第二十四条 发生下列情形之一的，甲方有权向乙方主张权利，乙方应承担相应责任并负责赔偿损失：',
'<ul>',
'<li>（一）乙方或乙方所属证券公司未完成与中国结算的集中交收，导致甲方应收资金或证券被暂不交付或处置的；',
'<li>（二）乙方或乙方所属证券公司对甲方出现交收违约导致甲方未能取得应收证券或资金的；',
'<li>（三）乙方或乙方所属证券公司发送的有关甲方的证券划付指令有误的；',
'<li>（四）其他因乙方或乙方所属证券公司未遵守相关业务规则导致甲方利益受到损害的。',
'</ul>',
'<p>第二十五条 甲方知晓并认可，出于降低全市场资金成本的原因，中国结算可以依照香港结算相关业务规则，将甲方每日净卖出证券向香港结算提交作为交收担保品。',
'<p>第二十六条 甲方的交易委托必须符合法律法规和证券交易所交易规则等规定。对于甲方存在或可能存在香港证券监管机构和联交所规定的失当行为，乙方可以拒绝接受甲方的委托。',
'',
'<h2>第三章 双方责任及免责条款</h2>',
'<p>第二十七条 甲方委托乙方买卖证券时应保证其账户中有足额的可用资金或证券，并同意按乙方规定标准在账户中预留部分资金或按乙方规定比例在委托申报时冻结交易资金，以保证根据成交结果承担相应的清算交收责任，否则乙方有权拒绝甲方的委托指令。',
'<p>第二十八条 在汇率市场发生剧烈波动时，乙方有权随时调整乙方系统中预设的汇率参数，并不需就该事项通知甲方。',
'<p>第二十九条 甲方T日账户交易应付资金不足发生透支的，甲方应当于T+1日下午14点前提供等值的资金予以弥补。甲方未能按时补足资金的，或发生本协议约定的其它应采取股权保障措施的情形时，乙方有权采取以下股权保障措施：',
'<ul>',
'<li>（一）参照证券登记结算机构对违约结算参与人的相关规定，向甲方计收违约金。',
'<li>（二）以甲方名义对甲方证券账户内的股票予以处置，处置所得不足以弥补其透支产生的全部费用等款项，甲方同意乙方以甲方名义对甲方证券账户内的其他证券予以处置。抵扣后有剩余的，乙方应当归还甲方；尚有不足的，乙方有权继续向甲方追偿。',
'</ul>',
'<p>乙方处置甲方质押券及其他证券时，有权自主决定处置种类、数量、顺序、价格、方式、对手、时间等，甲方对此予以认可。',
'<p>第三十条 甲方若发生转托管，甲方须向乙方支付其在乙方转托管期间发生的证券组合费。',
'<p>第三十一条 甲方委托乙方买卖证券成交的，应当按照联交所市场收费标准交纳交易费、交易系统使用费和其他费用，并按照香港地区相关规定缴纳印花税等税款。所需交纳的费用和税款由乙方从甲方帐户中扣取。',
'<p>第三十二条　因地震、台风、水灾、火灾、战争、瘟疫、社会动乱及其他不可抗力因素导致的甲方损失，乙方不承担任何赔偿责任。',
'<p>第三十三条　因乙方不可预测或无法控制的系统故障、设备故障、通讯故障、电力故障等突发事故及其他非乙方人为因素，监管部门、自律组织等政策变化以及其他免责情形，给甲方造成的损失，乙方如无过错则不承担任何赔偿责任。',
'',
'<h2>第四章 通知与送达</h2>',
'<p>第三十四条 乙方发送本合同所约定的通知，除已有明确约定外，可以采用当面、邮寄、电子邮件、手机短信、电话或公告等方式中的任何一种或多种。',
'当面通知即视为送达。以邮寄方式通知的，乙方发出邮件两日后视为送达。以电子邮件或手机短信方式通知的，电子邮件或手机短信成功发送即视为送达。电话通知即视为送达。公告通知除另已有明确约定外，公告发出后即视为送达。',
'<p>数据电文和录音、录像可作为证明通知送达的证据。',
'<p>第三十五条 甲方应在乙方系统中留存固定电话号码、移动电话号码、电子信箱或邮寄地址（含邮政编码）中的一种或一种以上的联络方式。同时，若甲方变更上述联络方式，应当及时通知乙方。',
'<h2>第五章　争议的解决</h2>',
'<p>第三十六条 本协议执行中发生的争议，甲乙双方可以自行协商解决或向中国证券业协会证券纠纷调解中心申请调解，若协商或调解不成，双方同意以向乙方所在地法院提起诉讼的方式解决。',
'<p>第三十七条 甲方知晓并认可，因深交所、中国结算制定、修改业务规则、根据业务规则履行自律监管职责等造成的损失，深交所和中国结算不承担责任；因交易异常情况或者深交所、深交所证券交易服务公司采取的相关措施造成的损失，深交所、深交所证券交易服务公司以及乙方不承担责任。甲方不得基于上述原因向深交所、深交所证券交易服务公司中国结算以及乙方和乙方所属证券公司主张赔偿或者其他责任。',
'<p>第三十八条 如出现涉及甲方财产继承或财产归属的事宜或纠纷，乙方依据中国结算发布的相关业务规则办理，甲方应积极予以配合。',
'',
'<h2>第六章　协议的生效、变更和终止</h2>',
'<p>第三十九条  甲方为个人的，委托协议由甲方本人签字；甲方为机构的，委托协议由甲方法定代表人或授权代表签字，并加盖公章。',
'<p>第四十条  本协议可采用电子方式或纸质方式签署。',
'<p>采用电子方式签署本协议的，甲方以电子签名方式签署本协议即告生效，甲方电子签名与在纸质合同上手写签名或盖章具有同等法律效力。',
'<p>采用纸质方式签署本协议的，本协议应由双方签字盖章。',
'<p>本协议在以下条件均满足之日起生效：',
'<ul>',
'<li>(一)如采用纸质方式签署本协议的，则双方均已在本协议上签字盖章；如采用电子方式签署本协议的，则甲方以电子签名方式签署了本协议； ',
'<li>（二）甲乙双方已签署了《证券公司客户账户开户协议》，且《证券公司客户账户开户协议》已生效。',
'</ul>',
'<p>本协议一式两份，甲乙双方各执一份，每份具有同等的法律效力。',
'<p>第四十一条　本协议签署并生效后，若有关法律、法规、规章、规范性文件、自律规则、证券登记结算机构业务规则以及证券交易所交易规则修订，本协议相关条款与其中强制性规定发生冲突的，按新修订的法律、法规、规章、规范性文件、自律规则、业务规则及交易规则办理，但本协议其他内容及条款继续有效。',
'<p>第四十二条　本协议签署并生效后，若前款所述法律、法规等规范性文件发生修订，本协议相关条款与其中规定存在差异，乙方认为应据此修改或变更本协议的，有关内容将由乙方在其经营场所或网站以公告方式通知甲方，若甲方在七个港股通交易日内不提出异议，则公告内容生效，并成为本协议组成部分，对甲乙双方均具有法律约束力。',
'<p>第四十三条  甲乙双方签署的《证券公司客户账户开户协议》终止或依照相关约定或相关法律法规的规定提前解除时,本协议自动终止。',
'',
'<h2>第七章　附 则</h2>',
'<p>第四十四条  本协议未作约定的，参照《证券公司客户账户开户协议》的约定执行。',
];

//港股通业务电子签名约定书
docs.QMYDS = [
	'<h2>港股通业务电子签名约定书</h2>',
	'<p>甲方：投资者',
	'<p>乙方：国信证券______营业部',
	'<p>就甲方参与乙方所提供的港股通业务过程中，使用电子合同、电子签名事宜，甲乙双方经协商达成如下一致意见：',
	'<p>甲乙双方同意自本约定书签订之日起，在甲方参与乙方所提供的港股通业务过程中，使用电子合同、电子签名。甲方通过身份验证登陆乙方指定的网络系统，确认同意接受相关电子合同或文书的，视为签署合同，与在纸质合同上手写签名或者盖章具有同等的法律效力，无须另行签署纸质合同或文书。',
	'<p>甲方应妥善保管交易密码，经甲方交易密码登陆甲方账户后的所有操作视同甲方本人行为，甲方承担由此产生的一切法律后果。'
];