var __DATA = {};
var home =true;
$(document).ready(function(){
  Com.setWebviewTitle('',{'title':'开通港股通','bgColor':'272736'});
  function historyGoback(){
      var _home = typeof home=="undefined"? 0:home;
      var _endpage = typeof endpage=="undefined"? 0:endpage;
      if(_home){
          Com.nativeGoback();
      }else if(_endpage){
          location.href = "index.html";
      }else{
          location.href = "index.html";
      }
  }
  Com.nativeGobackListener('1',historyGoback);

  var accountData = [
    //深A
    {
      market:"sz",
      hasUnopen:false,
      hasOpen:false
    },
    {
      market:"sh",
      hasUnopen:false,
      hasOpen:false
    }
  ];
  window.accountObjs = {count:0};  //count：选择需要开通港股通的账户数量，初始化0
  var secuids_app = [];
  var $openBtn = $("#openBtn");

  var start = function(){
    //刷新港股通数据
    $js.refreshGGT(function(){
      //获取session
      $js.getSession(afterSession)
    });
  }

  //检验是否已经登录
  Com.actionLogin(function(data){
    start();
  },{},
  function(data){
    Com.nativeGoback();
  });

  //获取session后
  function afterSession(params){
    Com.setLocalValue("ggt_session",params.session);
    getParams(init);
  }

  //初始化，查询各种权限
  function init(_params){

    var params = _params || "{}";
    params = typeof params == "object"? params:JSON.parse(params);
    __DATA = params;

    Com.setLocalValue("investorType",params.investorType);  //普通、专业投资
    Com.setLocalValue("riskExpdate",params.riskExpdate);
    Com.setLocalValue("ggt_custid",params.customId);
    Com.setLocalValue("ggt_secuids",params.shareholderList);
    Com.setLocalValue("ggt_randomKey",params.randomKey);
    Com.setLocalValue("ggt_fundid",params.fundId);
    secuids_app = params.shareholderList;
    console.log(params)

    getAbleAccounts();
  }

  function queryOpenQualification(){
    var _params = {};
    //_params.session = Com.getLocalValue("ggt_session");
    //_params.randomKey = Com.getLocalValue("ggt_randomKey");
    _params.custid = Com.getLocalValue("ggt_custid");
    _params.secuids = getSecuids(secuids_app);

    Com.ajax({
      url:"/gstrade/ggt/queryOpenQualificationSdx/1.0",
      type:"post",
      timeout: 3000,
      isTradeLogin:true,
      isNeedSign:true,
      data:_params,
      success:function(res){
        res = typeof res == "object"? res: JSON.parse(res);
        console.log(res)
        try{
          var result = res.result[0];
          if(result.code==0){
            inited = true;
            //其他数据
            var otherdata = res.queryOpenQualificationSdx_0[0];
            __DATA.lowriskFlag = otherdata.lowriskFlag;
            __DATA.lowriskMsg = otherdata.lowriskMsg;
            __DATA.forbidFlag = otherdata.forbidFlag;
            __DATA.forbidMsg = otherdata.forbidMsg;
            __DATA.expiredFlag = otherdata.expiredFlag;
            __DATA.expiredMsg = otherdata.expiredMsg;
            __DATA.singleflag = otherdata.singleflag;  //个人/机构账户

            var date = Com.dateFormat(new Date(),'yyyyMMdd');
            date = Number(date);
            __DATA.riskExped = date >= Number(__DATA.riskExpDate);

            //信用账户
            if(__DATA.accountClass && __DATA.accountClass!=0){
              Com.showNativeAlert('',otherdata.creditMsg,['确定'],function(){
                Com.nativeGoback();
              });
              return false;
            }
            else if(otherdata.forbidFlag==1){
            //黑名单客户
              Com.showNativeAlert('',otherdata.forbidMsg,['确定'],function(){
                Com.nativeGoback();
              });
              return false;
            }
            else if(__DATA.singleflag!=1 &&　otherdata.expiredFlag==1){
              //个人账户身份证过期
              Com.showNativeAlert('',otherdata.expiredMsg,['确定'],function(){
                Com.nativeGoback();
              });
              return false;
            }
            else if(__DATA.investorType != 1 && __DATA.riskExped){  //普通账户判断风测
              Com.showNativeAlert('','您还未进行风险测评或风险测评已过期，请返回业务办理重新进行风险承受能力测评。',['确定'],function(){
                Com.nativeGoback();
              })
              return false;
            }
            else if(!__DATA.riskExped && otherdata.lowriskFlag==1 && __DATA.investorType != 1){
                //低风险等级客户
                Com.showNativeAlert('',otherdata.lowriskMsg,['确定'],function(){
                  Com.nativeGoback();
                });
              return false;
            }else{
              Com.setLocalValue("ggt_forbidFlag",otherdata.forbidFlag);  //黑名单禁入标志
              Com.setLocalValue("ggt_forbidMsg",otherdata.forbidMsg);  //黑名单禁入提示语
              Com.setLocalValue("ggt_lowriskFlag",otherdata.lowriskFlag);  //是否低风险、较低风险普通投资者
              Com.setLocalValue("ggt_lowriskMsg",otherdata.lowriskMsg);  //低风险客户拒绝提示语
              Com.setLocalValue("ggt_expiredFlag",otherdata.expiredFlag);  //身份证是否过期
              Com.setLocalValue("ggt_expiredMsg",otherdata.expiredMsg);  //身份证过期提示语
              Com.setLocalValue("ggt_creditMsg",otherdata.creditMsg);  //信用账户提示语

              var data = res.queryOpenQualificationSdx_1;
              //查分开通条件数据并缓存
              setFlags(data);
              Com.setLocalValue("ggt_secuid",data[0].secuid);  //股东代码
              Com.setLocalValue("ggt_autoflag",data[0].autoflag);  //是否金天利自动扫单 0：未开通，1：已开通
              Com.setLocalValue("ggtriskflag",data[0].ggtriskflag);  //港股通知识测评  0：未测评或不满80分，1：已测评且满80分
              Com.setLocalValue("ggtrateflag",data[0].ggtrateflag || 0);  //是否展示佣金利率 0：不展示，1：展示
              Com.setLocalValue("ggtratecontent",data[0].ggtratecontent);  //佣金
              Com.setLocalValue("ggt_isOK",data[0].isOK);  //是否可以继续开通  0：可以继续开通，1：不满足开通条件
              Com.setLocalValue("ggt_initMsg",data[0].message);  //提示信息

              for(var i = 0; i < data.length; i++){
                Com.setLocalValue("rate_" + data[i]["secuid"], data[i]["ggtratecontent"]);
              }

              $openBtn.on("click",function(){
                goToOpen();
              })

              $openBtn.removeAttr("disabled").removeClass("disabled");

              if(data[0].ggtriskflag!=1){
                //查询港股通熟悉程度测试题目
                getGGTTest();
              }
              if(data[0].riskflag==0){
                $js.getCommonLoginData(function(params){
                  Com.setLocalValue("ggt_authCode",params.authCode);
                });
              }
            }


          }else if(res.result[0].code == '11' || res.result[0].code == '18' || res.result[0].code == '19'){
              //document.getElementById("confirmBtn").removeAttribute("disabled");
              return false;
          }else{
              Com.showNativeAlert('',result.msg,["确定"],function(){
                Com.nativeGoback();
              });
          }
        }catch(err){
          console.log(err)
          //Com.setFullTipView("",{tipTitle:"提示",tipContent:err});
        }
      },
      error:function(){
        alert("error")
      }
    });
  }

  //一键开通
  function goToOpen(){

    if($("#openBtn").hasClass("disabled")){ return false;}

    var selected_count = getSelectedAccounts();
    if(selected_count===false){
      return false;
    }
    if(selected_count===0){
      //alert("未选择开通账号或无可开通账号");
      Com.showNativeAlert("提示","未选择开通账号或无可开通账号",["确定"]);
      return false;
    }

    var ggtriskflag = Com.getLocalValue("ggtriskflag");
    var ggtrateflag = Com.getLocalValue("ggtrateflag");
    //debug
    //ggtriskflag = 1;
    //__DATA.riskExpdate = 1;

    if(__DATA.singleflag != 1 && ggtriskflag == 0){
      Com.setLocalValue("__DATA",JSON.stringify(__DATA));
      location.href = "hktest.html";
    }else if(__DATA.investorType != 1 && __DATA.riskExped){  //普通账户判断风测
      Com.showNativeAlert('','您还未进行风险测评或风险测评已过期，请返回业务办理重新进行风险承受能力测评。',['确定'],function(){
        Com.nativeGoback();
      })
      // var gotoRisk = function(){
      // 	var token = Com.getLocalValue("ggt_token");
      // 	var tradeToken = Com.getLocalValue("ggt_TradeToken");
      // 	var fundid = Com.getLocalValue("ggt_fundid");
      // 	var custid = Com.getLocalValue("ggt_custid");
      // 	var riskHref = Com.getOrigin() + "/asset/risk/index.html?token="
      // 							+ token + "&tradeToken=" + tradeToken + "&fundid="
      // 							+ fundid + "&custid=" + custid;
      //
      //             var pathName = window.document.location.pathname;
      //             var page = ggtrateflag!=0? "/ensure.html?type=fee":"/sign.html";
      //             var next_url = location.host + pathName.substring(0,pathName.substr(1).lastIndexOf('/')+1) + page;
      //             var protocol = location.protocol=="https:"? "1":"0";
      //             riskHref += "&p_next=" + next_url + "&protocol="+protocol;
      //             Com.nativeGobackListener(0);
      //             //alert("riskHref:" + riskHref);
      //             location.href = riskHref;
      // }
      // getToken(gotoRisk);

    }else if(ggtrateflag!=0){
      Com.setLocalValue("__DATA",JSON.stringify(__DATA));
      location.href = "ensure.html?type=fee";
    }else{
      Com.setLocalValue("__DATA",JSON.stringify(__DATA));
      location.href = "sign.html";
    }
  }

  //查询可以开通港股股东列表
  function getAbleAccounts(){
    var params = {};
    params.custid = Com.getLocalValue("ggt_custid");
    //params.session = Com.getLocalValue("ggt_session");
    //params.randomKey = Com.getLocalValue("ggt_randomKey");
    //console.log("getAbleAccounts:" + JSON.stringify(params));
    //
    Com.ajax({
      url:"/gstrade/ggt/getGgtAvailList/1.0",
      type:"post",
      timeout: 3000,
      dataType:'json',
        isTradeLogin:true,
        isNeedSign:true,
      data:params,
      success:function(res){
        res = typeof res == "object"? res: JSON.parse(res);
        //alert("getGgtAvailList:" + JSON.stringify(res));
        try{
          var result = res.result[0];
          if(result.code==0){
            if(res.getGgtAvailList_0){
              getUnOpen(res.getGgtAvailList_0);
              var _nodata = false;
              if(!accountData[0]["hasOpen"] && !accountData[0]["hasUnopen"] && !accountData[1]["hasOpen"] && !accountData[1]["hasUnopen"]){
                _nodata = true;
                $openBtn.hide();
              }
              var html = template('account_wrapper', {data:accountData, nodata:_nodata});
              document.getElementById('view').innerHTML = html;
              $openBtn.show();
              //如果可开通未开通的账户
              if(accountData[0]["hasUnopen"] || accountData[1]["hasUnopen"]){
                queryOpenQualification();  //初始化
              }
            }
          }else if(res.result[0].code == '11' || res.result[0].code == '18' || res.result[0].code == '19'){
              //document.getElementById("confirmBtn").removeAttribute("disabled");
              return false;
          }else{
              //Com.showNativeAlert('',result.msg,["确定"]);
              Com.showNativeAlert('',result.msg,["确定"],function(){
                Com.nativeGoback();
              });
          }
        }catch(err){
          alert(err);
        }
      },
      error:function(xhr,status){
        alert(" getGgtAvailList error")
      }
    })
  }

  //获取可开通港股通而未开通的账号
  function getUnOpen(data){
    var apiAccounts = {};
    for(var i=0,l=data.length; i < l; i++){
      if(data[i]["stkbd"]=="00"){ //深A
        apiAccounts["A_S_" + data[i]["secuid"]] = data[i];
      }else if(data[i]["stkbd"]=="10"){
        apiAccounts["A_5_" + data[i]["secuid"]] = data[i];
      }
    }

    for(var i=0,l=secuids_app.length; i < l; i++){
      if(secuids_app[i]["shareholderMarketId"]=="S" && secuids_app[i]["shareholderSecuLimit"]=="^"){//深A已开通港股通
        accountData[0]["hasOpen"] = true;
        accountData[0]["opened"] = accountData[0]["opened"]? accountData[0]["opened"] : [];
        accountData[0]["opened"].push(secuids_app[i]);
      }else if(secuids_app[i]["shareholderMarketId"]=="5" && secuids_app[i]["shareholderSecuLimit"]=="^"){//沪A已开通港股通
        accountData[1]["hasOpen"] = true;
        accountData[1]["opened"] = accountData[1]["opened"]? accountData[1]["opened"]: [];
        accountData[1]["opened"].push(secuids_app[i]);
      }else{//可开通或指定账户
        if(secuids_app[i]["shareholderMarketId"] == 1){  //沪A
          if(secuids_app[i]["shareholderRegFlag"] && (secuids_app[i]["shareholderRegFlag"]==0 || secuids_app[i]["shareholderRegFlag"] == 1)){
            accountData[1]["hasNonA"] = true;
            accountData[1]["nona"] = accountData[1]["nona"]? accountData[1]["nona"] : [];
            accountData[1]["nona"].push(secuids_app[i]);
          }else if(apiAccounts["A_5_" + secuids_app[i]["shareholderId"]]){
            secuids_app[i]["selected"] = true;
            accountObjs["A_S_" + secuids_app[i]["shareholderId"]] = secuids_app[i];
            accountData[1]["hasUnopen"] = true;
            accountData[1]["unopen"] = accountData[1]["unopen"]? accountData[1]["unopen"] : [];
            accountData[1]["unopen"].push(secuids_app[i]);
            accountObjs.count += 1;
          }
        }else if(secuids_app[i]["shareholderMarketId"] == 0  && apiAccounts["A_S_" + secuids_app[i]["shareholderId"]]){
          secuids_app[i]["selected"] = true;
          accountObjs["A_5_" + secuids_app[i]["shareholderId"]] = secuids_app[i];
          accountData[0]["hasUnopen"] = true;
          accountData[0]["unopen"] = accountData[0]["unopen"]? accountData[0]["unopen"] : [];
          accountData[0]["unopen"].push(secuids_app[i]);
          accountObjs.count += 1;
        }
      }
    }
  }

  //查询港股通熟悉程度测试题目
  function getGGTTest(){
    Com.ajax({
      url:"/gstrade/ggt/getGgtQuestions/1.0",
      type:"post",
      timeout: 3000,
      isNeedSign:true,
      isTradeLogin:true,
      data:{},
      success:function(res){
        res = typeof res == "object"? res: JSON.parse(res);
        //alert(JSON.stringify(res.data));
        try{
          var result = res.result[0];
          if(result.code==0){
            Com.setLocalValue("ggttest",JSON.stringify(res.getGgtQuestions_1));
            Com.setLocalValue("ggttest_tip",JSON.stringify(res.getGgtQuestions_0[0]));
          }else if(res.result[0].code == '11' || res.result[0].code == '18' || res.result[0].code == '19'){
              //document.getElementById("confirmBtn").removeAttribute("disabled");
              return false;
          }else{
              Com.showNativeAlert('',result.msg,["确定"]);
          }
        }catch(err){
          Com.setFullTipView("",{tipTitle:"提示",tipContent:err});
        }
      }
    })
  }

  function getToken(){

    var fundid = Com.getLocalValue("ggt_fundid");
    var callback = arguments[0];
    var params = {
      fundid:fundid
    }

    Com.ajax({
      url:"/goldsun/risktest/getToken/1.0",
      type:"post",
      timeout: 3000,
      data:params,
      isTradeLogin:true,
      isNeedSign:true,
      success:function(res){
        res = typeof res == "object"? res: JSON.parse(res);
        try{
          var result = res.result[0];
          if(result.code==0){
            Com.setLocalValue("ggt_token",res.data[0]["token"]);
            Com.setLocalValue("ggt_TradeToken",res.data[0]["tradeToken"]);
            if(typeof callback == "function") callback();
          }else if(res.result[0].code == '11' || res.result[0].code == '18' || res.result[0].code == '19'){
              //document.getElementById("confirmBtn").removeAttribute("disabled");
              return false;
          }else{
              Com.showNativeAlert('',result.msg,["确定"]);
          }
        }catch(err){
          Com.setFullTipView("",{tipTitle:"提示",tipContent:err});
        }
      }
    })
  }

  //拼接股东列表参数
  function getSecuids(data){
    var secuidsArr = [];
    for(var i=0, l = data.length; i<l; i++){
      /*取market 0 ，1*/
      if(data[i]["shareholderMarketId"]=="0" || data[i]["shareholderMarketId"] == "1"){
        var stkbd = data[i]["shareholderMarketId"]=="0"? "S":"5";
        secuidsArr.push(data[i]["shareholderId"] + "." + stkbd);
      }
    }
    return secuidsArr.join(",");
  }
});

//解释并保存各个账号开通条件
function setFlags(data){
  //缓存公共条件

  for(var i = 0; i < data.length; i++){
    var item = data[i];
    var $a = $("#" + item.secuid);
    //
    $a.attr("data-isOK",item.isOK);
    $a.attr("data-autoflag",item.autoflag);
    $a.attr("data-ggtratecontent",item.ggtratecontent);
    $a.attr("data-ggtrateflag",item.ggtrateflag);
    $a.attr("data-ggtriskflag",item.ggtriskflag);

    $a.attr("data-message",item.message);
  }
}

//拼接选中的账号
function getSelectedAccounts(){
  Com.removeLocalValue("market0");
  Com.removeLocalValue("market1");
  var tmp = [];
  for(var item in accountObjs){
    if(typeof accountObjs[item]=="object"){
      if(accountObjs[item].selected){
        var $a = $("#" + accountObjs[item]["shareholderId"]);
        if(__DATA.singleflag !=1 && $a.attr("data-isOK") != 0){
          Com.showNativeAlert("提示",$a.attr("data-message"),["确定"]);
          return false;
        }
        tmp.push(accountObjs[item]);
        var rate = Com.getLocalValue("rate_" + accountObjs[item]["shareholderId"]);
        Com.setLocalValue("market"+ accountObjs[item]["shareholderMarketId"], 1);
        Com.setLocalValue("rate" + accountObjs[item]["shareholderMarketId"], rate);
      }
      //var rate = Com.getLocalValue("rate_" + accountObjs[item]["shareholderId"]);
      //Com.setLocalValue("market"+ accountObjs[item]["shareholderMarketId"], 1);
      //Com.setLocalValue("rate" + accountObjs[item]["shareholderMarketId"], rate);
    }
  }
  Com.setLocalValue("selected", JSON.stringify(tmp));
  return tmp.length;
}

/*checkbox点击*/
function switchCheckBox(e){
  var $target = $(e.parentNode), $item = $(e);
  var obj_id = $item.attr("data-market")=="0"? "A_5_" + $item.attr("data-secuid"): $item.attr("data-market")=="1"? "A_S_" + $item.attr("data-secuid"):"";

  if($target.hasClass("active")){
    $target.removeClass("active");
    if(obj_id!=""){
      accountObjs[obj_id]["selected"] = false;
      accountObjs.count = accountObjs.count - 1;
    }
  }else{
    $target.addClass("active");
    if(obj_id!=""){
      accountObjs[obj_id]["selected"] = true;
      accountObjs.count = accountObjs.count + 1;
    }
  }
  if(accountObjs.count<=0){
    $("#openBtn").addClass("disabled").attr("disabled", true);
  }else{
    $("#openBtn").removeClass("disabled").removeAttr("disabled");
  }
}

//获取接口参数
function getParams(callback){
  Com.getLoginData(callback);
}
